1993-05-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* Version 19.10 released.

1993-05-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/bobcat.el: Just load term/keyswap.el.

	* term/vt200.el: Just load term/vt100.el.
	* term/apollo.el: Just load term/vt100.el.
	* term/vt102.el, term/vt125.el, term/vt201.el, term/vt220.el,
	* term/vt240.el, term/vt300.el, term/vt320.el, term/vt400.el,
	* term/vt420.el: New files.  Just load vt100.el.

	* term/lk201.el: New file.
	* term/vt100.el: Use term/lk201.el.

	* term/vt100.el (vt100-wide-mode): Add missing arg in set-frame-width.

1993-05-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line-1): Pass arg to other-window.

	* files.el (find-file-run-dired): Doc fix.
	(find-file-read-only): Return the buffer.
	(find-file-read-only-other-window): Likewise.
	(find-file-read-only-other-frame): Likewise.

	* timer.el (cancel-function-timers): Renamed from spurious duplicate
	definition of cancel-timer.

	* add-log.el (find-change-log): Use file-chase-links.

	* files.el (file-chase-links): New function.
	(backup-buffer): Use file-chase-links.
	(file-chase-links): Handle leading .. in symlink target.

	* c-mode.el (c-up-conditional): Handle commented-out #-cmds properly.

	* window.el (split-window-vertically): Return the new window.

	* paths.el (gnus-local-organization): Initially nil.

	* isearch.el (isearch-search): Take note of isearch-case-fold-search
	initial value.

	* lisp-mode.el (indent-sexp): Even if outer-loop-done is t,
	still move down one line.

	* files.el (auto-mode-alist): Fix syntax for sgml mode.

	* man.el (Man-mode-map): Bind m to manual-entry.
	(Man-notify-when-ready): Make arg name consistent.
	Use delete-other-window.
	(Man-mode): Use buffer-disable-undo, not old name.

	* faces.el (x-resolve-font-name): Allow symbol as FACE arg.
	Allow t as FRAME arg.

	* sendmail.el (send-mail-function): Use defvar. not defconst.

	* mouse.el (x-fixed-font-alist): Specify field 7, not field 6.

1993-05-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* iso8859-1.el: File deleted.
	* superyank.el: File deleted.

	* vc.el (vc-steal-lock, vc-insert-headers): Fix question whitespace.
	(vc-finish-logentry): Use delete-windows-on.

	* add-log.el (find-log-file): Use source file's truename dir.

	* mh-e.el: Version 3.8.1 from Gildea.

	* loaddefs.el (-key): repeat-complex-command moved to C-x ESC ESC.

	* hexl.el: Doc fixes.
	(hexl-char-after-point): Get rid of mistakenly free variables.

	* info.el (Info-insert-dir): Ignore duplicate directories.

	* paths.el (Info-default-directory-list): Take out ../../info.
	Avoid duplication.
	(manual-formatted-dirlist, manual-formatted-dir-prefix): Deleted.

	* subr.el (baud-rate): Doc fix.

	* add-log.el (find-change-log): Chase symlinks multiple levels.

	* rmailsum.el (rmail-new-summary): Set rmail-summary-buffer
	to nil at beginning; set it for real after summary is set up.

1993-05-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-alternate-file): Hide truename and inode number
	temporarily, like the visited file name.

	* iso8859-1.el: Pass just the downcase table to set-case-...

1993-05-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* find-dired.el (find-dired-sentinel): Write a line describing death.
	Set mode-line-process to record exit status.
	Delete the process.

1993-05-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-initialize): Handle reverseVideo resource.
	* faces.el (x-create-frame-with-faces): Handle reverseVideo resource.

	* iso-insert.el, iso-ascii.el, iso-swed.el: Provide same name as file.

	* ange-ftp.el (ange-ftp-dired-compress-file):
	Use dired-compress-file, not dired-compress-filename.

	* completion.el: Pervasive changes to use Emacs 19 features
	and conform to Emacs conventions.

1993-05-27  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.9 released.

1993-05-27  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* term/x-win.el: Check for a geometry resource, and apply it to the
	initial frame.

1993-05-26  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* isearch.el (isearch-forward): Remove the claim that
	isearch-whitespace-chars matches any string of whitespace.

1993-05-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* completion.el: Comment out handling of shell-send-input.
	Delete the "local thinking machines" definitions at the end
	since they caused compilation failure.

	* cl.el (cl-member): Renamed from member.

	* time.el (display-time-day-and-date): Use defvar, not defconst.

	* subr.el (listify-key-sequence): Avoid the constant ?\M-\200.

	* files.el (find-file-noselect): Expand buffer-file-truename
	before copying it to anything else.

	* dired.el (dired-other-frame): New function, with binding.

	* compile.el: Make C-x ` binding just once.

	* help.el (finder-by-keyword): Autoload from `finder', not `finder.el'.

	* nroff-mode.el (nroff-mode): Don't leave nroff-electric-mode void.

	* byte-opt.el (byte-optimize-divide):
	Don't optimize to less than two arguments.

	* hexl.el (hexlify-command, dehexlify-command): Use exec-directory.

	* rmailsort.el: New version from Umeda.
	(timezone-make-date-sortable): Make autoload for this.
	(rmail-sort-by-recipient): Downcase the strings for sorting.
	(rmail-sort-by-recipient): Likewise.
	(rmail-sort-by-lines): Renamed from rmail-sort-by-size-lines.
	Use numbers to sort by.
	(rmail-summary-...): New functions.  Bind in rmail-summary-mode-map.
	(rmail-sort-from-summary): New function.
	(rmail-sort-messages): Don't bother checking major mode.
	Put message bounds in sort list, not its text.
	Choose string< or < as predicate.
	Reorder messages by exchanging them, with inhibit-quit bound.
	(rmail-fetch-field): Start by widening.
	(rmail-sortable-date-strng): Deleted.
	(rmail-make-date-sortable): New function, used instead.

	* paths.el (gnus-local-organization): Renamed from ...-your-...
	(gnus-local-domain): Likewise.

1993-05-26  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* faces.el (x-resolve-font-name): If PATTERN is nil, return the
	frame's face.
	(set-face-font): Only use x-resolve-font-name if FONT is a string.
	Copying a faces shouldn't resolve the font.

	* paths.el (Info-default-directory-list): Add
	configure-info-directory to this list.

1993-05-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* scroll-bar.el (scroll-bar-mode): Make default value t.

	* help-macro.el (make-help-screen): Handle mouse events.
	Be smart about window configurations--when and whether to restore.

	* info.el (Info-follow-nearest-node): Omit 4th arg to Info-get-token.

	* sgml-mode.el (sgml-validate): compile1 renamed to compile-internal.
	(sgml-mode): Add autoload cookie.
	* files.el (auto-mode-alist): Recognize .sgm, .sgml, .dtd.

	* files.el (auto-mode-alist): Treat .H and .hh as C++ files.

	* mouse.el (mouse-set-mark): Activate the mark.
	Don't bounce the cursor if Transient Mark mode.
	(mouse-save-then-kill): Pass explicit args to kill-ring-save.
	(mouse-kill-ring-save): Likewise.

	* mail-utils.el (mail-strip-quoted-names):
	Catch errors from forward-sexp.

	* comint.el (comint-filter): Restore buffer-read-only in proper buffer.

	* ispell.el: Provide `ispell'.

	* ange-ftp.el (ange-ftp-set-buffer-mode): Do nothing unless
	visited name is an ange ftp magic name.

	* advice.el: New version from Chalupsky.

1993-05-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-unmark-all-files): Read arg as a string.

	* rmailsum.el (rmail-summary-mark-deleted): Check for end of buffer.
	Pass t as NOWARN when calling rmail-summary-goto-msg.

	* dired-aux.el (dired-compress-file): Test the return value
	of dired-check-process properly.
	Fix use of nonexistent var `name'.

	* info.el (Info-edit, Info-last-search, Info-enable-edit):
	Correct case in `Info-mode-map'.

	* rmail.el (rmail-bury): Fix call to set-window-buffer.

	* loaddefs.el: copy-to-register now on C-x r s.

1993-05-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: Pass x-command-line-resources to x-open-connection.
	(x-command-line-resources): New variable.
	(x-handle-rn-switch): New function.
	(command-switch-alist): Add -rn.

1993-05-25  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (command-switch-alist, x-switch-definitions): Treat
	`-i' like `-itype', as in Emacs 18.

1993-05-25  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* Version 19.8 released.

	* startup.el (command-line-1): Don't handle `-i'.  We're
	abandoning the `insert file' meaning in favor of the `use a
	bitmapped icon' meaning.

	* faces.el (set-face-font): Call x-resolve-font-name on the font
	before including it in the face.
	(x-resolve-font-name): New function.

	* iso-syntax.el: Make downcase into a proper case table before
	passing it to set-standard-case-table.

	* disp-table.el (standard-display-european): Doc fix.  Make
	it autoload.  Make it respond to prefix arg like a minor mode.

1993-05-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-select-text): New arg PUSH.
	(x-switch-definitions): Represent -r as `reverse' option.

1993-05-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-read-only-other-window):
	Use find-file-other-window.

	* paths.el (Info-default-directory-list): Add ../../info.

	* info.el (Info-suffix-list): Fix duplicate .z to .info.z.

	* faces.el (x-create-frame-with-faces): Handle `reverse' as parameter.
	* frame.el (frame-initialize): Likewise.

	* dired.el (dired-flag-backup-files): Speedup:
	check explicitly for ~ at end of line.
	(dired-flag-auto-save-files): Similar change.

	* register.el (jump-to-register):
	Don't fail if frame-configuration-p is unbound.

	* files.el (cd): Set cd-path to a list.

	* simple.el (kill-new): Pass t as 2nd arg to interprogram-cut-function.
	* select.el (x-set-cut-buffer): New arg PUSH.

1993-05-24  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* disp-table.el (standard-display-default): New function.
	(standard-display-european): New command.

	* loaddefs.el: Bind [?\M-\C-\ ] to mark-sexp.

1993-05-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (shell-command): Don't activate mark even momentarily.

1993-05-24  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* case-table.el, disp-table.el, finder.el, iso-ascii.el,
	* iso-insert.el, iso-swed.el, iso-syntax.el, iso8859-1.el,
	* swedish.el: Change "i14n" keyword to "i18n".
	* finder.el (finder-compile-keywords): Replacement unnecessary.

1993-05-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-mode): Doc fix.

1993-05-23  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* lucid.el (switch-to-other-buffer): Build the list of acceptable
	buffers properly.

	* faces.el (make-face): Change interactive spec to 'S'.

1993-05-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-raw-send-cmd): Allow quitting
	during accept-process-output.

	* finder.el (finder-known-keywords): Use i18n, not i14n.
	(finder-compile-keywords): Substitute i18n for i14n.
	Turn off undo in *finder-scratch*.  Ignore file names
	starting with =.
	(finder-mode, finder-current-item): Rename headmark to finder-headmark.
	(finder-list-matches, finder-list-keywords): Likewise.

	* iso8859-1.el: Call set-case-..., not standard-case-...

1993-05-23  Paul Eggert  (eggert@twinsun.com)

	* calendar.el (calendar-daylight-savings-starts)
	(calendar-daylight-savings-ends): Default to nil if the locale
	never has DST.

1993-05-22  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* Version 19.7 released.

1993-05-22  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-comment-to-change-log): Don't take FILE argument, since
	vc-update-change-log doesn't support it anyway.
	Don't bind default-directory.  Instead pass second arg to
	file-relative-name.
	(vc-update-change-log): Use find-change-log instead of hardcoding.

1993-05-22  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* cl.el (cl-floor, cl-ceiling, cl-truncate, cl-round): Renamed
	from floor, ceiling, truncate, and round; the old names conflict
	with built-in functions.

1993-05-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gud-def): Fix inclusion of the define-key.
	(gdb, sdb, dbx): Change bindings from letters to control chars.
	(gud-common-init): Add save-excursion.
	(gud-display-line): Don't mess with buffer-read-only.
	(gud-filter): Set output-after-point *after* deleting old prompt.
	Likewise for `moving'.

	* subr.el (event-modifiers): Doc fix.

	* help.el (describe-key, describe-key-briefly):
	Discard the click or drag that follows a down event.

	* levents.el (event-modifiers): Function deleted.
	(read-command-event): For switch-frame event, call select-frame.

1993-05-22  Noah Friedman  (friedman@splode.com)

	* rlogin.el (rlogin-filter): Yet another rewrite which handles
	unusual values of scroll-step in a winning way by window-start
	frobnication.

1993-05-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (pending-undo-list): Var declared.

	* apropos.el (apropos-print-matches): Bind tem.

1993-05-21  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* holidays.el: Update reference to the papers in S-P&E.
	(filter-visible-calendar-holidays): Test for nil date.

	* cal-mayan.el: Update reference to the papers in S-P&E.

	* cal-french.el: Update reference to the papers in S-P&E.

1993-05-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (apropos-match-keys): Handle modern keymap structure.

	* simple.el (transient-mark-mode): Doc fix.

	* outline.el (outline-minor-mode): Make permanent local in all buffers.
	Give the command a doc string, and make it autoload.

	* lisp-mode.el (lisp-body-indent): Add doc.

1993-05-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el (texinfo-section-types-regexp): Define here.

	* delsel.el: Provide delsel.
	(keyboard-quit): Definition deleted.
	(minibuffer-keyboard-quit): If Delete Selection mode is off,
	do abort even if mark is active.

1993-05-19  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	Some time-handling patches from Paul Eggert:
	* calendar.el (calendar-current-time-zone): New function.
	(calendar-time-zone, calendar-standard-time-zone-name)
	(calendar-daylight-time-zone-name): Use it instead of current-time-zone.
	* sendmail.el (mail-do-fcc): Use the same absolute time for both
	current-time-string and current-time-zone.  Adjust to new format
	returned by current-time-zone.

	* xfaces.el (face-equal): Doc fix.

1993-05-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* delsel.el: Renamed from pending-del.el.
	Functions and variables renamed to ...delete-selection...
	from ...pending-delete...
	Bind all minibuffer keymaps alike.

	* outline.el (outline-heading-end-regexp): Fix typo.
	(outline-minor-mode-map): New variable.
	(minor-mode-map-alist): Add new entry.
	(outline-minor-mode): Work with above change.
	Do not set outline-regexp or outline-header-end-regexp.

1993-05-19  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (hebrew-calendar-yahrzeit): Correct error from S-P&E
	paper in test for Adar I 30 date of death for yahrzeit in a
	non-leap year when Shevat 29 must be used.

1993-05-19  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* files.el (set-auto-mode): If the buffer's file name is nil,
	don't try to compare it against the entries in auto-mode-alist.

1993-05-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ispell.el (ispell-command-loop): Make an undo boundary.

	* isearch.el (isearch-mode-map): Use vector, not string, to bind
	printing characters.

1993-05-18  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* select.el (xselect-convert-to-class): Just return "Emacs" here.
	That's what the class will always be.

1993-05-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loaddefs.el: Add bindings for C-SPC and C-/, like C-@ and C-_.

1993-05-18  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* startup.el (normal-top-level, command-line, command-line-1):
	Don't call the frame and face initialization functions unless
	they're bound.

	* frame.el (frame-notice-user-settings): Don't make
	frame-initial-frame unbound; just set it to nil.
	* startup.el (command-line-1): Call frame-notice-user-settings
	before displaying the startup message.

	* server.el (server-switch-hook): New hook.
	(server-process-filter): Call it.

	* bibtex.el (bibtex-string): Use \" instead of "" to get a double
	quote inside a string.
	* vms-patch.el (print-region-function): Same.

1993-05-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-yank-original): In Transient Mark mode,
	don't get error and don't activate the mark.

	* isearch.el (isearch-mode-map): Extend the dense keymap to 256 chars.

1993-05-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* trace.el, advice.el: New files.

	* bytecomp.el (byte-compile-file): Don't write output if error.

	* sendmail.el (mail-setup): Leave point before signature, not after.

	* rmailsort.el (rmail-sortable-date-string): Handle date in format
	produced by current-time-string.

	* simple.el (keyboard-quit): Run deactivate-mark-hook.
	(kill-ring-save): If quit happens while cursor is bounced,
	make it appear like a command-level quit.

	* loaddefs.el: Add bindings for C-digits, C-M-digits, C-- and C-M--.

	* isearch.el (isearch-mode): Set deactivate-mark.

	* menu-bar.el (fill-region, kill-region, delete-region)
	(kill-ring-save): Use mark-active as enable condition.
	(undo): Add an enable condition.

1993-05-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el (texinfo-chapter-level-regexp): Copied here.

1993-05-17  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* gnus.el (gnus-info-directory): Variable removed.
	(gnus-info-find-node): Don't use it.

1993-05-16  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* gnus.el, gnuspost.el, gnusmail.el, gnusmisc.el
	* nntp.el, nnspool.el, mhspool.el: Version 3.15 from Umeda.

	* frame.el (toggle-scroll-bar): Renamed from toggle-vertical-scroll...

1993-05-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el: Don't require tex-mode or texnfo-upd.
	(texinfo-mode-map): Binding for " deleted.
	(texinfo-tex-print): Require tex-mode here.
	(texinfo-tex-region): Likewise.
	(texinfo-tex-region): Update name of tex-set-buffer-directory.

	* tex-mode.el (tex-insert-quote): Doc fix.

	* vc.el: Don't require sendmail, compile, or dired.

	* simple.el (push-mark): Always activate the mark
	if not in Transient Mark mode.

	* c-mode.el (mark-c-function): Activate the mark.

	* ispell.el (ispell): Deactivate mark before the Ispell run.
	(ispell-point): Delete the sit-for; it was confusing.
	(ispell): Don't use save-excursion; just restore current buffer.
	(ispell-next): Don't save-excursion or save-window-excursion.
	(ispell-point): Don't save-excursion.
	(ispell-window-configuration): New variable.
	(ispell-show-choices): Set it if not nil.
	(ispell-next): Initialize to nil.  Restore at end.

	* simple.el (yank, yank-pop): Don't activate the mark.

	* lisp.el (mark-sexp, mark-defun): Activate the mark.
	* page.el (mark-page): Activate the mark.
	* paragraphs.el (mark-paragraph, mark-end-of-sentence): Likewise.

	* simple.el (mark-whole-buffer, mark-word): Activate the mark.
	(push-mark): Optional arg ACTIVATE.
	(set-mark-command): Use that.

	* faces.el (face-initialize): Do make the modeline face.
	(x-initialize-frame-faces): Explicitly invert `modeline' face.
	(x-create-frame-with-faces): Simplify; do nothing special
	with `default' or `modeline' face.

1993-05-15  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* version.el (emacs-version): Alpha release 19.6.

1993-05-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el: Rename `primary-selection' to `region'.

	* mouse.el (mouse-set-region): Call set-mark to activate mark.

	* isearch.el (isearch-done): Don't activate mark.

	* simple.el (push-mark): Don't activate the mark.
	(set-mark-command): Explicitly do so here.
	When popping, don't mind if mark is inactive.
	(pop-mark): Deactivate mark.  Don't mind if it's inactive.
	(yank-pop): Don't mind if mark is inactive.
	(keyboard-quit): Deactivate the mark.
	(kill-ring-save): When bouncing cursor,
	bounce the mark too, so highlighted area does not change.

	* bytecomp.el (byte-compile-track-mouse): New function.
	This is a kludge; track-mouse must be compiled better.

	* simple.el (transient-mark-mode): New command.

	* mouse.el (mouse-drag-region): New command, on down-mouse-1.

	* map-ynp.el (map-y-or-n-p): Show the answers in the echo area.

	* faces.el (face-initialize): Turn off `modeline' face.
	Set region-face.
	(invert-face): Really do use the default colors.
	(x-initialize-frame-faces): Always try "gray" color for
	primary-selection; always invert if that fails.
	Similar changes for highlight, secondary-selection.

	* menu-bar.el: Fix up the edit commands.  Add fill-region.

1993-05-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el (menu-bar-mode): New command.  Use for initialization.

	* faces.el (make-face): Add interactive spec.
	(set-default-font): Deleted.

	* isearch.el (isearch-mode-map): Handle any length vector in keymap.
	(isearch-char-to-string): Handle non-character events properly.

1993-05-14  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* subr.el (overlay-start, overlay-end, overlay-buffer): Removed.

	* vc.el (vc-version-diff): Match parens.

1993-05-14  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-revert-buffer1): Don't assume that compilation-error-list
	is a list; it might be t.

1993-05-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* emerge.el: Installed version 5 from drw.
	Merged in previous FSF changes, plus new changes:
	(emerge-count-matches-string): Renamed from count-matches-string.
	(emerge-command-prefix): Now C-c C-c.
	(emerge-shadow-key-definition): Deleted.
	Callers use substitute-key-definition.
	(emerge-recursively-substitute-key-definition): Deleted.
	Callers use substitute-key-definition.
	(emerge-unselect-hook): Renamed from emerge-unselect-hooks.
	(emerge-files-internal): Use file-local-copy to handle remote files.
	(emerge-files-with-ancestor-internal): Likewise.
	(emerge-remote-file-p): Deleted.
	(emerge-abort): New command.
	(describe-mode): Deleted.
	(emerge-hash-string-into-string): Renamed from hash-string-into-string.
	(emerge-unslashify-name): Renamed from unslashify-name.
	(emerge-write-and-delete): Don't write-file if file-out is nil.
	(emerge-setup-fixed-keymaps): Put emerge-abort on C-].
	(emerge-find-difference-diff): Renamed from emerge-find-difference.
	(emerge-find-difference): New command.  Now on `.'.
	(emerge-diff-ok-lines-regexp): Renamed from emerge-diff-ok-lines.
	(emerge-diff3-ok-lines-regexp): Renamed from emerge-diff3-ok-lines.

1993-05-13  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-version-diff): Don't move point in current buffer.

1993-05-13  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (tags-table-including): Take new third arg CORE-ONLY.
	If non-nil, ignore files without extant buffers.
	(visit-tags-table-buffer): Call tags-table-including first with
	CORE-ONLY set, and then afterwards with it clear.

1993-05-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: Require menu-bar.el.
	* menu-bar.el: Provide 'menu-bar.

	* compile.el (Setting minor-mode-map-alist):
	Put the map directly in the alist, not a variable name.
	* vc.el: Likewise.

	* macros.el (kbd-macro-query): Fix prompt string.

	* loadup.el: Preload mouse, scroll-bar and select if have multi-frames.

	* vc.el: Improve doc strings and prompt strings.
	(vc-cancel-version): Ask whether to revert buffer.

	* lmenu.el (default-menubar): Make initial value nil.
	(kill-this-buffer, x-new-frame)
	(sensitize-file-and-edit-menus-hook, format-buffers-menu-line)
	(buffers-menu-max-size, complex-buffers-menu-p)
	(buffers-menu-switch-to-buffer-function, buffer-menu-save-buffer)
	(buffer-menu-write-file, build-buffers-menu-internal)
	(build-buffers-menu-hook): Functions and variables deleted.

	* faces.el (face-initialize): New function.
	All initialization code moved into it.
	Call at end of file, if using X frames already.
	(x-create-frame-with-faces): Don't use faces if not initialized.

	* startup.el (command-line): Call frame-initialize explicitly.
	Call face-initialize.
	(normal-top-level): Call frame-notice-user-settings explicitly.
	* frame.el: Do not put those functions on hooks.

	* terminal.el (te-pass-through): Handle meta chars and non-char events.
	(terminal-map, etc.): Use default bindings, not fillarray.
	Make the maps sparse.
	(terminal-meta-map): New map; lets us make ESC a prefix key.
	(terminal-map): Bind ESC to terminal-meta-map.
	(te-more-break-unread): Handle non-char as last-input-char.
	(te-filter): Delete code that worked with meta-flag.
	(terminal-emulator): Don't look at meta-flag.
	(terminal-mode): Don't make meta-flag local.
	(te-stty-string): Quote the args that have ^.  Add pass8.

1993-05-08  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-diff): Report an error if the buffer isn't registered.
	(vc-registration-error): New function.
	(vc-next-action, vc-diff, vc-print-log, vc-backend-diff): Use it to
	make VC's error messages more uniform.

	* vc.el (vc-directory, vc-revert-buffer1): Quote lambdas with
	(function ...) for Emacs 18.
	(compilation-old-error-list): Set if undefined, for Emacs 18.

1993-05-11  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* faces.el: Re-arranged to put accessors at the top.

1993-05-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* buff-menu.el (Buffer-menu-quit): New function, now on q.
	(buffer-menu): Update list of options.
	Don't save a window config.
	(Buffer-menu-select): Don't call Buffer-menu-execute.
	Don't restore a window config.
	(Buffer-menu-mode-map): Buffer-menu-select now on v.

1993-05-10  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* bytecomp.el (byte-recompile-directory): If ARG is non-nil, set
	it to its prefix numeric value.  Test for ARG being zero with eq,
	not zerop.

1993-05-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): Undo June 11 1992 change:
	Don't try to use Date field in the From.

	* faces.el: Rename all references to try-face-font to
	internal-try-face-font, so we don't need lucid.el.

	* faces.el (read-face-name): Call face-list, not list-faces.

	Fail more gracefully if we can't build bold, italic, etc,
	versions of the default font.
	* faces.el (make-face-bold, make-face-italic,
	make-face-bold-italic, make-face-unbold, make-face-unitalic):
	Implement NOERROR argument.
	(x-initialize-frame-faces): Use the NOERROR argument to the
	font manipulation functions to avoid errors while starting up.
	Remove initialization of isearch font.
	* xfaces.c (internal-x-complain-about-font): Add new frame
	argument, so we can check the frame parameters to find the
	default font.  Callers changed.

	* faces.el (x-create-frame-with-faces): Fix typo.  Dyke out
	code to fully qualify the modeline font; we may not be able to
	do that correctly.

1993-05-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dabbrev.el (dabbrev-expand): Delete a search-forward call
	after the second replace-match.

1993-05-09  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (find-change-log): If there is a buffer-local value of
	change-log-default-name, just return it with no searching.
	Previously if it was set to a nonexistent file name, we would
	loop forever.

1993-05-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (query-replace-map): Bind [escape] like "\e".

	* macros.el (kbd-macro-query): Use query-replace-map to define answers.

	* vc.el (diff-switches): Define var here as well as in diff.el.
	(vc-backend-diff): Handle either string or list.

	* comint.el (comint-filter): Increment opoint only if after
	insertion point.

1993-05-08  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* faces.el: Call internal-set-face-1, not internat-set-face-1.

	* faces.el: Don't set frame-creation-function here; term/x-win.el is
	the appropriate place to set it.

	* faces.el: Only apply x-initialize-frame-faces to X frames; pass
	over terminal frames.

	* faces.el: Provide 'faces.

1993-05-08  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Since we require faces.el, there's no point in setting
	frame-creation-function to x-create-frame - just set it directly
	to x-create-frame-with-faces.

1993-05-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Don't output a newline before From...

	* rmail.el (rmail-convert-to-babyl-format): Delete 1 char
	if we see a newline instead of what we expect.

	* register.el (jump-to-register): Allow file name "in" a register.

	* scroll-bar.el (scroll-bar-drag, scroll-bar-drag-1): New functions.
	Put scroll-bar-drag on down-mouse-2 in scroll bar.
	Leave up-events on mouse-2 unbound.

	* help-macro.el: Provide help-macro, not help-screen.
	* help.el: Require help-macro, not help-screen.

	* menu-bar.el: Don't add menu bar to minibuffer-only frames.

1993-05-07  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-directory-18): New function.
	If Emacs 18, make vc-directory alias to this.

1993-05-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loaddefs.el: Bind M-right and M-left to forward-word, backward-word.
	Unbind M-up and M-down.

	* calendar.el (calendar-mode-map): Add arrow key bindings.

	* rmail.el (rmail-resend): Add `resent' attribute.
	(rmail-forward): With prefix arg, run rmail-resend.

1993-05-07  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el Require 'faces, too.  Move (require 'select) to top,
	with the other requires.

1993-05-06  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* finder.el: Bind finder-exit to 'q', not 'x'; the former is the
	conventional way to get out of such a package.
	(finder-summary): Use substitute-command-keys.
	(finder-mode): Use \\<...> to make sure we get the right keymap.

1993-05-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (flush-lines, keep-lines, how-many):
	Delete spurious `s' from prompt arg to read-from-minibuffer.

	* comint.el (comint-filter): New function.
	(comint-exec): Install the filter.

	* simple.el (previous-matching-history-element): If minibuf is empty,
	use the last regexp specified a the default.
	(next-matching-history-element): Likewise.

	* comint.el (comint-previous-matching-input): New command, on M-r.
	(comint-next-matching-input): New command, on M-s.
	(comint-previous-similar-input): Commented out.
	(comint-next-similar-input): Likewise.
	(comint-previous-input-matching): Deleted.
	(comint-last-input-match): Var commented out.
	(comint-mode): Don't make comint-last-input-match local.

1993-05-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (auto-mode-alist): Delete the entries for makefile-mode.

	* asm-mode.el: Doc fix.

	* man.el: Rename functions and variables `man-*' to `Man-*'.
	(manual-entry): Make prompt string clearer.

	* simple.el (blink-matching-paren-distance): Change default to 12,000.

1993-05-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (minor-mode-map-alist): Don't use it if it's void.
	(vc-cancel-version): Doc fix.
	(vc-backend-diff): Use diff-switches, not vc-diff-options.
	(vc-diff-options): Variable deleted.

1993-05-03  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el: Update reference to the papers in S-P&E.
	(calendar-print-astro-day-number): Correct spelling error in
	message string.

1993-05-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (help-for-help): Use lower case letters for help options.

	* rect.el (string-rectangle): Renamed from fill-rectangle.
	(string-rectangle-line): Renamed from fill-rectangle-line.

1993-05-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-dired-prefix-map): New keymap.
	Use it in minor-mode-map-alist for vc-dired-mode.

	* vc-hooks.el (vc-mode-line): Don't alter key bindings.
	(vc-toggle-read-only): Put on C-x C-q unconditionally.
	(vc-mode): Add permanent-local property.

1993-04-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-noselect): On VMS, always set buffer-file-name
	to the truename.

	* vc.el (vc-revert-buffer1): Fix format of compilation-error-list.

	* files.el (find-file-noselect): Do set buffer-file-name
	to the truename, when find-file-visit-truename.

1993-04-29  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* yow.el (yow): Fix interactive spec.

	* files.el (insert-directory): Undo change of March 23;
	dereferencing links is inappropriate for dired.

	* edebug.el (edebug-display): Call the `mark' function with the
	FORCE argument non-nil, so that we don't get an error if the mark
	isn't set yet.

	* edebug.el (global-edebug-prefix, global-edebug-map): Add
	autoload cookies for these, so they are present when Emacs starts
	up.

	* edebug.el (global-edebug-map): Bind `C-x X d' to edebug-defun in
	this map; we can't bind it to `C-x x', as the installation
	instructions suggest, because that conflicts with
	copy-to-register.

1993-04-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* complete.el: New file.

	* vc.el (vc-match-substring): Renamed from match-substring.
	(vc-parse-buffer): Use new name.

	* shell.el (shell-prompt-pattern): Undo last change.

	* files.el (file-truename): Redo esr's change.

	* loaddefs.el: Put arrow key bindings back to the ordinary Emacs cmds.
	* simple.el (up-arrow, down-arrow, left-arrow, right-arrow): Deleted.

	* simple.el (kill-line, next-line-add-newlines): Doc fix.
	(kill-whole-line): Doc fix.
	(kill-forward-chars, kill-forward-chars): Reinsert as before.

	* simple.el: Change defalias to define-function.

1993-04-28  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* vc.el (vc-revert-buffer1):
	Ignore non-marker elts of compilation-error-list.

	* compile.el: Add compilation-minor-mode to minor-mode-alist and
	minor-mode-map-alist.
	(compilation-minor-mode): New defvar.
	(compilation-minor-mode-map): New defvar; keymap with the bindings
	from compilation-mode-map except SPC and DEL.
	(compilation-mode-map): Construct this keymap to inherit from
	compilation-minor-mode-map.
	(compilation-setup): New function, code broken out of compilation-mode.
	(compilation-mode): Call it.
	(compilation-minor-mode): New function to toggle
	compilation-minor-mode; if setting it, call compilation-setup.

1993-04-28  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* bibtex.el: Installed Aaron Larson's new bibtex.el.  See the
	header comment for details.

1993-04-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* gnuspost.el (gnus-inews-organization):
	If ORGANIZATION is "", set it to nil.

1993-04-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (file-truename): Undo last change.

1993-04-27  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* files.el (file-truename): Do the right thing when $HOME = "".

	* simple.el (hscroll-step): New variable.
	(hscroll-point-visible): New function.
	(left-arrow, right-arrow): These use hscroll-point-visible for
	better auto- scrolling behavior.

	* picture.el: Completed the package entry point's name change from
	edit-picture to picture-mode.
	(move-to-column-force, picture-end-of-line): When movement is
	completed, scroll horizontally if necessary to make point visible.
	(picture-beginning-of-line): New function.
	(picture-mode-map): Use substitute-key-definition.

	* gud.el (gud-format-command): Fix %f expansion to send only the
	basename of files to gdb.

1993-04-27  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* disp-table.el (describe-display-table): Don't use the term
	"rope"; we're using vectors of characters now.
	(standard-display-8bit, standard-display-ascii): Set the element
	of the display table to a vector, not an integer; the latter
	doesn't mean anything.

	* mouse.el (mouse-buffer-menu): Don't right-justify the buffer
	name; this doesn't look nice if we use a proportional font.

	* sendmail.el (mail-setup): Don't insert "--\n" before the
	signature.  If they want it, they can put it in their .signature
	file.

	* lucid.el: Comment out fset of set-screen-width properly.

	* lucid.el: Provide 'lucid.

	* lucid.el (switch-to-other-buffer): Avoid buffers whose names
	start with a space.

1993-04-26  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (find-tag-interactive): New function to read args.
	(find-tag-noselect, find-tag, find-tag-other-window)
	(find-tag-other-frame, find-tag-regexp): Use it.
	(find-tag, find-tag-other-window):
	Take new arg REGEXP-P, pass to find-tag-noselect.
	(find-tag-regexp): Call either find-tag-other-window or find-tag,
	rather than find-tag-noselect and switch-to-buffer[-other-window].
	(tags-location-stack): New defvar.
	(find-tag-noselect): If NEXT-P is '-, pop location off
	tags-location-stack.

1993-04-26  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* cmacexp.el: Installed Francesco Potortì's enhanced and
	cleaned-up version, see its commentary for details.

	* tex-mode.el: Doc fixes.  Also a few tweaks to pacify the
	byte-compiler.

	* terminal.el: Some defvars moved.
	Defvars added for many variables.
	(te-stty-string): Specify the characters explicitly--not `stty dec'.

1993-04-26  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* files.el (cd): Handle leading "~" like an absolute filename.

	* dired.el: Changed fsets to defaliases.

1993-04-25  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* comint.el (comint-mod): Nuked.  A call to ring-mod replaces it.
	(comint-mem): Nuked.  A call to member replaces it.

	* ring.el: Rewritten.  A poor choice of representation made the
	old code excessively complex.  The new version is smaller and
	faster.  The interface is unchanged, except that ring-remove now
	accepts an optional numeric argument specifying the element to
	remove.

	* gud.el: Set no-byte-compile local variable t to work around a
	byte-compiler bug.
	(gud-def, global-map): Move C-x C-a commands to global map.  Restore
	original C-x SPC global binding.

	* vc.el (vc-diff): Get proper error message when you run this with
	no prefix arg on an empty buffer.
	(vc-directory): Better directory format --- replace the user and
	group IDs with locking-user (if any).
	(vc-finish-logentry, vc-next-comment, vc-previous-comment): Replace
	*VC-comment-buffer* with a ring vector.

1993-04-25  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* simple.el (down-arrow): New function.  Uses
	next-line-add-newlines to suppress addition of new lines at end of
	buffer.
	(up-arrow): Alias of previous-line, added for consistency.
	These changes complete terminal-type-independent support for arrow
	keys.

	* tex-mode.el (tex-compilation-parse-errors): Added.  At the
	moment, this would have to be applied manually.  It's not worth
	trying to integrate this with the rest of the mode more tightly
	until we decide whether and how compile's interface is going to
	change away from a closed subsystem.

	* files.el (cd): Changed to use to resolve relative cd calls.
	(cd-absolute): Added.  This is actually the old cd code with a
	changed doc string.
	(parse-colon-path): Added. Path-to-string exploder --- may be
	useful elsewhere.

	* ring.el: Added and fixed documentation.
	(ring-rotate): Nuked.  It was (a) unused, and (b) totally broken (as
	in, any attempt to use it died with a type error, and when I patched
	it to fix that I found its algorithm was broken).
	(ring-ref): Added doc string.

1993-04-25  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* bytecomp.el (meta-flag): Declare this an obsolete variable.

	* subr.el (listify-key-sequence): Use a character constant to
	decide which bits to flip, not an integer constant.

1993-04-24  Noah Friedman  (friedman@splode.com)

	* shell.el (shell-prompt-pattern): Add `;' as potential prompt
	delimiter (for `es' and `rc' shells most particularly).

1993-04-23  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* isearch.el: Replaced all fsets with defaliases.

1993-04-23  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* bytecomp.el (define-function): Changed name back to defaliases
	to get things in a known-good state.  The unload patch had been
	half-applied, leading to lossage.

	* register.el, gnuspost.el, find-dired.el, cust-print.el,
	* two-column.el, tar-mode.el, shell.el, lselect.el, select.el,
	* ispell.el, life.el, picture.el, rmail.el, mim-mode.el, replace.el,
	* tex-mode.el, frame.el, lucid.el, subr.el:
	All fsets changed to defaliases.

	* edt.el: Some fsets changed to defaliases.

	* telnet.el: Commentary added.
	(telnet): Doc fix.
	(rsh): Added entry point for rsh to remote host, per suggestion by
	Michael McNamara <mac@ardent.com>.  No change to any other code.

	* info.el (Info-find-node, Info-insert-subfile): Do the right
	thing if info files have been compressed or gzipped.  This is
	saving me lots of disk space.

	* simple.el: All fsets changed to defaliases.
	(kill-forward-chars, kill-backward-chars): Deleted.  These were
	internal subroutines used by delete-char and delete-backward-char
	before those functions were moved into the C kernel.  Now nothing
	uses them.
	(kill-line): Added kill-whole-line variable.  Defaults to nil; a
	non-nil value causes a kill-line at the beginning of a line to
	kill the newline as well as the line.  I find it very convenient.
	Emulates Unipress' &kill-lines-magic variable.
	(next-line): Added next-line-add-newlines variable.  If nil,
	next-line will not insert newlines when invoked at the end of a
	buffer.  This obviates three LCD packages.
	(left-arrow, right-arrow): New functions.  These do backward-char
	and forward-char first. If line truncation is on, they then scroll
	left or right as necessary to make sure point is visible.

	* loaddefs.el: All fsets changes to defaliases.
	(global-map): Changed bindings of [left] and [right] to left-arrow and
	right-arrow respectively.

1993-04-22  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-binary-file-name-regexp):
	Match .z and .z-part-?? files.

1993-04-21  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* makefile.el: Rewritten and simplified, commentary added.  It now
	will usually detect when the makefile target or macro lists need
	to be rebuilt and do it automatically; in particular, this means
	you no longer have to deal with an annoying wait at find-time.

1993-04-19  Roland McGrath  (roland@mole.gnu.ai.mit.edu)

	* vc.el (vc-revert-buffer1): Typo fix in last change.

	* shell.el (shell-mode): isation/ization (doc fix).

	* shell.el (shell-mode): Capitalize mode name.

	* vc.el (vc-comment-to-change-log): Restored interactive spec.
	Why was it removed?  Why does the only log entry mentioning this
	function contain no actual information?

	* vc.el (vc-revert-buffer1):
	Completely rewrote compilation reparsing code.

	* files.el (find-file-noselect): Never set SAME-TRUENAME to a
	buffer whose buffer-file-name is nil.

	* files.el (set-auto-mode): If the buffer begins with "#!", look
	for -*- in the first two lines, not just the first one.

1993-04-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Make a numeric time zone indicator
	with current-time-zone--don't run `date'.

1993-04-16  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile, byte-compile-keep-pending)
	(byte-compile-file-form-defmumble): Generate define-function
	rather than fset, to install definitions for defun, defmacro, etc.

	* loadhist.el: New file.

	* tar-mode.el: Add defvars to pacify the byte compiler, at RMS's
	request.

	* diff.el (diff-parse-differences): Small robustification ---
	don't lose if we call this with compilation-parsing-end nil

1993-04-16  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* electric.el (shrink-window-if-larger-than-buffer):
	Moved to window.el.

1993-04-16  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* comint.el (comint-match-partial-pathname): Move "---" range in
	character class in regular expressions to the end of the character
	class; this way, it meets the POSIX regexp specs.

	* files.el (abbreviate-file-name): If abbreviated-home-dir ends
	with a slash, don't remove the corresponding slash from filename
	when we collapse the home directory to ~.

1993-04-16  Noah Friedman  (friedman@splode.com)

	* rlogin.el: Add autoload cookies for all defvars.
	(rlogin-process-connection-type): New variable.
	(rlogin): Use it to determine process-connection-type.
	(rlogin): Set process mark to point-max, not point-min.
	(rlogin-with-args): Put `+' inside \(\) pair in string-match.
	(rlogin-password): Take optional arg `proc' for use by rlogin-filter.
	Write docstring.  Call new winning version of comint-read-noecho
	instead of doing reading by hand.
	(rlogin-mode): Wrote docstring.
	(rlogin-filter): Completely rewritten to be more efficient.

1993-04-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* resume.el (resume-suspend-hook): Renamed from empty-args-file.
	Add autoload cookie.
	(resume-emacs-args-buffer): Renamed.
	(resume-write-buffer-to-file): Renamed.

	* two-column.el (tc-dissociate): Renamed from tc-kill-association.
	Move binding to C-x 6 d.

1993-04-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads, update-directory-autoloads):
	If called interactively, save generated-autoload-file when done.

1993-04-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* makefile.el (makefile-mode): Fix typo in autoload cookie.

	* isearch.el: Doc fixes.

1993-04-14  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* gud.el (gud-mode): Created C-c synonym bindings in the GUD
	buffer's local map.

	(gud-key-prefix): Changed to C-x C-a.

1993-04-14  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* help-macro.el: Name changed from help-screen.el to fit in a
	14-character limit.

	* sun-curs.el: Name changed from sun-cursors.el to protect the
	innocents.

1993-04-14  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* finder.el: Rewritten.  The Finder is now a major mode with the
	ability to browse package commentary sections and a completely
	point-and-shoot interface similar to Dired's.

	* window.el (shrink-window-if-larger-than-buffer): Moved from
	electric.el to windows.el, minor bug fix.  This is to avoid code
	duplication between vc.el, electric.el, and finder.el.

	(ctl-x-map): Added C-x - and C-x + as experimental bindings for
	shrink-window-if-larger-than-buffer and balance-windows
	respectively.  Since shrink-window-if-larger-than-buffer has to
	live here anyhow, let users use it to manage screen space.

	* lisp-mnt.el (lm-commentary-region): Gone.
	(lm-commentary): New function, replacing lm-commentary-region.

1993-04-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* bytecomp.el: The `suspend-hooks' variable is obsolete now, and
	`suspend-hook' is the right name.

1993-04-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/sun-mouse.el (suspend-emacstool): Run suspend-hook, not
	suspend-hooks.

1993-04-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rot13.el (rot13-display-table): Use `vector', not `make-rope'.

	* disp-table.el: Use `vector', not `make-rope'.

	* rot13.el (rot13-other-window): Add autoload.

1993-04-12  Noah Friedman  (friedman@splode.com)

	* comint.el (comint-process-echoes): New variable.
	(comint-mode): Make it buffer-local.
	(comint-send-input): Delete text from process mark to point if
	variable `comint-process-echoes' is non-`nil', since it is assumed
	process will re-echo the text.

1993-04-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* disp-table.el: Use `vector', not `make-rope'.

	* rot13.el (rot13-other-window): Add autoload.
	(rot13-display-table): Use `vector', not `make-rope'.

1993-04-10  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* gud.el (gdb, sdb, dbx): Improved prompting a la grep.

	* comint.el: Clean up cmu* uses in header comments.

1993-04-10  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* paragraphs.el (sentence-end, forward-sentence): Doc fixes.

	* finder.el (finder-by-keyword): Build an alist to pass to
	completing-read, instead of building an invalid obarray.

	* finder.el (finder-by-keyword): If the user quits or enters the
	empty string in response to the keyword prompt, restore the old
	window configuration properly.

1993-04-09  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* emerge.el (emerge-with-ancestor): Applied Donald Erway's fix
	patch, which included the following explanatory comment: "D.Erway
	- This used to just do emerge-get-diff3-group on 2, then on
	3.  This was incorrect, since the file 3 info for a diff can
	precede the file 2 info for that same diff.  So we save and restore
	point to overcome this."

1993-04-09  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* subr.el (overlay-start, overlay-end, overlay-buffer): New
	defsubsts.

	* finder.el (finder-by-keyword): Build an alist to pass to
	completing-read, instead of building an invalid obarray.

	* finder.el (finder-by-keyword): If the user quits or enters the
	empty string in response to the keyword prompt, restore the old
	window configuration properly.

1993-04-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Doc fix.

1993-04-08  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* gud.el: Massive changes, amounting nearly to a rewrite.  The new
	features include auto-configuring support for SVr4, more commands,
	and a full minor-mode implementation that binds all GUD commands
	not just in the GUD interaction mode, but in C buffers visited by
	GUD.  The common prefix of GUD commands is now C-x X, like
	electric-debug mode.

	* vc-hooks.el (vc-mode): Name change.  This looks better in keymap
	listings and conforms to the naming conventions used by other
	packages.

	* vc.el (vc-directory. vc-start-entry, vc-next-action)
	(vc-next-action-on-file): The vc-directory listing is now in an
	augmented Dired mode that supports vc-next-action on all marked
	files.

	* dired.el (dired-noselect, dired-internal-noselect)
	(dired-insert-directory): Enhancements to support passing dired a
	DIRNAME argument consisting of a directory-name car and a
	list-of-files cdr.  This is needed to support VC's augmented
	dired, which wants a filtered file display that recurses (showing
	all version-controlled files in subdirectories as well as the
	top-level ones).

	* menu-bar.el: Added and corrected library headers.

1993-04-08  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* menu-bar.el: Entered into RCS.

	* lucid.el: Add copyright notice.

1993-04-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-internal): Initialize the process-mark.

	* compile.el (compilation-error-regexp-alist):
	Tighten first regexp so that it
	requires a colon or open-paren before the line number, not just
	whitespace.

	* compile.el (compilation-parse-errors): Remove debugging setq.

	* compile.el (compilation-filter): New function.
	(compile-internal): Make it the process's filter.

	* compile.el (compilation-error-regexp-alist):
	Fixed MIPS CC regexp to match file
	names longer than one char.
	(compilation-parse-errors): Error if compilation-error-regexp-alist is nil.

1993-04-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* menu-bar.el: New file.

	* fill.el (fill-nonuniform-paragraphs): New command.

1993-04-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-internal): Initialize the process-mark.

1993-04-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist): Tighten first
	regexp so that it requires a colon or open-paren before the line
	number, not just whitespace.

1993-04-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-noselect):
	Verify other buffers' file numbers are still valid.

1993-04-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-filter): New function.
	(compile-internal): Make it the process's filter.

	* compile.el (compilation-error-regexp-alist): Fixed MIPS CC
	regexp to match file names longer than one char.
	(compilation-parse-errors): Error if
	compilation-error-regexp-alist is nil.

1993-04-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tabify.el (untabify): Don't really change where restriction starts.

1993-04-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-pop-to-buffer): Adjust count-lines val for last line.

1993-04-05  Roland McGrath  (roland@wookumz.gnu.ai.mit.edu)

	* add-log.el (find-change-log): New function.
	(add-change-log-entry): FILE-NAME frobnicating code moved there;
	call it.
	* vc.el (vc-comment-to-change-log):
	Renamed from vc-comment-to-changelog.
	Take optional arg and pass it to find-change-log.
	Added docstring and interactive spec.

1993-04-05  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-error-regexp-alist):
	Merged HP-UX 7.0 fc regexp with the
	GNU format regexp: just allowing blanks to terminate the line number
	makes that one handle the HP case.  Merged MIPS RISC CC regexp with
	Apollo cc regexp: make "s optional, and don't anchor to bol.

	* compile.el (compilation-error-regexp-alist):
	Changed MIPS RISC CC regexp (last one) to
	be anchored at bol, and to never match multiple lines.

1993-04-03  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* man.el, assoc.el: Installed Barry Warsaw's new and much more
	featureful man page browser.

	* finder.el, help-screen.el, faces.el: Added or corrected
	documentation headers

1993-04-03  Noah Friedman  (friedman@splode.com)

	* comint.el: New comint-read-noecho.

1993-04-02  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* chistory.el (repeat-history-command): Bug fix.  Someone forgot a car.

1993-04-02  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* mpuz.el (mpuz-try-letter): Use read-char to read digit.
	Use message directly also.  Use downcase.
	(mpuz-read-map): Deleted.

	* dired.el (dired-unmark-all-files): Read the arg as just a char.

1993-04-01  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* lisp-mode.el (eval-defun): Rename argument to avoid collision.
	(eval-last-sexp): Likewise.

1993-03-31  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (etags-tags-completion-table): Rewritten with a mondo regexp.

1993-03-31  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* timer.el (timer-program): New defconst.
	(run-at-time): Use timer-program as the name of the program the
	subprocess should run, and search for it in exec-directory, rather
	than checking the entire exec path.

1993-03-31  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* simple.el (indent-for-comment): Use skip-syntax-backward in place of
	skip-chars-backward.
	Correctly set INDENT to the return value of comment-indent-function.

	* etags.el (etags-tags-completion-table): Use skip-syntax-backward
	instead of skip-chars-backward.

	* view.el (view-exit): Use local map view-old-local-map,
	not (current-local-map).
	(view-buffer-other-window): Remove spurious backslashes from
	interactive spec.

	* map-ynp.el (map-y-or-n-p): Make bindings of user-defined keys be
	each a vector containing the user's binding, rather than 'user.  Check
	(vectorp DEF) and call the vector's elt, rather than checking (eq 'user
	DEF) and calling something completely random.

	* novice.el (enable-command): Remove spurious assignment of free
	variable `foo'.

	* help.el (describe-function): For Lisp functions, write a
	prototype call before the docstring, instead of an argument
	description after it.

1993-03-30  Noah Friedman  (friedman@splode.com)

	* files.el (find-backup-file-name): Delete nothing if overflow
	in number of versions to keep.

1993-03-30  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* subr.el (int-to-string): Make this an alias for the subr
	number-to-string.

1993-03-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch.el (isearch-mode-map): Delete the binding for C-h.
	(isearch-done): Customize the message about mark.

1993-03-30  Noah Friedman  (friedman@splode.com)

	* comint.el (comint-read-noecho): Rewritten to provide some simple
	editing ability and be able to abort when called from a process
	filter.  Re-arranged and updated docstring.

1993-03-30  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* ring.el: Changed summary line.

1993-03-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* faces.el: New file.

1993-03-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail): Don't use mbox as inbox by default.

	* simple.el (count-lines): Use save-match-data.

	* buff-menu.el: Put back removed years in copyright notice.

1993-03-29  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* vc.el (vc-next-action, vc-print-log, vc-diff, vc-revert-buffer):
	Improved logic for parent buffer finding.

	(vc-cancel-version): Bug fix.

1993-03-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailabbrev.el: Provide mailabbrev, not mail-abbrevs.

1993-03-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-individual-paragraphs): When skipping mail headers,
	skip to a blank line.

	* env.el (setenv): Renamed back from putenv.

	* replace.el (regexp-history): New history list.
	(occur, flush-lines, keep-lines, how-many): Use it.
	(occur): Don't insert previous string in minibuffer gratuitously.
	Just use it if input is empty.
	Use save-match-data around count-lines.

1993-03-28  Noah Friedman  (friedman@splode.com)

	* setenv.el: Renamed to env.el.  Provide `env', not `setenv'.
	(setenv): Renamed to `putenv', which is the more proper complement
	of `getenv'.  `setenv' retained as an alias.
	Make VALUE parameter optional; if not set, remove VARIABLE from
	process-environment.

	* rlogin.el (rlogin): If given a prefix argument and an rlogin
	session for HOST is already running, start a new rlogin process
	rather than switching to the existing one.  Added docstring.
	Bound `proc' in let*.
	(rlogin-explicit-args, rlogin-password-paranoia): New variables.
	(rlogin-filter): Prompt for passwords in minibuffer if
	rlogin-password-paranoia is set.
	(rlogin-with-args, rlogin-password): New functions.

1993-03-28  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* vc.el (vc-comment-to-changelog): A useful vc-checkin hook, added.
	(vc-checkout): Now rejects attempts to check out files via FTP.

	* vc.el: The `derived buffers' in the mode (the VC log buffer,
	status buffers, and most buffer output commands) now know which
	file buffer was their parent, and most commands will try to find
	such a parent buffer when executed from within a special buffer.

	* makefile.el: Added autoload cookie for entry point.

	* files.el (auto-mode-alist): Added pairs for .ms, .man, .mk,
	[Mm]akefile, .lex.

	* electric.el (shrink-window-if-larger-than-buffer): Added doc
	string.  Made argument optional, because window-buffer does the
	right thing with nil.

	* ebuff-menu.el (electric-buffer-menu-mode-map): fillarray isn't a
	valid operation on maps any more.

1993-03-27  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* refer.el: Installed.

1993-03-27  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* lucid.el (try-face-font, find-face, get-face): New aliases.

1993-03-27  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* abbrevlist.el, old-inf-lisp.el, old-screen.el, old-shell.el,
	* oshell.el: Removed.

1993-03-27  Noah Friedman  (friedman@splode.com)

	* rlogin.el: Updated copyright year and added autoload cookies.
	(rlogin): Set process marker to beginning of buffer.
	(rlogin-filter): Use unwind-protect to restore match-data.  Use
	insert-before-markers instead of insert to keep input and output
	from getting garbled.  Delete spurious ?\C-m chars in output
	instead of replacing them with ?\ .

1993-03-27  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* case-table.el: Add autoloads.
	(set-case-syntax-delims, set-case-syntax-pair, set-case-syntax):
	Rename arg STRING to TABLE.  Do not set the standard case table.

1993-03-26  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* loaddefs.el: Commented out function-key-error definition and
	uses in the global keymaps.  RMS and jimb objected to the amount
	of space these took up in the keybinding listings.

1993-03-27  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* lpr.el (printify-buffer): Added, debugged from Roland McGrath's
	printify-buffer code in LCD.

	* cookie.el (cookie): Enhanced it to handle both LINS files and
	UNIX fortune files.

	* rect.el (fill-rectangle): Added.  Inspired by Lynn Slater's
	insert-box package in LCD, but the interface and implementation
	are different.

	* loaddefs.el (ctl-x-map): Added binding for fill-rectangle.

	* buff-menu.el (Buffer-menu-toggle-read-only): Added, per Rob
	Austein's suggestion in the LCD package bm-toggle.el.

	* subr.el (add-hook): Added optional arg to cause hook to be
	appended rather than prepended to the hook list.  This obviates
	the 23 different hook-bashing packages in LCD.

	* subr.el (current-word): Added.  Lots of help and default-generator
	functions in LCD use it, and it's remarkably difficult to get
	right, especially given the new syntax primitives.

1993-03-26  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* files.el (local-write-file-hooks): New variable.
	(set-visited-file-name): Kill local-write-file-hooks as local var.
	(basic-save-buffer): Use local-write-file-hooks.

1993-03-26  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* yow.el (psychoanalyze-pinhead): Needed a prefrontal lobotomy.  I
	gave it one.

	* two-column.el: Added Commentary.

1993-03-25  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* help.el (describe-function): Add blank line above doc string.

	* uncompress.el: Add provide call.

1993-03-25  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* lisp-mnt.el (lm-last-modified-date): Fixed return bug.

	(lm-author, lm-maintainer): These now return cons pairs, not strings.

	* shell.el: Brent Benson's patch to support `cd -'.

	* mh-e.el (mh-unshar): Added.

	* emacsbug.el: Added a (provide 'emacsbug); lisp-mnt.el needs this.

1993-03-24  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* term/x-win.el (x-defined-colors): Use x-color-defined-p instead of
	x-defined-color.
	(x-handle-geometry): Use x-parse-geometry instead of x-geometry.

1993-03-24  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* calendar.el (calendar-standard-time-zone-name,
	calendar-daylight-time-zone-name): Initialize these at load-time,
	as well as calendar-time-zone.

	* calendar.el (calendar-time-zone): Fix code which initializes
	this.

1993-03-24  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* term/x-win.el: Bind M-next to an alias scroll-other-window-1
	to get better doc string output.

1993-03-23  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* compile.el: Fix library headers.

1993-03-23  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* files.el (insert-directory): Do chase symlinks before passing
	the directory name to ls.

1993-03-23  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* buff-menu.el: Incorporated changes from Bob Weiner's enhanced
	buff-menu from the LCD archive.

1993-03-23  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* replace.el (query-replace-map): Define backspace like delete.

1993-03-22  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* cookie.el: Created.  This file contains what was formerly the
	guts of spook.el, lightly hacked to support more than one
	simultaneous cookie database.

	* spook.el, yow.el: Modified to use cookie.el.  Total code in
	the three files cookie.el, yow.el and spook.el is less than the
	old spook.el + yow.el.

	* time.el, timer.el, uncompress.el, underline.el, view.el, vip.el,
	* xscheme.el: Added or corrected Commentary section.  This finishes
	my pass over the lisp libraries; I'll teach the finder about
	these commentary sections soon.

1993-03-22  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (x-win-suspend-error):
	suspend-hook renamed from suspend-hooks.

1993-03-22  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* help.el, register.el, replace.el, reposition.el, rfc822.el,
	* rlogin.el, rot13.el, scribe.el, scroll-bar.el, sendmail.el,
	* setenv.el, sgml-mode.el, simple.el, simula.el, sort.el, spell.el,
	* spook.el, studly.el, tabify.el, text-mode.el: Added or corrected
	Commentary headers.

1993-03-22  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* diary-insert.el: Change the name to diary-ins.el.
	* calendar.el: Change all autoload references to diary-ins.

1993-03-22  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* man.el, mlconvert.el, mlsupport.el, modula2.el, mouse.el,
	* mpuz.el, netunam.el, novice.el, nroff-mode.el, options.el,
	* outline.el, page.el, paragraphs.el, picture.el, prolog.el,
	* rect.el: Added or corrected Commentary sections.

1993-03-22  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* abbrev.el, ada.el, add-log.el, array.el, autoinsert.el,
	* autoload.el, awk-mode.el, bib-mode.el, bibtex.el, buff-menu.el,
	* bytecomp.el, c++-mode.el, c-mode.el, cl-indent.el, cmacexp.el,
	* cmulisp.el, cmuscheme.el, comint.el, compare-w.el, compile.el,
	* debug.el, diff.el, dired-aux.el, dired.el, disass.el,
	* dissociate.el, doctor.el, ebuff-menu.el, edebug.el, ehelp.el,
	* emacsbug.el, emerge.el, files.el, fill.el, fortran.el, gosmacs.el,
	* hanoi.el, hexl.el, hideif.el, icon.el, indent.el, iso-insert.el,
	* iso-swed.el, iso-syntax.el, iso8859-1.el, ispell.el, kermit.el,
	* ledit.el, life.el, lisp-mode.el, lisp.el, lpr.el, macros.el,
	* mail-utils.el, mailalias.el, makefile.el, makesum.el, mim-mode.el,
	* modula2.el, nroff-mode.el, perl-mode.el, prolog.el, scheme.el,
	* sgml-mode.el, tex-mode.el:
	Added or corrected Commentary sections.  There's more of this
	coming; soon, the package finder will be able to browse Commentary
	sections, and I want almost all packages to have useful ones.

1993-03-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el: Don't load help-screen at run time if compiled.

	* simple.el (line-number-mode): New function and variable.

	* loaddefs.el (default-mode-line-format-default): Use %l.

1993-03-21  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* time.el (display-time): Doc fix.

	* isearch.el (isearch-switch-frame-handler): Call
	handle-switch-frame instead of select-frame; it has been renamed.

	* simple.el (comment-indent-function): New variable, intended to
	replace comment-indent-hook.
	(comment-indent-hook): Make this default to nil now.
	(indent-for-comment): If comment-indent-hook is non-nil, call it
	for backward compatibility; otherwise, call
	comment-indent-function.
	* bytecomp.el: Declare comment-indent-hook an obsolete variable.

1993-03-20  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* lucid.el: Alias lower-screen and raise-screen to lower-frame and
	raise-frame, the new names for those functions.

1993-03-19  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* bush.el: Deleted.

	* finder.el: Make sure that when new keywords are compiled, we see them
	immediately.

1993-03-19  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* vt100-led.el, bg-mouse.el, sup-mouse.el, sun-mouse.el:
	Moved to term directory.

1993-03-18  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* Makefile: Created.  This exists mainly so developers elsewhere
	can unlock the lisp files to accept an update tar, then relock
	them without locking the few that should stay writeable.

	* solar.el, ange-ftp.el: Corrected Keywords header

	* ftp.el: Nuked (actually, moved to =ftp.el).
	ange-ftp.el replaces this.

1993-03-18  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* solar.el (solar-time-string): Round the time properly.

1993-03-18  Eric S. Raymond  (eric@geech.gnu.ai.mit.edu)

	* abbrev.el, abbrevlist.el, add-log.el, apropos.el, array.el,
	* autoload.el, awk-mode.el, cal-french.el, cal-mayan.el,
	* calendar.el, cmulisp.el, cmuscheme.el, comint.el, compile.el,
	* completion.el, cust-print.el, dabbrev.el, debug.el, diary.el,
	* diff.el, disass.el, edebug.el, edmacro.el, emacsbug.el, finder.el,
	* inf-lisp.el, ispell.el, life.el, lisp.el, lunar.el, macros.el,
	* netunam.el, old-shell.el, scribe.el, spell.el, sun-cursors.el,
	* terminal.el, unrmail.el, vms-pmail.el:
	Add or correct Keywords headers for finder.

1993-03-18  Richard Stallman  (rms@geech.gnu.ai.mit.edu)

	* frame.el (make-frame): Renamed from new-frame.
	(new-frame): Alias for make-frame.

1993-03-18  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* tex-mode.el (tex-send-command): Fix the command sent so that no
	blank is inserted when replacing the asterisk with the file name.

1993-03-18  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/wyse50.el (function-key-map): Nuke code no longer bound to keys.

	* term/tvi970.el (function-key-map): As many key cookies as possible
	renamed to fit the new conventions documented in lisp/term/README.

	* term/vt100.el, term/news.el (function-key-map):
	Fix things so that bindings are added to the keymap already created by
	terminal initialization.

1993-03-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* help-screen.el: Installed, following release.  Now package
	writers can easily implement help screens resembling Emacs's
	own on-line help system.

	* help.el: help-for-help now uses make-help-screen from help-screen.el.

1993-03-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* finder-inf.el: Deleted the RCS file.

1993-03-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* isearch.el, lselect.el, select.el, scroll-bar.el, texinfo.el,
	* pending-del.el, profile.el, texinfmt.el, ls-lisp.el, meese.el,
	* isearch.el, tmenu.el, lmenu.el, rmailsum.el, unrmail.el,
	* hippie.el, lmenu.el, rmailmsc.el, rlogin.el, mhspool.el,
	* lisp-mode.el, novice.el, mouse.el, vms-pmail.el, vc-hooks.el,
	* levents.el, iso8859-1.el, isearch.el, hippie.el, find-gc.el,
	* cust-print.el, find-dired.el, etags.el, electric.el, dired.el,
	* dired-aux.el, cust-print.el, cmuscheme.el, cmulisp.el, cl.el,
	* case-table.el, byte-run.el, ange-ftp.el, backquote.el:
	Added or corrected library header comments.

1993-03-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* finder.el (finder-compile-keywords): Treat nil in a path
	argument as $PWD.

	(finder-by-keyword): Handle LFD as input gracefully.

1993-03-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc-hooks.el: Increment version number to match vc.el's.

	* vc.el (vc-header-strings): Name changed to vc-header-alist, to match
	the docs.

	(vc-finish-logentry, vc-next-comment, vc-previous-comment)
	(vc-comment-search-forward, vc-comment-search-backward): The VC comment
	ring is now a separate buffer from *VC-log*; editing of old comments
	is no longer destructive.

1993-03-16  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-version-diff):
	Use (message ...), not (message (format ...)).
	(vc-backend-checkout, vc-backend-assign-name): Correct bogus messages.

	* vc-hooks.el: Merge today's change by eric with everybody else's
	change (from 1992/08/04 through 1993/02/24).

1993-03-16  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-from-buffer): Put buffer containing
	compiled code in binary overwrite mode.

	* simple.el (quoted-insert): In overwrite mode, don't read digits
	as an octal character code.  In binary overwrite mode, overwrite
	the characters instead of inserting them.
	(overwrite-mode-textual, overwrite-mode-binary): New symbols, for
	use in the mode line.
	(overwrite-mode): Doc fix.  Use force-mode-line-update.
	(binary-overwrite-mode): New function.
	* loaddefs.el (minor-mode-alist): Make the mode line element for
	overwrite-mode be the symbol `overwrite-mode'.

1993-03-16  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* vc.el, vc-hooks.el: The macro vc-error-occurred has to move from
	vc.el to vc-hooks.el for C-x C-f of a nonexistent file to work.

1993-03-16  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* calendar.el (calendar-time-zone): Initialize this when
	calendar.el loads, not in the defvar.

1993-03-15  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* register.el (view-register): Neglect not to avoid failing to
	properly display all the possible sorts of things one might find
	in a buffer.

	Make frame configurations start with a distinctive symbol.
	* frame.el (current-frame-configuration): Return a list as before,
	but starting with `frame-configuration'.
	(set-frame-configuration): Check that CONFIGURATION is a list
	starting with `frame-configuration', strip it off, and do as before.
	(frame-configuration-p): New function.
	* register.el (jump-to-register): Use frame-configuration-p,
	instead of catching an error in set-frame-configuration.  Really now.

	* indent.el (indent-region, indent-region-function): Doc fix.

	* indent.el (indent-line-function): Doc fix.

1993-03-14  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* sort.el (sort-float-fields, sort-numeric-fields): Use
	string-to-number, not string-to-float or string-to-int.

	* sort.el (sort-float-fields): Make this autoloaded.

	* sort.el (sort-numeric-fields): Doc fix.

1993-03-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lselect.el, select.el: New files.

	* term/x-win.el: Require select.el.
	(x-select-text): Update call to x-set-cut-buffer.
	Put `PRIMARY' and `CLIPBOARD' in upper case.
	(x-cut-buffer-or-selection-value): Put `PRIMARY' in upper case.

	* lucid.el, lmenu.el, levents.el: New files.
	Much of lmenu.el comes from Lucid.

1993-03-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailsum.el (rmail-summary-next-msg): Call display-buffer.
	(rmail-summary-previous-all, rmail-summary-next-all): Likewise.
	(rmail-summary-rmail-update): Do nothing if rmail buffer not visible.
	(rmail-summary-mode-map): Don't bind C-n, C-p.  Use ordinary move cmds.

1993-03-12  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/x-win.el: Added library headers.

1993-03-12  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* loaddefs.el (global-map): Fixed a typo in the binding of
	[kp-backtab].

	* term/x-win.el: Added library headers back in. Didn't touch
	any key bindings or code, and won't without making sure there
	won't be any repeat of the bad-patch brouhaha.

1993-03-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el: Cancel previous change, since it discarded
	earlier necessary changes.

1993-03-11  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/vt100.el:
	Added headers, commented out code the duplicates startup effects.

	* term/x-win.el: Added headers, removed function bindings.

	* term/wyse50.el: Added headers, changed some keycap names.

	* term/tvi970.el: Added headers, changes some keycap names.

	* term/sun.el: Added headers, removed function-key bindings.

	* term/news.el: Added headers, changed a few cookie names.

	* term/keyswap.el: Initial revision

1993-03-11  Jim Blandy  (jimb@mole.gnu.ai.mit.edu)

	* term/x-win.el: Disable suspending under X windows by setting
	suspend-hooks, not suspend-hook.  The latter is an obsolete name.
	Use add-hook instead of setting suspend-hooks directly.

1993-03-11  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	A boatload of changes to terminal support and terminal capability
	initialization that make it a lot smarter, with a more uniform
	and featureful interface across many different keyboard types.

	* term.c (fkey_table): Has been expanded to handle the entire
	intersection of the capability sets defined by X keysyms and
	terminfo.  That is, every keysym for which there is a natural
	equivalent in terminfo is now bound to that by the startup code.

	* loaddefs.el (global-map): Natural default keybindings set up for
	almost all supported keysyms other than function keys.  All
	other keysyms are now default-bound to a function which explains
	that the key is not bound to anything, then raises an error.

	* term/README: Terminal package conventions and standard keysym
	cookies are now documented here.

	* term/AT386.el: New package installed.  Handles IBM-AT style
	console keyboards with style and flair.

	* term/new-at386.el: Removed, it was obsolescent.

	* term/apollo.el: Nuked and linked to vt100.el.  All it formerly
	did was load vt100.el.

	* term/bobcat.el: Copied and linked to `keyswap.el'.

	* term/keyswap.el: The old bobcat.el with headers and docs.
	This is available for other terminal packages to call.

	* term/news.el: Cleaned up, headers added.

	* term/sun.el: Headers added, [again] changed to [redo].  This
	package is a hairball and should probably be scrapped if we
	can find or built a better one.

	* term/tvi970.el: Headers added, [enter] changed to [kp-enter].

	* term/vt100.el: Headers added, cleanup, explicit function-key
	enable is no longer necessary.

	* term/vt200.el: Nuked.  It's now a link to vt100.el.  This is possible
	because all the things handled differently on the vt200 are
	mined out of termcap by 19's initialization before either
	package is loaded.

	* term/wyse50.el: Cleaned up, headers added, various cookie names
	changed, function bindings removed.

	* term/x-win.el: Cleaned up, headers added.  Some bindings of keycap
	cookies to functions were removed; all that stuff is handled
	terminal-independently in loaddefs now.

	Other changes:

	* help.el: Added binding and menu line for new `P' package-finder
	command.  Won't actually take effect till the next Emacs build.

	* vc.el (vc-backend-checkin): Fixed bizarre POM-dependent bug
	introduced into VC by a bad patch.  This was one for the
	books....badly corrupted vc-checkin code somehow mostly functioned
	for three days.  The Code That Would Not Die...

1993-03-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line-1): Fix copyright year.

1993-03-10  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* diary-insert.el (insert-anniversary-diary-entry,
	insert-block-diary-entry): Fix calendar-date-display-form used.

1993-03-10  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* files.el (basic-save-buffer): If file-precious-flag is set, and
	we write the buffer to a temp file and then rename it, don't
	neglect to set the new file's modes properly.

1993-03-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (function-key-map):
	Map key symbols backspace, return... into ASCII chars.
	Likewise their Meta versions.
	Also add `ascii-character' properties.

1993-03-09  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* term/at386.el: Removed.  The new terminal initialization stuff
	makes it superfluous.  I wrote it, so I should know. :-)

	* vc.el: Installed version 5, the new baseline.  This version
	merges my changes with Paul Eggert's.

1993-03-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* timer.el (run-at-time): Allow an integer as TIME.
	(cancel-timer): New function.

	* c-mode.el (c-beginning-of-statement): If next to a comment,
	use sentence motion.

	* map-ynp.el (map-y-or-n-p): Use query-replace-map.

	* replace.el (query-replace-map): New keymap.
	(perform-replace): Use query-replace-map.
	(query-replace, query-replace-regexp, map-query-replace-regexp)
	(replace-string, replace-regexp): Don't print `done' if unread chars.

	* help.el (command-apropos): Print echo area message iff found symbols.

	* rmailsum.el (rmail-update-summary): New function.
	(rmail-new-summary): New arg redo-form.  Considerable rewrite
	of how and when buffers are selected.
	(rmail-summary-mode): New local vars rmail-summary-redo,
	revert-buffer-function, post-command-hook, rmail-current-message.
	(rmail-summary-expunge): Use rmail-update-summary.
	(rmail-summary-get-new-mail): Likewise.
	(rmail-summary-expunge-and-save): Likewise.
	(rmail-summary-input): Don't update summary at all.
	(rmail-summary-reply): Do the work inside save-window-excursion,
	then switch to the mail buffer.
	(rmail-summary-retry-failure): Likewise.
	(rmail-summary-edit-current-message): Delete spurious autoload.
	(rmail-summary-summary): Function deleted.
	Use plain rmail-summary on h and C-M-h.
	(rmail-summary-rmail-update): New function.

	* rmail.el (rmail-delete-forward): Go to summary buf to change D mark.
	Always do the motion in the rmail buffer; let that handle summary.
	(rmail-undelete-previous-message): Likewise.
	(rmail-select-summary): New macro.
	(rmail-show-message): Use rmail-select-summary.
	(rmail-get-new-mail): Likewise.
	(rmail-expunge): Likewise.

	* pending-del.el: New file.

1993-03-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (posn-timestamp, posn-col-row, posn-point, posn-window)
	(event-end, event-start, mouse-movement-p): Moved from mouse.el.
	* mouse.el: Functions moved to subr.el.

1993-03-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (event-basic-type): New function.

	* isearch.el: Renamed from isearch-mode.el.

	* isearch-mode.el (isearch-other-meta-char): Call listify-key-sequence.
	(isearch-unread): Don't call it here.
	(isearch-mode-map): Bind the ASCII-equivalent function keys.

1993-03-07  Paul Eggert  (eggert@twinsun.com)

	* vc.el (vc-update-change-log): Check that ChangeLog is writable
	before starting the expensive rcs2log process.
	Use call-process instead of shell-command to invoke rcs2log;
	this avoids undesired shell escapes and is more robust about errors.
	Put mark at point-min, so that the new insertion is in the region.
	(vc-checkin-hook): Fix `runs-hooks' typo.
	(vc-checkout-writeable-buffer-hook): New var.
	(vc-next-action): Fix bug: initial checkin was botched when C-x v v
	was applied to a new file while vc-initial-comment was non-nil.
	(vc-register): Don't barf when registering a new, empty buffer.
	(vc-directory): The `No files are currently registered'
	message was wrongly worded, because sometimes the message talks
	about locked files, not registered files.
	(vc-file-tree-walk): Change (apply 'funcall ...) to (apply
	...), since the 'funcall is redundant.
	When traversing a directory tree, message
	"Traversing directory XXX" so that the user can see what progress is
	being made.  Traversal can take a long time.  Omit first argument,
	since it is always the current directory.  All callers changed.
	(vc-file-tree-walk-internal): New function.
	(vc-do-command, vc-diff, vc-version-diff, vc-backend-diff):
	Remove redundant calls to `format'.
	(vc-diff): Remove unused variable `old'.
	(vc-version-diff): When recursively generating a difference
	listing, don't append the latest output unless diff was actually run;
	otherwise, you'll get the output from the previous file by mistake.

1993-03-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (function-key-map):
	Map key symbols backspace, return... into ASCII chars.

1993-03-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-mode): Don't make a pre-command-hook.

	* vc.el (vc-revert-buffer1): Use mark-marker; don't alter mark-active.

	* subr.el (event-modifiers): New function.
	(eventp): New function.

1993-03-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-unread): Find last list element by hand.

	* info.el (Info-forward-node): Properly go to first menu item.
	(Info-insert-dir): Bind temp wider, around use.

	* term/x-win.el (function-key-map):
	Map key symbols backspace, return... into ASCII chars.
	Likewise their Meta versions.
	Also add `ascii-character' properties.

	* simple.el (set-mark): Activate the mark.
	(mark): Handle region-active.  New optional arg FORCE.
	(exchange-point-and-mark, push_mark): Pass FORCE.
	(set-mark-command): Likewise.

	* terminal.el (te-escape-extended-command-unread): Handle any key seq.

	* emerge.el (emerge-show-file-name): Handle any kind of event.

	* fortran.el (fortran-abbrev-start): Handle any kind of event.
	(fortran-window-create-momentarily): Likewise.

	* ehelp.el (electric-help-command-loop): Handle any kind of event.

	* ebuff-menu.el (electric-buffer-list): Handle any kind of event.
	(Electric-buffer-menu-exit): Handle any key sequence.

	* info.el (Info-summary): Handle any event
	when flushing the display.

	* simula.el (simula-electric-label): Handle any event
	when flushing the display.

	* subr.el (momentary-string-display): Handle any event
	when flushing the display.

	* comint.el (comint-dynamic-list-completions): Handle any event
	when flushing the display.

	* subr.el (listify-key-sequence): New function.
	* simple.el (prefix-arg-internal): Use listify-key-sequence.

	* isearch-mode.el (isearch-unread): Handle multiple args.
	For Emacs 19, use listify-key-sequence.
	If not Emacs 19, assume they are a meta sequence.
	(isearch-other-meta-char): Pass the whole key sequence.
	(isearch-other-control-char): Make this alias for ...-meta-char.

	* rmail.el (rmail-bury): Record Rmail buffer to bury it later.

1993-03-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* disp-table.el: Add autoload comments.
	(rope-to-vector): Deleted.
	(describe-display-table): Don't use rope-to-vector.

	* compare-w.el (compare-windows): Use compare-buffer-substrings.

1993-03-05  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* bytecomp.el: Declare suspend-hook to be an obsolete variable.

1993-03-05  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (hebrew-calendar-yahrzeit): Change reference to
	nonexistent function last-month-of-hebrew-year to the correct
	function hebrew-calendar-last-month-of-year.

	* cal-mayan.el (calendar-mayan-haab-on-or-before,
	calendar-mayan-tzolkin-on-or-before): Change `mod' to `%'.

	* cal-mayan.el (calendar-next-tzolkin-date): Delete bogus second
	defun.

1993-03-04  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (kill-ring-save): Doc fix.

	* sun-mouse.el (suspend-emacstool): Run suspend-hooks, not
	suspend-hook.

	* resume.el: Doc fix.

	* simple.el (yank, yank-pop): Always return nil; don't rely on
	exchange-point-and-mark to return nil.
	* fill.el (justify-current-line): Return nil, to be sure to
	conform with documentation.

1993-03-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (write-file): Handle directory name as arg.

	* rmail.el: Major changes from Bob Weiner <weiner@pts.mot.com>
	Handle some Emacs 18 function names to run in 18.
	This is to facilitate working with Weiner.
	(rmail-reply-prefix): New variable.
	(rmail-reply): Use that variable to add to subject.
	(rmail-retry-failure): Change binding to M-m.
	(rmail-forward): Look for >From as well as for From.
	Handle case where neither is found.
	(rmail-last-regexp): New variable.
	(rmail-mode): Make rmail-last-regexp local.
	(rmail): Don't update rmail-mode data for old buffer
	if it's not in rmail mode.
	Error if in Rmail Edit mode.
	(rmail-bury): New command, plus key binding.
	(rmail-summary-by-topic): New key binding.
	(rmail-insert-inbox-text): Check for pop case earlier.
	(rmail-convert-to-babyl-format): Handle Content-Length field.
	(rmail-maybe-display-summary): New function.
	(rmail-redisplay-summary): New user option.
	(rmail-undelete-previous-message, rmail-delete-forward)
	(rmail-get-new-mail, rmail-show-message): Update summary buffer if any.
	Call rmail-maybe-display-summary to put it back on screen.
	(rmail-only-expunge): Renamed from rmail-expunge.
	(rmail-expunge): New function.
	(rmail-message-recipients-p, rmail-message-regexp-p): New functions.
	(rmail-summary-exists, rmail-summary-displayed): New functions.

1993-03-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cl.el (defsetf): Use eval-and-compile for self-update-fn.

	* add-log.el (add-change-log-entry): Never move past second hdr line.

1993-03-02  Jim Blandy  (jimb@mole.gnu.ai.mit.edu)

	* term/x-win.el (x-switch-definitions): Use the proper names for
	the scroll bar parameters.

	Use the term `scroll bar', instead of `scrollbar'.
	* term/x-win.el, frame.el, mouse.el: Terminology changed.
	* scrollbar.el: Renamed to scroll-bar.el.

	* term/x-win.el: Require `scroll-bar', not `scrollbar'.

1993-03-02  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* frame.el (new-frame): Doc fix.

	* info.el (Info-directory-list): Doc fix; it is set according to
	INFOPATH, not INFODIR.

	* info.el (Info-find-node): Don't try to set the info buffer's
	directory according to Info-directory; that variable doesn't exist
	any more.  Instead, let Info-insert-dir set the current directory.
	(Info-insert-dir): Properly check for upper- and lower-case forms
	of "dir", with and without ".info" extension.  Set the buffer's
	default-directory to the directory containing the first dir file
	we find, and cache it in Info-dir-contents-directory.
	(Info-dir-contents-directory): New variable, to cache the
	directory we decided to use as the merged directory's
	default-directory.

	* term/x-win.el (x-switch-definitions): Use the proper names for
	the scroll bar parameters.

1993-03-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el: Doc fixes.
	(set-pointer-color): Renamed to set-mouse-color.
	(set-border-color): New function.

	* info.el (Info-insert-dir): Make menu items in Top node
	pointing each of the other nodes.

	* rmail.el (rmail-get-new-mail): Reset read-only after find-file.

1993-03-01  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (kill-region): If the buffer is read-only, call
	`barf-if-buffer-read-only' instead of just `ding', to get the
	appropriate error condition and message.

	* hexl.el (hexl-mode-map): When initializing, remember that the
	argument to key-binding is a key sequence, not a single key.

	* mouse.el (mouse-split-window-vertically): If the user clicks too
	close to the top or bottom of a window, split at the closest
	reasonable line.  Give a helpful error message if the window is
	too small to be split anywhere.
	(mouse-split-window-horizontally): Similar changes.

1993-02-28  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (insert-buffer): Make sure this returns nil.

	* simple.el (quoted-insert): Use insert-char, instead of writing
	out the loop.

	* etags.el (find-tag-other-window): If another window is already
	displaying the tag's buffer, explicitly set that window's point to
	the tag's position.

	Use the term `scroll bar', instead of `scrollbar'.
	* term/x-win.el, frame.el, mouse.el: Terminology changed.
	* scrollbar.el: Renamed to scroll-bar.el.

1993-02-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (auto-raise-mode): Renamed from toggle-auto-raise.
	(auto-lower-mode): Renamed from toggle-auto-lower.

1993-02-26  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* timer.el (run-at-time): Doc fix.

	* autoload.el (generate-file-autoloads): Add another
	save-excursion so that point is before the generated autoloads
	after we scan the file.

1993-02-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): Find end of first paragraph
	from after the header line.

	* subr.el (walk-windows): Doc fix.

	* register.el (point-to-register): Make arg ARG optional.
	(window-configuration-to-register): Likewise.
	(frame-configuration-to-register): Likewise.

1993-02-24  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (scroll-bar-mode, scroll-bar-mode): Move these
	functions to scrollbar.el.
	* scrollbar.el (scroll-bar-mode, scroll-bar-mode): Here they are.
	Make scroll-bar-mode set the {vertical,horizontal}-scrollbars
	parameters in default-frame-alist, and modify all extant screens
	using the correct parameter names.

1993-02-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-find-file-hook): Discard vc status of file
	if we will actually have to create the buffer.

1993-02-22  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* gud.el (gud-break): With a prefix argument, set a temporary
	breakpoint.
	(gud-apply-from-source): New argument ARGS, to pass to FUNC.  Now
	it's really like `apply'.
	(gud-set-break): Add another argument to this method.
	Document it in the section describing how the methods are supposed
	to be used.
	(gud-gdb-set-break): New argument TEMP; if non-nil, set a
	temporary breakpoint.
	(gud-sdb-set-break, gud-dbx-set-break): New argument TEMP.  Ignore
	it, since I don't know how to set a temporary breakpoint in these
	debuggers.

	* subr.el (string-to-int): Make this an alias for
	string-to-number.

1993-02-21  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* two-column.el: Add autoloads for the functions defined in
	tc-mode-map.

1993-02-21  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* info.el (Info-insert-dir): New function.
	(Info-find-node): Use Info-insert-dir to visit dir file.

	* mlsupport.el (esc-map, ctl-x-map): Define as functions.

1993-02-20  Richard Stallman  (rms@wookumz.gnu.ai.mit.edu)

	* apropos.el (super-apropos-check-doc-file):
	Look for DOC file in proper directory.

	* files.el (insert-directory): Doc fix.

1993-02-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (describe-function):
	Print the arglist if the function is bytecode or a list.

1993-02-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* files.el (revert-buffer): Reverse the sense of the first
	argument, but leave interactive usage the same.
	* vc.el (vc-resynch-window): Call vc-revert-buffer1 with the newly
	appropriate arguments.  This seems to be the only file which was
	adjusted for the new meaning of the revert-buffer arguments.

1993-02-17  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads):
	If no buffer was visiting FILE when we started,
	kill the buffer we create.

1993-02-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-backward-regexp):
	New arg no-recursive-edit, always non-nil for interactive call.
	Rename first arg, and set it right in interactive call.
	(isearch-forward-regexp): Likewise.
	(isearch-forward, isearch-backward): Likewise no-recursive-edit.

1993-02-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* frame.el (frame-initialize): Fix error syntax.
	(toggle-horizontal-scroll-bar): Likewise.
	(toggle-horizontal-scroll-bar): Renamed from set-horizontal-bar
	(toggle-vertical-scroll-bar): Likewise.
	(toggle-auto-lower, toggle-auto-raise): Likewise.
	(set-foreground-color, set-background-color):
	Renamed from set-frame-{fore,back}ground.

1993-02-15  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* informat.el (Info-tagify): Change the regular expression which
	recognizes node names to work properly with Emacs 19's regexp
	semantics.

1993-02-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (find-file-hooks): Delete permanent-local property.
	(find-file-not-found-hooks): Likewise.

	* bytecomp.el (byte-compile-lambda):
	Test of byte-compile-compatibility was backwards.

1993-02-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* gosmacs.el: Bind M-h to delete-previous-word, not
	backward-kill-word; the latter has different prefix semantics.

	* frame.el: Clean up initialization code.
	(initial-frame-alist): Doc fix.
	(minibuffer-frame-alist): New default value, with a reasonable height.
	(filtered-frame-list, minibuffer-frame-list): New functions.
	(frame-initialize): Use minibuffer-frame-list, instead of writing
	it out.
	(frame-notice-user-settings): Thoroughly rearranged.
	Notice changes to default-frame-alist as well as initial-frame-alist.
	Properly handle requests to make the initial frame into a
	minibufferless or minibuffer-only frame.
	Create a minibuffer-only frame if the initial frame should lack a
	minibuffer and there are no other minibuffer frames created by the
	user's initialization file.
	Fix any frames using the initial frame as a surrogate minibuffer
	frame.
	Restore the current buffer after creating and deleting all these
	frames.

	* frame.el (set-default-font, set-frame-background)
	(set-frame-foreground, set-cursor-color, set-pointer-color)
	(set-auto-raise, set-auto-lower, set-vertical-bar)
	(set-horizontal-bar): Give these docstrings.
	(set-auto-raise, set-auto-lower, set-vertical-bar)
	(set-horizontal-bar): Make these toggle or look at the prefix
	argument, like minor modes.

	* frame.el (set-vertical-bar): Use the proper parameter symbol.
	(set-horizontal-bar): Signal an error indicating that horizontal
	scrollbars are not implemented.

	* lisp-mode.el (lisp-fill-paragraph): New function.
	(shared-lisp-mode-map): Bind M-q to lisp-fill-paragraph.

1993-02-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* flow-ctrl.el (enable-flow-control...): Renamed from evade...
	(enable-flow-control): Add autoload.

1993-02-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gosmacs.el (set-gosmacs-bindings): Fix binding of \eh.

1993-02-10  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* gosmacs.el: Require 'mlsupport, to get definition of
	backward-kill-word.

1993-02-10  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el (fortran-prepare-abbrev-list-buffer): Put quote in
	front of first argument to `insert-abbrev-table-description'.

	* fortran.el (fortran-is-in-string-p): Fixed incorrect behavior
	when in first statement of a buffer.

1993-02-08  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): Undo Jan 25 change.  It worked
	for buffers in indented-text-mode, but lost for change-log-mode,
	which is what matters.

1993-02-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-forget-errors): Just set
	compilation-directory-stack to nil; no need to loop through it.
	(next-error): For a non-numeric prefix arg, pass nil for
	compile-reinitialize-errors's FIND-AT-LEAST arg.
	(next-error): When getting marker for error source location, be
	sure to examine buffer local value of compilation-old-error-list
	before switching to source file buffer.

1993-02-08  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* rmailout.el (rmail-output, rmail-output-to-mail-file): Reverse
	the order of the arguments and make COUNT optional, for backward
	compatibility's sake.

	* cl.el (cl-version): Mark as no longer in beta test.

1993-02-07  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* subr.el (mod): Add back this alias for %.

1993-02-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sort.el (sort-build-lists): Record the key as pair of positions;
	don't copy string from buffer.
	(sort-subr): Use compare-buffer-substrings.

1993-02-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-setup): Use fill-region-as-paragraph
	for To field; handle the CC just like the To.

	* rmailsum.el: Big rewrite from weiner@pts.mot.com.

1993-02-05  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* comint.el (make-comint): Added docstring.

1993-02-05  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* simple.el: Restore nuked information in minibuffer history bindings.
	Use intelligent method of disabling completion-oriented bindings.

1993-02-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Once again, go back to ordinary next-history-element
	for M-n in minibuf, even for completion.

1993-02-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sort.el (sort-subr): Doc fixes.

	* sendmail.el (mail-do-fcc): Allow dash in timezone name.

1993-02-01  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* texinfo.el (texinfo-mode): Make page-delimiter buffer-local, and
	set it according to texinfo-chapter-level-regexp.

	* simple.el (kill-region): If the buffer is read-only, do beep,
	but also put the region in the kill ring.  Doc fix.

1993-01-31  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* mailabbrev.el (mail-abbrev-end-of-buffer):
	Changed interactive spec from "P" to "p".

1993-01-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cmacexp.el (c-macro-expand): Use expanded name to write or delete.
	Send two eofs.

1993-01-28  Roland McGrath  (roland@wookumz.gnu.ai.mit.edu)

	* simple.el (next-complete-history-element): Restore point after
	replacing the buffer text with the appropriate history element.

1993-01-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Don't use the completion-oriented history commands.
	* paths.el (sendmail-program): Try /usr/ucblib/sendmail.

1993-01-26  Jim Blandy  (jimb@mole.gnu.ai.mit.edu)

	* term/x-win.el: x-selection-value has been renamed to x-selection.
	x-own-selection has been renamed to x-set-selection, and the order
	of its arguments has been reversed, for consistency with other
	lisp functions like put and aset.
	* term/x-win.el (x-select-text): Adjusted.
	(x-cut-buffer-or-selection-value): Check the primary selection,
	using x-selection, instead of checking the cut buffer again.

	* term/x-win.el: Doc fix.

1993-01-25  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* frame.el (frame-notice-user-settings): Use new name
	frame-live-p, instead of live-frame-p.

	x-selection-value has been renamed to x-selection.
	x-own-selection has been renamed to x-set-selection, and the order
	of its arguments has been reversed, for consistency with other
	lisp functions like put and aset.
	* term/x-win.el (x-select-text): Adjusted.
	(x-cut-buffer-or-selection-value): Check the primary selection,
	using x-selection, instead of checking the cut buffer again.

	* disass.el (disassemble): Add autoload cookie for this.
	* bytecomp.el (byte-decompile-bytecode): Add an autoload for this.

	compiled-function-p has been renamed to byte-code-function-p.
	* subr.el: Define compiled-function-p as an alias for it.
	* bytecomp.el: Register compiled-function-p as obsolete.
	* bytecomp.el, byte-opt.el, disass.el, help.el, map-ynp.el: Change
	uses.

	* subr.el (numberp): Remove fset which made this an alias for
	integerp; now numberp also recognizes floats.

1993-01-25  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (tags-query-replace): C-t.

	* add-log.el (add-change-log-entry): Restrict PARAGRAPH-END to
	being on the first page.

	* simple.el (next-complete-history-element): Use only buffer
	contents before point to match history elements.

1993-01-25  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el ({next,previous}-complete-history-element): New functions.
	Bind them to M-n/M-p and next/prior in minibuffer completion maps.

1993-01-24  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	unread-command-event has been replaced by unread-command-events.
	* simple.el (prefix-arg-internal): Use this to push back all
	key sequences for processing by the main command loop, instead of
	trying to simulate its behavior ourselves.
	* bytecomp.el: Document unread-command-event as an obsolete
	variable, although nothing but the GNU Emacs 19 sources use it.
	Adjust obsolescence message for unread-command-char.
	* comint.el (comint-dynamic-list-completions): Change uses of
	unread-command-event to work with unread-command-events.
	* ebuff-menu.el (electric-buffer-list, Electric-buffer-menu-exit):
	Same.
	* edebug.el (edebug-outside-excursion): Same.
	* ehelp.el (electric-help-command-loop): Same.
	* electric.el (Electric-command-loop): Same.
	* emerge.el (emerge-show-file-name): Same.
	* fortran.el (fortran-abbrev-start,
	fortran-window-create-momentarily): Same.
	* gnus.el (gnus-Subject-next-article): Same.
	* info.el (Info-summary): Same.
	* isearch-mode.el (isearch-update, isearch-unread): Same.
	* map-ynp.el (map-y-or-n-p): Same.
	* mlsupport.el (push-back-character): Same.
	* replace.el (perform-replace): Same.
	* simula.el (simula-electric-label): Same.
	* subr.el (read-quoted-char, momentary-string-display): Same.
	* sun-mouse.el (mouse-second-hit): Same.
	* terminal.el (te-escape-extended-command-unread): Same.
	* vip.el (vip-escape-to-emacs, vip-prefix-arg-value)
	(vip-prefix-arg-com): Same.

	* simple.el (quoted-insert): Doc fix.

1993-01-23  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* mouse.el (mouse-save-then-kill): Instead of deleting the text
	whenever the text of the region happens to be the same as the
	front of the kill-ring, delete it only when the front of the kill
	ring is identical to the last text we put there, and point and the
	mouse click are at the same position.

	* mouse.el (mouse-save-then-kill): If the undo list is disabled,
	don't build an undo record.

	* mouse.el (mouse-save-then-kill): If we're deleting the text,
	kill from point to the mouse click, not from point to mark; mark
	and the mouse click may not be the same.  If they're not, this
	screws up the undo record we create, corrupting the undo list
	pretty nastily.

1993-01-22  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Doc fix.

	* mouse.el (mouse-set-font): Account for the fact that
	x-popup-menu returns nil if no selection is made.

	* mouse.el (mouse-buffer-menu, mouse-set-font): Bind these to the
	down-going events.
	(mouse-split-window-vertically): Move the binding for this down
	out of the commented-out scrollbar section, so it is on S-mouse-2
	on the mode line.

1993-01-21  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): Fix the regular expressions used
	for finding paragraph beginnings and endings so that they think
	lines containing only whitespace and asterisks are paragraph
	separators/starters.

	* add-log.el (add-change-log-entry): If we've just started a new
	date, limit the searches to within the current date, not the first
	paragraph; the latter extends into the previous date.

1993-01-21  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (tags-loop-scan): Set default value to an error form.

	* etags.el (visit-tags-table-buffer): When propagating a change of
	name after file-find-noselect, refer to tags-file-name, not the
	undefined var FILE.

1993-01-20  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): When modifying the
	paragraph-separate regexp, don't let it match paragraph starts.

1993-01-19  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer):
	Error if called with 'same and no current table.

1993-01-19  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* mouse.el (event-end): Work on click events, too.
	(mouse-split-window-vertically): Use event-end and
	posn-col-row, instead of mouse-coords, which is obsolete.

	* mouse.el: Comment out the scrollbar commands until we make them work.

	* mouse.el: Comment out jla's experimental things.  What are these
	doing in the distribution source anyway?

	* mouse.el: Bind the help menu to C-down-mouse-2, instead of
	C-mouse-2; this way, you can use the mouse-up event to make the
	menu selection.
	(help-apropos-map, help-keys-map, help-manual-map, help-misc-map)
	(help-modes-map, help-admin-map): Give the menu names for these
	keymaps using make-sparse-keymap's optional argument, rather than
	constructing them by hand.

	* scrollbar.el: Require 'mouse.
	(scrollbar-set-window-start, scrollbar-scroll-down)
	(scrollbar-scroll-up): Use event-end, from mouse.el.

1993-01-19  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* x-mouse.el: Deleted; it was the interface to the Emacs 18-style
	mouse interface, which doesn't exist anymore.

1993-01-15  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-switch-label-regexp): New constant.
	(electric-c-terminator, c-indent-line, indent-c-exp): Use it to
	correctly recognize default labels in switch statements.

1993-01-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* shell.el (shell): Doc fix.

1993-01-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (switch-to-buffer-other-frame): Pass t to pop-to-buffer.

1993-01-14  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* scrollbar.el: New file.
	* term/x-win.el: Require 'scrollbar.

1993-01-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-save-then-kill): When deleting, avoid delay
	and don't set the mark.  Replace obsolete fn event-point.
	(mouse-kill): Replace obsolete fn event-point.

1993-01-11  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* page-ext.el (next-page): Correctly handle negative page count.

1993-01-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-append): Doc fix.

1993-01-09  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* frame.el (frame-notice-user-settings): Don't try to delete the
	initial frame if the user took care of that.

1993-01-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (mail-unsent-separator): Add `-- begin message --'.

	* dired.el (dired-regexp-history): New history list.
	(dired-read-regexp): Use that history list.  Take just one arg.
	* dired-aux.el (dired-mark-read-regexp): Give dired-read-regexp 1 arg.

1993-01-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Doc fix.

1993-01-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): Search for existing ChangeLog
	in parent dir and its parents.

1993-01-08  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* timer.el (run-at-time): Use a pipe to talk to the timer process.

1993-01-07  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (set-goal-column): Make this disabled by default.

1993-01-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send):
	Don't clear modified or delete autosave if visiting a file.

1993-01-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* hippie.el: New file.

1993-01-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (apropos-match-keys): Handle non-chars as keys.

1993-01-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el (compilation-sentinel): Change buffer-read-only with let.

1992-12-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-buffer-menu): Select the window clicked on.

1992-12-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry):
	Notice when ENTRY is equal to FILE-NAME,
	not the hard-wired string "ChangeLog".
	Added missing regexp-quote's in same-day entry search.
	Search only in the first paragraph for a similar entry to add to.

1992-12-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (abbreviated-home-dir): New variable.
	(abbreviate-file-name): Properly convert abbreviated homedir to ~.

1992-12-24  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer):
	When picking a table and using tags-table-list,
	skip over nonexistent files in the list.

	* etags.el (etags-verify-tags-table):
	Use eq instead of = in case char-after returns nil.

1992-12-21  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer):
	Don't look in list for tags-file-name if nil.

	* etags.el: Many comments added and docstrings fixed.
	(tags-table-list): Elt of nil is not special.
	(tags-expand-table-name): Value of nil is not special.
	(tags-next-table): Removed arg RESET; no caller used it.
	(visit-tags-table-buffer): Don't need to do tags-expand-table-name
	in or form. When table is invalid, only set tags-file-name to nil
	globally if its global value contained the losing table file name.
	(find-tag-tag): Return a string, not a list.
	(find-tag-noselect, find-tag, find-tag-other-window)
	(find-tag-other-frame): Changed callers.
	(etags-recognize-tags-table): Call etags-verify-tags-table, rather than
	duplicating its functionality.
	(visit-tags-table-buffer): When CONT is 'same, set it to nil after the
	cond.  We want the normal list frobbing to take place in this case.
	(find-tag-other-window): Save and restore window-point around call to
	find-tag-noselect.

1992-12-21  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* subr.el (ignore):
	Use defun instead of fset to define; the byte compiler is smart
	enough now not to compile this trivial function into slow byte code.

1992-12-21  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): Calculating the proper fill-prefix
	shouldn't change the buffer text.  Make it not.  If we're in the
	blank space before another comment, fill that one as a comment,
	not as normal text.

1992-12-20  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (kill-region): Change interactive spec to signal an
	error if the buffer is read-only, and remove the code to do a
	copy-region-as-kill if the buffer is read-only.

1992-12-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loadup.el: Display load-path at start.

1992-12-19  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* sendmail.el (mail-position-on-field): `end' is guaranteed to be
	at the beginning of the header separator; don't skip back to the
	end of the previous line.

	* loadup.el: Dump under the name `emacs', not `xemacs'.

	* compile.el (compilation-error-regexp-alist): Tightened up
	BSD/GNU regexp to insist that line number end with a colon or
	close-paren.

1992-12-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* rmail.el (rmail-unix-mail-delimiter): Not all time zone names
	end with "T".  Accept any sequence of three or four alphabetic
	characters.

	* simple.el (set-mark-command): Clarify doc string.

	* simple.el (prefix-arg-internal): Don't apply string-to-char to
	get the first element of the key sequence - it might be a vector.

1992-12-15  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): When guessing the fill prefix,
	don't ever grab any actual text.

1992-12-14  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* compile.el (compilation-error-regexp-alist): Add regexp for the
	MIPS CC distributed with Ultrix.

1992-12-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* paths.el (Info-default-directory-list): The info files are
	supposed to be in /usr/local/info these days.  Add it to the list
	of directories to search.

1992-12-11  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* vc.el (vc-do-command): Set the default directory of the *vc*
	buffer to the directory containing FILE.

1992-12-09  Roland McGrath  (roland@wookumz.gnu.ai.mit.edu)

	* info.el (Info-{first,second,third,fourth,fifth}-menu-item): Removed.
	(Info-nth-menu-item): New function; bound to 1..9.

1992-12-08  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	The find-file-name-handler function in ../src/fileio.c is now
	callable from lisp; use it instead of writing out its code.
	* dired-aux.el (dired-compress-file): Just that.
	* dired.el (dired-uncache): Just that.
	* files.el (file-local-copy, file-truename)
	(file-name-sans-versions, make-directory, save-buffers-kill-emacs):
	Just that.
	* ls-lisp.el (insert-directory): Just that.

	* ange-ftp.el (ange-ftp-unhandled-file-name-directory): New
	function.  Set ange-ftp's `unhandled-file-name-property' to its
	name.

1992-12-07  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* lpr.el (lpr-switches, lpr-command): Make these defvars, not
	defconsts.

1992-12-04  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* c-mode.el (c-fill-paragraph): When trying to make sure that the
	comment ender isn't on its own line, don't signal an error if
	there is no comment ender.

1992-12-03  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* sendmail.el (mail-self-blind, mail-interactive)
	(mail-yank-ignored-headers): Make these defvars, not defconsts.
	Otherwise, they wipe out the user's customizations when we
	autoload sendmail.el.

1992-12-01  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* hanoi.el (hanoi): If pole-spacing is odd, round down, not up.
	To see if the window is wide enough, just check if one half of a
	ring will fit inside pole-spacing.

1992-11-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry):
	Expand file-name again after chasing links.

1992-11-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-next-action): Undo previous change.

1992-11-19  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* vc.el (vc-next-action): Pass t as NOQUERY argument to
	vc-resynch-window here too.  This means that all uses of
	vc-resynch-window pass t; I'm going to wait until I understand the
	situation better before I rip out the NOQUERY argument
	altogether.

	* vc.el (vc-revert-buffer1): Try to preserve the position of mark
	as well as point.
	(vc-position-context, vc-find-position-by-context): New functions
	to help with that, made out of the old innards of vc-revert-buffer1.

1992-11-18  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* fortran.el: New version of version 1.30 (!) from Stephen A. Wood
	<saw@hallc1.cebaf.gov>

1992-11-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* fortran.el: New version (1.30) from "Stephen A. Wood"
	<saw@hallc1.cebaf.gov>

	* subr.el (lambda): Doc fix.

1992-11-15  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* simple.el (comment-column): Doc fix.

1992-11-13  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* paths.el (rmail-spool-directory): Add dgux-unix to the list of
	systems which put their mail in "/usr/mail".

	* lpr.el (lpr-command, lpr-switches): Removed strings starting
	with \newline; this file is loaded in loaddefs.el, and doesn't
	need to follow that convention.

	* lpr.el (lpr-command): Add dgux-unix to the list of systems which
	want "lp".

1992-11-12  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* bytecomp.el: Declare unread-command-char an obsolete variable.
	* vip.el (vip-escape-to-emacs, vip-prefix-arg-value)
	(vip-prefix-arg-com): Use unread-command-event instead of
	unread-command-char; respect its new semantics.
	* simula.el (simula-electric-label): Same.
	* comint.el (comint-dynamic-list-completions): Same.
	* ebuff-menu.el (electric-buffer-list, Electric-buffer-menu-exit):
	Same.
	* ehelp.el (electric-help-command-loop): Same.
	* electric.el (Electric-command-loop): Same.
	* emerge.el (emerge-show-file-name): Same.
	* fortran.el (fortran-abbrev-start, fortran-window-create-momentarily):
	Same.
	* gnus.el (gnus-Subject-next-article): Same.
	* info.el (Info-summary): Same.
	* isearch-mode.el (isearch-update, isearch-unread): Same.
	* map-ynp.el (map-y-or-n-p): Same.
	* mlsupport.el (push-back-character): Same.
	* replace.el (perform-replace): Same.
	* simple.el (prefix-arg-internal): Same.
	* subr.el (read-quoted-char, momentary-string-display): Same.
	* sun-mouse.el (mouse-second-hit): Same.
	* terminal.el (te-escape-extended-command-unread): Same.

	* emerge.el (emerge-file-names): Use `temp-buffer-show-function',
	not `temp-buffer-show-hook'.
	(emerge-combine-versions-edit): Fix misarranged cond expression;
	the t is an `else' clause, not a function call in the preceding
	clause.

	* simula.el (simula-calculate-indent): Call backward-word with the
	appropriate argument.

	* vip.el (vip-delete-char, vip-delete-backward-char, ex-delete):
	Don't pass nil as a fourth argument to vip-append-to-register; it
	takes only three.
	(vip-mark-point, ex-mark): Pass required second argument to
	point-to-register.

	* bytecomp.el: Require 'backquote.

	* subr.el (lambda): Don't use backquotes in lambda's definition.

	* disass.el (byte-compile): Specify that the 'byte-compile feature
	is provided in the file "bytecomp".

1992-11-11  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* ange-ftp.el (ange-ftp-repaint-buffer): Give this a non-hacky
	definition using (message nil).
	(ange-ftp-read-passwd, ange-ftp-process-filter): Uncomment out the
	calls to ange-ftp-repaint-buffer.

1992-11-11  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* c-mode.el (c-style-alist): Add quotes around C++ style name.

1992-11-10  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* rect.el (operate-on-rectangle): Use move-to-column's FORCE
	argument instead of implementing it ourselves.
	(rectangle-coerce-tab): No longer used; deleted.

	* rect.el (open-rectangle): Leave point at the upper corner of the
	rectangle just opened, in imitation of open-line.  Fix doc typo.
	(open-rectangle-line): Use skip-chars-backward's LIM argument to
	leave spaces before the line segment's beginning undisturbed.

	* rect.el: Provide 'rect.

1992-11-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-cancel-version): Use yes-or-no-p.

1992-11-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (after-init-hook): Doc fix.

1992-11-05  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* isearch.el (isearch-frames-exist): This isn't what we want -
	replaced by...
	(isearch-gnu-emacs-events): Non-nil if should expect events in the
	style generated by GNU Emacs 19.  Set if set-frame-height is
	fboundp; this is true on any GNU Emacs 19, whether or not it was
	compiled with multiple frame support.
	(isearch-mode-map): Test isearch-gnu-emacs-events instead of
	isearch-frames-exist to see if we should bind switch-frame events.
	(isearch-update): Test isearch-gnu-emacs-events instead of
	isearch-frames-exist to see if unread-command-char's quiescent
	value is nil or -1.

	* simple.el (previous-line): Doc fix.

1992-11-05  Stephen A. Wood  (saw@cebaf.gov)

	* fortran.el: Version 1.28.8.
	(fortran-indent-to-column): Make turning of lines that begin with
	`fortran-continuation-string' into properly formatted continuation
	lines work for fortran TAB mode.

	* fortran.el: Version 1.28.7a.
	Cleaned up some doc strings.

	(fortran-abbrev-help, fortran-prepare-abbrev-list-buffer): Use
	`insert-abbrev-table-description' and make buffer in abbrevs-mode.

	* fortran.el: Version 1.28.7.
	Many changes since version 1.28.3.  Added auto-fill-mode, support
	for some Fortran 90 statements.  Adjust comments to conform to new
	gnu conventions.

	(fortran-mode): Fix `comment-line-start-skip' by changing \\1 to
	\\2 and include cpp statements in matching.  Changes for auto fill.

	(fortran-auto-fill-mode, fortran-do-auto-fill, fortran-break-line):
	New functions to implement auto fill.

	(fortran-indent-line, fortran-reindent-then-newline-and-indent):
	Added auto fill support.

	(find-comment-start-skip, is-in-fortran-string-p): New functions.

	(fortran-electric-line-number): Works better in overwrite mode.

	(fortran-indent-comment, fortran-indent-line)
	(fortran-indent-to-column): Use find-comment-start-skip instead of
	searching for `comment-start-skip'.

	(fortran-mode, calculate-fortran-indent): Added indentation
	for fortran 90 statements.

	(fortran-next-statement, fortran-previous-statement): Bug fixes.

	(fortran-mode, calculate-fortran-indent)
	(fortran-setup-tab-format-style, fortran-setup-fixed-format-style):
	`fortran-comment-line-column' meaning changed.  Now defaults to 0.

1992-11-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* term/x-win.el (command-switch-alist, x-switch-definitions):
	-ib was used for two things.  Use -itype for icon type.

1992-11-04  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* term/x-win.el: Moved functions to support selections and cut
	buffers out from amidst the X initialization code.

	* simple.el (kill-line): Don't shift point before doing the delete.

	* startup.el (normal-top-level): Don't worry about setting
	default-directory to PWD if PWD is shorter.  And, if PWD isn't
	accurate, delete it.

1992-11-03  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* compile.el (compile-internal): Use NAME-OF-MODE in the prompt
	when offering to kill an existing process.

	* autoload.el (make-autoload): When creating an autoload
	invocation for a macro, pass (list 'quote 'macro) as the sixth
	argument, not just t.  autoload's sixth argument is now a type
	instead of just a boolean value, so we should use a value which
	reflects that.

	* cl.el: New version - 3.0 - from Cesar Quiroz.

	* etags.el (find-tag-noselect): Doc fix.

1992-11-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rect.el (insert-rectangle): Put mark at upper left corner.

	* dired-aux.el (dired-mark-confirm): For `compress',
	say `Compress or uncompress'.
	(dired-map-over-marks-check): Likewise.

1992-11-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-search): Handle all sorts of errors
	from regexp search.

1992-10-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (make-directory): Renamed from make-directory-path.
	Optional argument says whether to create parent dirs.
	Invoke file-name handler here.
	(after-find-file): Delete code that offers to create dir.
	Instead, just print a message.

	* bytecomp.el (byte-compile-lambda):
	Don't compile the interactive spec if it is a call to `list'.

1992-10-30  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* ange-ftp.el: Tighten the regular expression used in
	file-name-handler-alist to recognized ange-ftp filenames; the
	slash, username and hostname must be at the start of the filename,
	not just anywhere in the filename.

1992-10-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tabify.el: Doc fix.

1992-10-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-admin): Pass t as noquery arg to vc-resynch-window.

	* paths.el (manual-program): Always use /usr/ucb/man if that exists.

1992-10-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fortran.el (fortran-tab-mode): Add defvar.
	(fortran-analyze-file-format): Bind i.
	(fortran-tab-mode-string): Add defvar.
	(fortran-tab-mode): Use `arg' as variable, not as function.
	(fortran-prepare-abbrev-list-buffer): New function.
	(fortran-abbrev-help): Call that.
	(fortran-window-create): Use screen-width, not frame-width.

	* info.el: Rename buffer-flush-undo to buffer-disable-undo.
	(Info-goto-emacs-key-command-node): Fix typo.
	(Info-menu-item-sequence): Commented out.
	(Info-follow-nearest-node): Use new event format.
	Select the window clicked on.

	* vc.el (vc-log-file, vc-log-version): Declared.

	* simple.el (shell-command-on-region):
	Use region-beginning and region-end, in interactive spec.

1992-10-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-edit-string):
	Bind cursor-in-echo-area only around read-char/allocate-event.

1992-10-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc-hooks.el (vc-prefix-map): Put vc-diff on = and vc-directory on d.

	* vc.el (vc-resynch-window): New arg NOQUERY.
	Pass it to vc-revert-buffer1.
	(vc-checkout, vc-finish-logentry, vc-revert-buffer, vc-finish-steal):
	Supply t as NOQUERY arg for vc-resynch-window.
	(vc-next-action):
	Don't revert workfile from master if buffer is modified.

1992-10-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (set-visited-file-name): Change the auto save file name.

	* macros.el (insert-kbd-macro): Replace nonprinting chars with escapes.
	If arg is empty, use last macro as default.

	* sendmail.el (mail-aliases): Doc fix.

	* help.el (describe-function): Print `an autoloaded', not `a ...'.

	* simple.el (goal-column): Don't put the defvar inside the
	make-variable-buffer-local.

1992-10-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-chown-program):
	Treat silicon-graphics-unix like usg-unix-v.

	* rmail.el (rmail-mode-map): Delete binding of M-r (use global one).

	* lpr.el (lpr-command):
	Treat hpux and silicon-graphics-unix like usg-unix-v.

	* rmailout.el (rmail-output-to-rmail-file): Call abbreviate-file-name.

	* files.el: Doc fixes.

1992-10-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (comment-region): Do move to next line, in neg arg case.

	* isearch-mode.el (isearch-mode-map): Make the top-level keymap dense.
	Explicitly bind control characters at that level.

	* files.el (file-truename): Check for root by seeing if
	directory-file-name returns same as DIR.
	Look for a file-truename handler for the file name.
	* vc-hooks.el (vc-registered): Look for a vc-registered handler.
	But only if file-name-handler-alist is bound.
	* ange-ftp.el: Add dummy handlers for file-truename and vc-registered.
	(ange-ftp-add-vms-host, ange-ftp-add-dl-dir, ange-ftp-add-mts-host)
	(ange-ftp-add-dumb-unix-host):
	Use default-directory, not dired-directory.
	(ange-ftp-allow-child-lookup): Eliminate dired-local-variables-file.

	* mailalias.el (mail-aliases): Add definition here.

1992-10-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Add condition-case around
	the body, so at worst we return nil.

1992-10-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* paragraphs.el (kill-sentence, backward-kill-sentence)
	(kill-paragraph, backward-kill-paragraph):
	Don't change point before calling kill-region.

	* sendmail.el (mail-setup):
	Call build-mail-aliases, not mail-abbrev-setup.
	(sendmail-send-it): Call expand-mail-aliases.

	* mailalias.el: Doc fixes.

	* mailabbrev.el: Delete version 18 compatibility stuff.
	(mail-abbrevs, build-mail-abbrevs, rebuild-mail-abbrevs)
	(merge-mail-abbrevs): Renamed `mail-aliases' to `mail-abbrevs'.
	(mail-abbrev-end-of-buffer): Renamed from abbrev-hacking-end-of-buffer.
	(mail-abbrev-next-line): Renamed from abbrev-hacking-next-line.

	* isearch-mode.el (isearch-mode-map): Use sparse keymaps.
	Start printing-char loop at SPC.

	* rmailsort.el (rmail-sort-messages):
	Give up right away if not Rmail mode.

1992-10-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* replace.el (occur): Always search entire buffer.

1992-10-17  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* mouse.el (mouse-tear-off-window): New function.

1992-10-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (mouse-set-region): New command.  Bind drag-mouse-1 to it.

1992-10-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* telnet.el (telnet): Wait for telnet output before sending `open'.

1992-10-14  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* files.el (file-truename): The variable ~ should be considered an
	absolute pathname; handle it correctly.  Concatenate the directory
	onto the filename in the correct order.

1992-10-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-mode-map): Bind t in top-level map
	and in the submap for meta keys.  Don't bind the individual chars.

1992-10-12  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer): When trying to pick table, call
	tags-expand-table-name on alternatives that might be nil.
	(tags-table-files): Don't call visit-tags-table-buffer; assume we
	are there.

1992-10-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* picture.el (edit-picture): Run picture-mode-hook.

1992-10-10  Jim Blandy  (jimb@totoro.cs.oberlin.edu)

	* dired-aux.el (dired-compress-file): Change references to
	`from-file' to use `file'; the former only works because
	dired-compress-file is only called by dired-compress, which binds
	from-file.

	* rmail.el (rmail-mode): Make this autoload; we might find a file
	whose first line local variables want to put it in RMAIL mode;
	that ought to work.

1992-10-10  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-last-input-match): defvar moved up.

	* files.el (buffer-file-number): New variable.
	(find-file-noselect): Record the file's filenum and devnum.
	Notify if any buffer has the same values.
	(basic-save-buffer): Save new filenum and devnum.
	For file-precious-flag, pass real name as VISIT arg of write-region.
	(set-visited-file-name): Likewise.
	Clear buffer-file-{number,truename} if now visiting no file.

1992-10-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (mail-unsent-separator): Handle "Message text follows".

	* files.el (hack-one-local-variables): New subroutine.
	(hack-local-variables-prop-line): New function.
	(hack-local-variables): Use them both.
	(ignored-local-variables): New variable.

	* files.el (file-truename): New function.
	(find-file-noselect): Look for buffer with same truename.
	Warn about it; optionally find it.  Set buffer-file-truename.
	(set-visited-file-name): Set buffer-file-truename.
	(buffer-file-truename): New var, permanent local in all buffers.
	(find-file-visit-truename, find-file-compare-truenames): New options.

1992-10-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (mail-unsent-separator): Allow "original message" as
	alternative.  Allow extra dashes and spaces.
	(rmail-retry-failure): Ignore case while searching for unsent sep.

	* add-log.el (add-log-current-defun): In normal C case,
	start with beginning-of-line.
	In last (fallback) case, start with end-of-line.
	(add-log-current-defun-header-regexp): In first alternative
	within the parens, don't allow space as last character.

	* cust-print.el (custom-prin1-chars):
	Var defined, and renamed from prin1-chars.
	(circle-tree, circle-table): Define vars.
	(cust-print-vector, cust-print-list): Rename level to circle-level.
	(cust-print-top-level): Likewise.
	(circle-level): Var defined.

	* cmuscheme.el (inferior-scheme-filter-regexp):
	Move definition of this var up before first use.
	(scheme-buffer): Define variable.

	* cmulisp.el (cmulisp-mode): Eliminate compatibility code calling
	lisp-mode-variables with no arg.
	(cmulisp-mode-map): Use shared-lisp-mode-map as tail.
	(cmulisp-args-to-list): Fix typo in recursive call.
	(cmulisp-buffer): Define variable.

	* files.el (hack-local-variables): Ignore attempts to bind
	enable-local-eval.

1992-10-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cust-print.el: CP:: changed to cust-print- in all names.
	Lots of doc fixes.

1992-10-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Catch errors checking for DEFUN.

1992-10-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-steal-lock): Use mail-setup, and do like `mail'.
	Supply vc-finish-steal as an action on sending.
	(vc-finish-steal): Delete the code to send the message.
	(vc-backend-steal): Put filename after options in rcs commands.
	Delete the workfile after the rcs -M -u.

1992-10-05  Joseph Arceneaux  (jla@churchy.gnu.ai.mit.edu)

	* rmail.el (rmail-first-unseen-message): Don't show the message,
	just return its number, if there was an unseen message.
	(rmail): Check for unseen messages before calling
	rmail-get-new-mail.  After getting the new mail, call
	rmail-show-message to show the pre-existing unseen message, or if
	that is nil, the current message, which rmail-get-new-mail sets to
	the first new message.

1992-10-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-ring-advance-edit): Delete spurious `)'.

	* info.el (Info-restore-point): Delete duplicate definition.

1992-10-05  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* vc.el (vc-backend-checkin):
	Change buffers to get local value of vc-checkin-switches.

	* vc.el (vc-backend-checkin):
	Use apply on vc-do-command: vc-checkin-switches is a
	list.

1992-10-05  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* vc.el (vc-checkin-switches): New defvar.
	(vc-backend-checkin): Pass vc-checkin-switches to prog.

1992-10-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ls-lisp.el (insert-directory): Renamed from dired-ls.
	All other functions renamed to start with ls-lisp.

	* ls-lisp.el: New file from Kremer.

1992-10-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-paragraph): Don't actually change point before
	calling fill-region-as-paragraph.
	(fill-region-as-paragraph): Save point on undo list at start.

1992-10-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (insert-buffer): Before reading arg, barf if read-only.

1992-10-03  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* mouse.el: Begin adapting this to the new event format.
	(event-window, event-point, mouse-coords, mouse-timestamp):
	Removed.
	(event-start, event-end, posn-window, posn-point, posn-col-row)
	(posn-timestamp): New accessors; these are defsubsts.
	(mouse-delete-window, mouse-delete-other-windows)
	(mouse-split-window-vertically, mouse-set-point): Rewritten to use
	the new accessors.

	* mouse.el: Remove hack of binding down-mouse-1.

	* mouse.el (mouse-movement-p): Add docstring for this.

1992-10-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (open-line): Shield undo from the hack to insert at pt-1.

1992-10-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (nuke-nroff-bs): 4 lines after header was 1 too many.
	Likewise for 10 before the header.

1992-10-01  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Save (match-beginning 0)
	in a variable, so the looking-at call doesn't clobber its value
	when we want to use it to back up before the error we discard.
	Make sure compilation-error-list is at least two elts long before
	checking its first two elts for being in the same file.

1992-09-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-word): Don't change point before calling kill-region.
	(delete-indentation): Don't go beyond eob, comparing with fill-prefix.

1992-09-30  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* gud.el (gud-last-frame): Added defvar for this.

1992-09-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-follow-nearest-node): Handle line breaks after *note.
	Fix interactive spec.  Doc fix.  Put on mouse-3.

1992-09-30  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): After we get enough errors
	to stop early, toss the last one (which is for a different file),
	so we don't lose the same way on the next run.

1992-09-29  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): When we reach
	FIND-AT-LEAST errors, keep going until we have seen all the
	consecutive errors in the same file.

1992-09-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send-and-exit): Do other-buffer before bury-buffer.

	* rmail.el (mail-unsent-separator): Add another alternative.

1992-09-29  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (x-select-text, x-cut-buffer-or-selection-value):
	Use x-get-cut-buffer and x-set-cut-buffer, instead of expecting
	x-selection-value to manipulate the cut buffers.

	* term/x-win.el (x-cut-buffer-or-selection-value): Treat
	selections whose value is the empty string like unset selections.
	This allows us to truncate cut buffers to the empty string (if the
	text is too large, say) without causing
	interprogram-paste-function to wipe out the latest kill.

	* gud.el: When we send a command to the debugger via gud-call,
	it's annoying to see the command and the new prompt in the
	debugger interaction buffer; nuke the command and the old prompt.
	(gud-delete-prompt-marker): New variable, with extensive documentation.
	(gud-mode): Make gud-delete-prompt-marker buffer-local, and
	initialize it.
	(gud-filter-insert): If gud-delete-prompt-marker is set, delete
	the prompt, and clear gud-delete-prompt-marker.
	(gud-call): Arrange for the last prompt printed to get deleted, by
	setting gud-delete-prompt-char.

	* gud.el (gud-def): Doc fix.
	(gud-gdb-marker-filter, gud-sdb-marker-filter, gud-dbx-marker-filter):
	Rename the argument `s' or `str' to `string', and change all uses;
	these definitions were referring to `string', which is unbound in the
	lexical context, but which happens to end up being bound to the right
	thing by the caller, gud-filter.
	(sdb): Set comint-prompt-regexp, not comint-prompt-pattern; the
	latter doesn't exist.
	(gud-dbx-debugger-setup): Use the argument `f', not the variable
	`file', which happens to be bound in the caller.
	(gud-filter-insert): The variable `start' is never used.  The
	variable `moving' is unnecessary.  The variable `old-buffer' and
	the unwind-protect form are unneeded, since save-excursion can do
	their work.  The binding of output-after-point should be done after
	switching to the process's buffer, not in whatever random buffer
	happens to be current when the process filter is called.  There's
	no need to set the process mark if we've just inserted at its
	location using insert-before-markers.
	(gud-read-address): Don't bother setting the variable `result'; it
	is never used.

1992-09-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-kill-ftp-process): Delete spurious ".

	* files.el (file-relative-name-1): New function split out.
	(file-relative-name): Use it.

	* timer.el (timer-process-sentinel): Don't set timer-scratch.

	* ws-mode.el (ws-mark-word): Use forward-word, with an arg,
	instead of backward-word.
	(wordstar-mode): Move after definition of keymap.
	(ws-move-block): Just two args for kill-region.

	* vc.el (vc-rename-file): Use OLD, not FILE which is unbound.

	* two-column.el: Use frame-width instead of screen-width.

1992-09-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el: Use (function ...) around lambdas, so it works in v18.

1992-09-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-update-change-log): Use file-relative-name.

1992-09-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (file-relative-name):
	Rewritten so unrelativizable file names win.

1992-09-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (file-relative-name): Don't lose when DIRECTORY is nil.

	* files.el (file-relative-name): New function.

1992-09-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc.el (vc-checkin-hook): New user hook variable.
	(vc-log-after-operation-hook): New internal defvar.
	(vc-checkin): Set vc-log-after-operation-hook to 'vc-checkin-hook.
	(vc-finish-logentry): Run vc-log-after-operation-hook at end.

	(vc-update-change-log): When doing all visited files, remove directory
	names from file names that are in default-directory.

	* vc.el (vc-update-change-log):
	Use shell-command, not shell-command-on-region.
	Take optional args to pass to script.
	Add fancy interactive spec: C-u for current file only;
	M-0 for all visited.

1992-09-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* find-dired.el: New version from sk.
	Changed copyright owner to FSF, and updated year.
	(find-grep-dired): Use ! -type d, not -type f.

1992-09-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* vc-hooks.el (vc-toggle-read-only): Doc fix.
	(vc-mode-line): Add interactive spec.

1992-09-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* two-column.el (tc-window-width, tc-separator, tc-other):
	Add permanent-local property.
	(tc-two-columns): Renamed from tc-split.
	(tc-split): Renamed from tc-unmerge.  Put it on C-x 6 s.
	Use make-local-variable on tc-separator.

	* spook.el (spook): Make it autoload.

	* gomoku.el (gomoku): Make it autoload.

	* mpuz.el: Fix setup of mpuz-read-map not to depend on keymap format.
	(mpuz): Renamed from mult-puzzle.  Make it autoload.

	* setenv.el (setenv): Doc fix.  Make it autoload.

	* diff.el (diff): Don't print echo area message.
	(diff-parse-differences): Always add `done' to message, at end.
	New local num-loci-found counts the loci.

	* mouse.el (mouse-split-window-vertically): Use @.
	(mouse-split-window-horizontally): New command.
	Use S-mouse-2 for them.
	(mouse-delete-window): Put on mode-line mouse-3.
	(mouse-save-then-kill): New command, on mouse-3.
	(mouse-delete-other-windows): Use @.  Now on mode-line mouse-1.
	(mouse-scroll-down, mouse-scroll-up): Use e, get line from event.
	(mouse-scroll-move-cursor): Likewise.
	(mouse-scroll-left, mouse-scroll-right): Likewise for column.
	(mouse-scroll-move-cursor-horizontally): Likewise.

1992-09-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (after-find-file): New arg NOAUTO.
	(revert-buffer, recover-file): Pass t for that arg.

1992-09-23  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* cal-mayan.el (calendar-print-mayan-date): Fix conversion in
	output message.

1992-09-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): When testing for function-start line,
	always match the first paren if have more than one.

1992-09-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vms-pmail.el: New file.

	* texinfo.el (texinfo-mode): Capitalize the mode name string.

	* mail-extr.el (mail-undo-backslash-quoting): Renamed from undo-...
	(mail-safe-move-sexp): Renamed from safe-...
	(mail-variant-method): Renamed from variant-method.

	* tq.el: Doc fixes.  Make tq-create autoload.

	* keypad.el: File deleted (obsolete).

	* setenv.el (setenv): Add interactive spec.  Use \\` for string beg.
	Improve error message.

	* isearch-mode.el (isearch-other-meta-char): Use isearch-unread.
	Support `edit' as search-exit-option.

	* recompile-startup.el: File deleted.

	* at386.el: Deleted from here; latest version moved into term.

	* c-mode.el (calculate-c-indent): When checking for DEFUN macro,
	stop moving down if reach eob.

1992-09-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* prompt.el: File deleted.

	* find-dired.el (start-process-shell-command): Deleted.

	* diff.el (diff-switches): Default is now -c.
	(diff-parse-differences): Use line beg as location of message.

	* c-mode.el (calculate-c-indent): When checking for DEFUN macro,
	stop moving down at line with # or /.
	(c-fill-paragraph): Set first-line whenever we find a comment start
	on the current line.  Protect text before the comment start
	by excluding it from the region and adding spaces to bring back
	proper indentation of that point.

1992-09-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ange-ftp.el (ange-ftp-generate-anonymous-password): Default now t.
	??? This file is waiting for papers from several people.

	* vms-patch.el (vms-command-line-again): New function.
	(vms-pmail-setup): Autoload added here.
	(vms-suspend-resume-hook): Handle envvars EMACS_COMMAND_ARGS and
	EMACS_FILE_LINE.

	* dired.el (dired-view-file, dired-up-directory): Test that
	dired-subdir-alist has more than one element, to use dired-goto-subdir.
	(dired-goto-file, dired-clean-up-after-deletion): Likewise.
	(dired-mark): Likewise, before dired-get-subdir.
	(dired-subdir-max): Likewise, before dired-next-subdir.

	* isearch-mode.el (isearch-done): Do push on ring if ring is empty.
	(isearch-edit-string): Get default from search ring.
	Don't set the default here.
	(search-last-string, search-last-regexp): Vars deleted.
	(search-highlight): No longer a user option.

	* subr.el (baud-rate): Defined.
	(substitute-key-definition): Understand today's keymap format.
	New arg OLDMAP.  Operate recursively on prefix keys.

	* rmail.el (rmail-insert-inbox-text): Make the inbox file empty here
	if we rename it with rename-file here.
	(rmail-get-new-mail): Always try deleting the files in delete-files.

1992-09-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lisp-mode.el (eval-last-sexp): Narrow before reading
	so don't read past point.

	* isearch-mode.el (isearch-mode): Change back to (baud-rate).

	* rmail.el (rmail-get-new-mail): Truncate inbox file if we
	fail to delete it, or if it's not in the ordinary mail spool dir.

1992-09-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): When checking for DEFUN macro,
	stop moving down at line with open-brace or close-brace.

	* ange-ftp.el (ange-ftp-file-name-as-directory): Fix typo.

1992-09-17  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* gud.el (gud-mode-map): Bind gud-refresh to C-c C-l, not C-c l;
	the latter is reserved for the user's purposes.

1992-09-16  Joseph Arceneaux  (jla@churchy.gnu.ai.mit.edu)

	* isearch-mode.el (isearch-ring-advance-edit): Added missing
	closing paren to end of this function.

1992-09-16  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* rmail.el (rmail-insert-inbox-text): Avoid "Getting mail from"
	message for zero-length files.

1992-09-15  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* term/x-win.el: Bind M-next to scroll-other-window.

	* etags.el (visit-tags-table-buffer): Only return nil if (null
	tags-table-list-pointer) when CONT is t, not anything non-nil.

	* etags.el (tags-apropos): Pass arg to tags-apropos-function.

	* mailabbrev.el: Delete comment about needing papers.  We have them.

	* etags.el (tags-apropos): Start FIRST-TIME as t, not nil.
	Set it to nil inside the loop.

1992-09-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (previous-history-element): Doc fix.

	* isearch-mode.el (isearch-event-data-type):
	Renamed from isearch-events-exist.
	(isearch-frames-exist): Set properly in Emacs 18.
	(isearch-mode): Use baud-rate as variable, not function.
	(isearch-abort): Use nil as 2nd arg to `signal'.
	(isearch-ring-advance-edit, isearch-ring-retreat-edit): Fns deleted.
	(isearch-ring-adjust-edit): Fns deleted.
	(isearch-done): Add new string to ring unless matches newest elt.
	Don't update the yank pointers.
	(isearch-repeat): Always use newest elt of ring.
	(isearch-mode): Set *search-ring-yank-pointer to nil.
	(isearch-edit-string): Set cursor-in-echo-area to nil after read-char.
	Use read-from-minibuffer and specify a ring as history.
	(*search-ring-yank-pointer): Value now integer or nil.
	(isearch-ring-adjust1): Modify yank pointer usage accordingly.

1992-09-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* dabbrev.el: Change provide to 'dabbrev from 'dabbrevs.

	* etags.el (find-tag-noselect, next-file, list-tags, tags-apropos):
	Call visit-tags-table-buffer with nil, not 'reset.
	(tags-expand-table-name): New function.
	(tags-table-list-member): New function.
	(tags-next-table): New function.
	(visit-tags-file): Folded into visit-tags-table-buffer.
	(tags-table-list-started-at): New defvar.
	(visit-tags-table-buffer): Rewritten.  No longer groks 'reset arg.
	For 'same, just expand tags-file-name.
	For t, use tags-next-table, and skip over nonexistent files.
	Use tags-table-list-member to search lists.
	Set tags-table-list-started-at.
	(visit-tags-table): Use (visit-tags-table-buffer 'same) in place of
	visit-tags-file.
	(tags-table-parent-pointer-list): Doc fix.
	(tags-table-including): New function, subr of visit-tags-table-buffer.

1992-09-14  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* gud.el (gdb, sdb, dbx): Use C-c C-r ("resume") for continuing,
	instead of C-c C-c.  C-c C-c should be comint-interrupt-subjob;
	it's important to have that available, and the C-c C-c binding is
	consistent with all the other comint-derived modes.

1992-09-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* isearch-mode.el: Add global key bindings.
	(isearch-mode-map): Use only define-key, not aset.
	Don't try using length of keymap.
	(isearch-update): Handle unread-command-char properly for Emacs 19.
	(isearch-switch-frame-handler): Use select-frame to switch frames.
	(isearch-pre-command-hook): Commented out.
	(search-upper-case): Renamed from search-caps-disable-folding.

1992-09-14  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* etags.el (visit-tags-file): Return t iff tags file exists.
	(visit-tags-table): Error if file doesn't exist.
	(tags-next-table): New function, code broken out from
	visit-tags-table-buffer.
	(visit-tags-table-buffer): Use it.
	Skip over nonexistent files in the tags-table-list.
	(find-tag-in-order): When (not FIRST-SEARCH), call
	visit-tags-table-buffer with 'same, not nil.

	* etags.el (visit-tags-file): Check for file being a directory here.
	(visit-tags-table-buffer): Not here.
	(visit-tags-table): Or here.

1992-09-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-retry-failure): Bind off mail-signature and
	mail-setup-hook.
	(rmail-forward): Likewise.

	* loaddefs.el: Added autoloads for dabbrev.  (That section got lost.)

	* simple.el (repeat-complex-command): Get rid of strings added
	to command-history by read-from-minibuffer.
	Don't bind minibuffer-history-variable here.
	(previous-matching-history-element): Read argument manually,
	with a special history list.  Delete this command from command-history.
	Fix arithmetic for counting N.
	(next-matching-history-element): Likewise.
	(minibuffer-history-search-history): New variable.

	* simple.el (read-expression-map): New keymap, w/ lisp-complete-symbol.
	(eval-expression, edit-and-eval-command): Use read-expression-map.
	(repeat-complex-command): Likewise.

1992-09-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* compile.el: Fix first lines of doc strings.
	(compilation-sentinel): Use local value of compilation-finish-function.
	(compilation-num-errors-found): New variable.
	(compilation-parse-errors): Use that, not `nfound'.
	* diff.el (diff-parse-differences): Likewise.

	* lisp-mode.el (save-match-data): Define indentation.

	* files.el (file-local-copy): New function, replaces diff-prepare.

	* subr.el (save-match-data): New macro.
	* files.el (insert-directory): Use that macro.
	(file-name-sans-versions): Likewise.
	* dired-aux.el (dired-compress-file): Likewise.
	* diff.el (diff-old-file, diff-new-file): Vars declared.
	(diff-old-temp-file, diff-new-temp-file): Vars declared.
	(dired-add-entry): Pass t as wildcard arg to insert-directory.
	(diff): Use compilation-finish-function to delete temp files.

	* comint.el (comint-mode): Reinsert kill-all-local-variables.
	Delete kludges to preserve comint-ptyp and comint-input-ring.
	(comint-ptyp): Move declaration before uses.  Make permanent.
	(comint-input-ring): Make permanent.
	(comint-input-ring-index): Declare it.

	* bytecomp.el (byte-compile-report-error):
	Set byte-compiler-have-errors.
	(byte-compile-file): Don't kill ` *Compiler Input*' buffer if error.
	Put input and output buffers in local vars when made.
	Make two separate save-excursion forms, excluding the call
	to byte-compile-from-buffer.

	* dired.el (dired-uncache): New function.
	(dired-revert, dired-insert-old-subdirs): Use it.
	(dired-view-file): Undo previous change.

1992-09-13  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* mouse.el: Change uses of 'K' interactive spec to 'e'.

1992-09-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* diff.el (diff): Call diff-prepare.  If we do have temporary files,
	tell diff to override their names in the listing; delete them at end.
	(diff-prepare): New function.

	* files.el (file-name-sans-versions): Support file-name-handler-alist.
	New arg KEEP-BACKUP-VERSION means don't delete backup versions.

	* dired.el (dired-display-file, dired-find-file-other-window)
	(dired-view-file, dired-find-file): Call file-name-sans-versions
	to remove non-backup version numbers.

	* dired-aux.el (dired-compress-file): New function.
	(dired-compress): Call that, to compress and determine new name.

	* files.el (insert-directory): New function; based on dired-ls.
	Supports file-name-handler-alist.
	(insert-directory-program): New variable.
	* dired-aux.el (dired-add-entry, dired-insert-subdir-doinsert):
	Use insert-directory.
	* dired.el (dired-readin-insert): Use insert-directory.
	(dired-ls, dired-ls-program): Deleted.

1992-09-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads): Use beginning of specified line.

	* loaddefs.el: Sort alphabetically by file name.

	* files.el (backup-buffer): If backup file to copy into exists
	and is not writable, try deleting it.

	* ange-ftp.el: New version from Andrew Norman.
	Modified to use file-name-handler-alist.
	Get rid of the dummy shell mode.
	Rename many variables used free to start with ange-ftp.
	Don't do anything special for revert-buffer.

1992-09-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el (x-fixed-font-alist): New variable.
	(mouse-set-font): New function, now on C-mouse-3.

	* term/x-win.el (scroll-bar-mode): New function (and variable too).

	* dired.el (dired-next-subdir, dired-subdir-index): Moved here
	* dired-aux.el: From here.
	* dired.el (dired-build-subdir-alist): Don't print msg after each dir.
	Clarify final message.

	* files.el (auto-mode-alist): Recognize ChangeLog.N as change-log-mode.
	Move *.N pattern for nroff mode after ChangeLog.N.

1992-09-10  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Use eq instead of = when one
	side might be nil.

1992-09-09  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (frame-notice-user-settings): In situations where we
	have to delete the existing frame and create a new one, redirect
	the dying frame's focus to the new frame, so that characters typed
	ahead won't get lost.

	* frame.el (frame-notice-user-settings): Explicitly include
	default-frame-alist in the frame parameter lists; it was nil
	before the .emacs file was loaded, and now we have to make sure it
	takes effect.

	* subr.el (keyboard-translate): keyboard-translate-table is a C
	variable; it's never unbound.  Assume it's bound, and create a new
	string if its current value is a non-array, or if the current
	array is too short to handle FROM or TO.

1992-09-08  Joseph Arceneaux  (jla@geech.gnu.ai.mit.edu)

	* mailabbrev.el (sendmail-pre-abbrev-expand-hook): Changed the
	structure of this function: don't check to call
	mail-resolve-all-aliases unless we are actually in a header field
	where an abbrev should be expanded.

1992-09-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (c-fill-paragraph): Fix the cases where point is before
	or after the comment.  This uses new var comment-start-place.

1992-09-04  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* rmail.el (rmail-unix-mail-delimiter): Expand this to recognize
	time zones after the date too.  Re-arranged some of the whitespace
	matching, to facilitate factoring out the time zone regexp.
	(rmail-nuke-pinhead-header): Deal with the timezone matched in
	either position.

1992-09-04  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* server.el: Add provide.

1992-09-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): Delete stray setq of tem.
	(c-fill-paragraph): If line contains any comment, treat as comment.

	* add-log.el (change-log-mode): Match start of word at start of line.
	* page.el (forward-page): Handle page delim that matches null string.

	* rmail.el (rmail-mode): Doc fix.

	* shell.el (shell): Doc fix.

	* sendmail.el (mail-do-fcc): Copy code from Emacs 18 to add time zone.

1992-09-03  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* rmail.el (rmail-unix-mail-delimiter): Split this up and comment
	its various components so it looks a bit less like three lines of
	garbage.

1992-09-02  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-goto-error): Move to bol before looking for
	the error.

1992-09-02  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* c-mode.el (c-auto-newline): Added backslashed before quotes in
	docstring.

1992-09-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* lpr.el (lpr-command): Make this autoload.

	* fill.el (justify-current-line): Fix escape syntax of regexp constant.

1992-08-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (enable-local-eval): Default value is `maybe'.
	(hack-local-variables): Ask just once about `eval:', not each time.

1992-08-31  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* loadup.el: Don't delete old DOC-M.N.O file if it doesn't exist.

1992-08-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loadup.el: Delete old DOC-M.N.O file before copying to it.

	* c-mode.el (calculate-c-indent): Recognize the Emacs DEFUN macro.
	Do condition-case around sexp functions when checking for
	function arg decls.
	(c-fill-paragraph): Detect comment starting after code on current line.
	Exclude everything before line where comment starts.

	* add-log.el (add-log-current-defun): Fix test for LOCATION
	in range, for instance of DEFUN macro.

	* simple.el (open-line): Fix fill-prefix case.

	* loaddefs.el: Swap bindings of C-x a i l and C-x a i g.
	The former is now for mode abbrevs and the latter for global.

1992-08-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mouse.el: Add bindings for down-mouse-1, drag-mouse-1,
	S-mouse-3, C-mouse-1.
	Add real keybindings for scroll bar commands.
	(help-menu-map): New tree of menu-maps, on C-mouse-2.
	(mouse-buffer-menu): New function.

1992-08-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): If taking indent from prev stmt
	and it starts with an {, subtract c-brace-offset.

1992-08-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Recognize Emacs DEFUN properly.

1992-08-24  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* rnewspost.el (news-setup): Don't use kill-line; that puts
	trash in the kill ring; instead, use delete-region.

	* mouse.el (mouse-kill, mouse-set-point): Remember that
	event-point does not always return a number; it may return
	`mode-line' or `vertical-line'.

	* simple.el (prefix-arg-internal): Make sure that the key
	sequence is a string before comparing it against "0" and "9".

1992-08-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* etags.el (etags-recognize-tags-table): Don't print message.

1992-08-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Doc fixes.

1992-08-19  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* sendmail.el (mail-signature-file): Undo the previous change -
	replace this with mail-signature.  The manual has already gone to
	the printer.
	(mail-setup): Use mail-signature, rather than mail-signature-file.
	(mail-signature): Use "~/.signature", rather than
	mail-signature-file.
	(mail): Doc fix.

1992-08-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail): Bind enable-local-variables, not inhibit...

	* sendmail.el (mail-setup): Don't use mail-signature-file
	if nonexistent.  Insert just one newline if no signature.

1992-08-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-next-undeleted-message): No error at eob,
	just message.  (This reverses the previous change.)

1992-08-17  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* sendmail.el (mail-signature): Variable replaced with...
	(mail-signature-file): This, since this is the way all the
	other lisp packages do it, and it's how people always say they
	want it on the mailing lists.
	(mail-setup, mail-signature): Adjusted accordingly.
	(mail): Doc fix.

1992-08-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sort.el (sort-subr): No progress messages if sorting less than 50k.

1992-08-17  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* solar.el (sunrise-sunset): Get various values set properly when
	there is (or isn't) a double prefix arg.

1992-08-14  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* timer.el (run-at-time, timer-process-filter): The character
	used to separate the time from the token in input to the timer
	subprocess used to be ?\001, which is not human-readable.
	Make it ?@, which is.

1992-08-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-find-node): Be more flexible about format of
	tags table.

1992-08-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* unrmail.el: New file.

1992-08-13  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* hideif.el (hide-ifdef-mode): Made this function autoload.
	(hide-ifdef-initially, hide-ifdef-read-only, hide-ifdef-lines):
	Make these variables autoload.

1992-08-12  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (grep-regexp-alist): New defvar.
	(grep): Pass grep-regexp-alist to compile-internal.

	* etags.el (find-tag-noselect):
	If NEXT-P, (visit-tags-table-buffer 'same) first.

	* add-log.el: Add (provide 'add-log).

1992-08-12  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (change-log-mode): Make it autoload.

1992-08-12  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (initial-frame-alist): Change the initial frame
	alist from ((minibuffer . nil)), which asks for no minibuffer,
	to ((minibuffer . t)), which asks for a minibuffer.

	* term/x-win.el: Don't call set-input-mode from here; it's
	already taken care of in x_term_init, which is called from
	Fx_open_connection.  Rah.

1992-08-11  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* calendar.el, diary.el, diary-insert.el, holidays.el,
	* cal-french.el, cal-mayan.el, solar.el, lunar.el: Installed the
	latest update of this calendar stuff from that calendar guy, Ed
	Reingold.  Entries for his changes have been inserted in this
	file, ordered by date amongst the rest of the changes.
	* diary-add.el: This has become diary-insert.el.
	* calendar.el (generate-calendar-window, update-calendar-mode-line)
	(calendar-set-mode-line): Replace uses of screen-width with frame-width.
	* diary.el (simple-diary-entry, fancy-diary-entry): Same.

1992-08-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (eval-expression): Doc fix.

1992-08-10  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Protect against "Unbalanced
	parens" error from down-list.

1992-08-10  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (set-screen-width, set-screen-height): Make the
	docstring say that these are obsolete.
	(screen-width, screen-height, set-screen-width, set-screen-height):
	Apply make-obsolete to these.

1992-08-10  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-mode): Update mode line.

	* calendar.el (calendar-read-date): New function.
	(calendar-goto-date): Use it.

	* holidays.el (holidays): Optional prefix arg causes prompting for
	month and year.

	* calendar.el (calendar-interval): Fix doc string.

	* calendar.el (calendar): Changed use of prefix arg--now it causes
	prompting for the month and year.
	(regenerate-calendar-window): Renamed generate-calendar-window.
	Changed optional argument from an offset from the current month to
	a month, year pair.
	(redraw-calendar, calendar-current-month, scroll-calendar-left)
	(calendar-other-month): Change calls from regenerate-calendar-window
	to generate-calendar-window.

1992-08-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* vc.el (vc-revert-buffer): Use yes-or-no-p.  Doc fix.

	* Reinstalled a loaddefs.el backup dated Aug 4.
	The installed copy seems to be a very old version.

1992-08-08  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (set-screen-width, set-screen-height): Changed these
	from fset aliases to actual functions, since they aren't supposed
	to take a frame argument, while set-frame-{width,height} do.

1992-08-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Handle ansidecl DEFUN macros.
	(change-log-mode): Doc fix.

	* add-log.el (add-log-current-defun): Use an intelligent regexps
	instead of many looking-at calls.  Use memq instead of (or (eq x a)
	(eq x b)).  Stupidity reigns.

1992-08-07  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* frame.el (set-frame-width, set-frame-height): Functions deleted
	*again*.  Where did these come from?

	* bytecomp.el: Merged changes up to version 2.08 of the
	Zawinski-Furuseth compiler.  Added a comment above the declaration
	of byte-compile-version indicating this, to assist future patchers.
	(byte-compile-warnings): Doc fix.
	(byte-recompile-directory): Ignore CVS subdirectories, as well as
	RCS dirs.
	* byte-opt.el: Correctly extract the components of a compiled
	function object.

	* bytecomp.el (byte-compile-warnings): Have this default to t,
	since Zawinski says everyone likes the warnings about unbound
	variables.

	* appt.el (appt-issue-message, appt-message-warning-time)
	(appt-audible, appt-visible, appt-display-mode-line)
	(appt-msg-window, appt-display-duration, appt-display-diary): Added
	;;;###autoload cookies for these variables, since they are options
	for the user to set.
	* tex-mode.el (tex-shell-file-name, tex-directory, tex-offer-save)
	(tex-run-command, latex-run-command, latex-block-names)
	(slitex-run-command, tex-bibtex-command, tex-dvi-print-command)
	(tex-alt-dvi-print-command, tex-dvi-view-command)
	(tex-show-queue-command, tex-default-mode, tex-open-quote)
	(tex-close-quote): Same.

1992-08-06  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-log-current-defun): Use eq instead of = when one
	side might be nil.

	* compile.el (compilation-mode-map): Change
	compilation-previous/next-file bindings to M-{ and M-}.

1992-08-05  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* cl.el (*cl-valid-named-list-accessors*, *cl-valid-nth-offsets*)
	(byte-compile-named-accessors): Deleted.
	(first, second, ... tenth, rest): Define these with defsubst, to
	get the same effect.
	(byte-compile-ca*d*r): Deleted.
	(caar, cadr, ..., cddddr): Define these using defsubst.

	Installed changes from Zawinski-Furuseth 2.04 to 2.07:
	* byte-run.el (dont-compile): Doc fix.
	(make-obsolete-variable): New function.
	* bytecomp.el (byte-compile-log-1): Added new optional argument,
	FILL; if it is non-nil, reformat the error message.
	(byte-compile-warn): Use that flag.
	(byte-recompile-directory): Offer to recompile subdirectories.
	If prefix argument is zero, create .elc files for those .el files
	which lack them, without asking.
	(byte-compile-output-form, byte-compile-output-docform): Disable
	print-gensym while writing the form.
	(byte-compile-form): Warn if t or nil are called as functions.
	(byte-compile-variable-ref): Check for, and warn about, obsolete
	variable uses.
	(byte-set-marker, byte-string=, byte-string<, byte-setcar)
	(byte-setcdr, byte-rem): Define these with byte-defop-compiler19,
	not plain byte-defop-compiler.
	(auto-fill-hook, blink-paren-hook, lisp-indent-hook)
	(temp-buffer-show-hook, inhibit-local-variables): Declare these
	variables to be obsolete.
	* byte-opt.el (byte-optimize-apply): If the last argument to apply
	is a constant list, and we therefore decide to turn this into a
	funcall, then don't forget to quote all the elements of the
	constant list.

	* inf-lisp.el (inferior-lisp-filter-regexp, inferior-lisp-program)
	(inferior-lisp-load-command, inferior-lisp-prompt)
	(inferior-lisp-mode-hook, inferior-lisp): Added ;;;###autoload
	cookies for these.

	* bytecomp.el (byte-compile-warnings): When choosing the default
	value for this variable, don't forget to apply delq to a COPY of
	byte-compile-warning-types, so we don't nuke the `free-vars' flag
	altogether.

1992-08-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-search): Fix typo (premature ref to reversep).
	Choice of amount to increment n by was backwards.
	(rmail-search-backwards): Setting of reversep was backwards.

1992-08-04  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-next-file): Use FILE instead of "This"
	in error for moving too far.

1992-08-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-mode-map): Set to nil at load time.

	* lint.el: File deleted.

1992-08-04  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Write progress messages
	on all regexp matches, not just errors.

1992-08-04  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* view.el (view-mode): Teach this how to use help-char.

	* info.el (Info-mode): scroll-up, scroll-down now do the right
	thing for preorder browsing when the beginning/end of the node
	is visible.  RET now goes to the next preorder node.  These
	changes make sequential reading of info subtrees easier.

1992-08-04  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* appt.el (appt-make-list): Add ;;;###autoload cookie for this
	function.

	* vc-hooks.el: Removed autoloads; this task is better performed by
	the autoload cookies.
	* vc.el (vc-next-action, vc-register, vc-diff, vc-insert-headers)
	(vc-directory, vc-create-snapshot, vc-retrieve-snapshot)
	(vc-print-log, vc-revert-buffer, vc-cancel-version)
	(vc-update-change-log): Added the ;;;###autoload cookies to these
	functions, since they get bound to keys in the global keymap.
	* loadup.el: Load vc-hooks.el.

1992-08-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compile-error-at-point): New function.
	(compilation-next-error): Use it.
	(compile-file-of-error): New function.
	(compilation-next-file, compilation-previous-file): New functions.
	(compilation-mode-map): Bind C-x [ and C-x ] to them.

1992-08-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (next-error): Call compile-reinitialize-errors with
	3rd arg of ARGP-1, not ARGP.
	(compile-reinitialize-errors): Don't need to parse if
	compilation-parsing-end is past LIMIT-SEARCH.
	(compilation-next-error): Rewritten to use compile-reinitialize-errors
	limiting args.
	(compile-reinitialize-errors): Don't parse at all if
	compilation-parsing-end is at (point-max).

	* loaddefs.el (complete-tag): Define here to always error; loading
	etags will redefine it.

	* etags.el (complete-tag): Error if no tags table loaded.

1992-08-03  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* ebuff-menu.el, echistory.el, help.el, hexl.el: Teach these packages
	to use help-char, and add the appropriate magic to doc strings.

1992-08-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gud-def): If KEY is nil, don't make a binding.

1992-08-03  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* diary.el (print-diary-entries): Rewrote to work for either
	simple or fancy diary display.
	(add-diary-heading): Deleted--incorporated into print-diary-entries.
	* calendar.el (print-diary-entries-hook): Change default value.

1992-08-03  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* add-log.el (change-log-mode): Doc fix.

	* map-ynp.el (map-y-or-n-p): Use key-description for USER-KEYS.

1992-08-03  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* simple.el (current-kill): Reinstate interprogram-paste feature.
	It doesn't seem to be wedged for me, and I can't find out how it is
	wedged unless it's enabled.

	* terminal.el (terminal-map, terminal-escape-map)
	(terminal-more-break-map): Apply fillarray to the cadr of the map,
	not to the map itself; dense keymaps are no longer vectors.
	* ehelp.el (electric-help-map): Same here.

	* bytecomp.el (byte-compile-file): Don't catch errors here.
	(displaying-byte-compile-warnings): Catch them here.  This way,
	errors get caught no matter which compilation entry point we use;
	anyplace that can report warnings, also catches errors.

	* sun-cursors.el: Require 'cl, for the sake of the push macro.
	(sc::pic-ins-at-mouse): Call move-to-column with the FORCE
	argument true, instead of calling an unknown function named
	`move-to-column-force'.

	* medit.el (medit-zap-define-to-mdl): Fix interactive spec.
	(medit-zap-define-to-mdl): Change `medit-save-defun' to
	`medit-save-define'.
	(medit-save-region, medit-save-buffer, medit-zap-define-to-mdl):
	Changed `medit-go-to-mdl' to `medit-goto-mdl'.  Did anyone ever
	try this code?

1992-08-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el: Fix message syntax.
	(comint-previous-similar-input): Use error, not message.

	* files.el (save-some-buffers): Use C-r, not v, to look at a buffer.
	Use view-buffer and a recursive edit to do it.

	* view.el: Delete key bindings for C-x v and C-x 4 v.
	(View-scroll-lines-forward, view-helpful-message):
	Use view-exit, not exit-recursive-edit.

	* map-ynp.el: Fix prompt.

	* dired.el (dired-why): Don't use save-excursion.
	(dired-change-marks): New command.
	(dired-mode-map): Put dired-change-marks on c.
	Put dired-do-kill-lines on k.

	* dired-aux.el: Require dired.el for compilation.
	(dired-bunch-files): Was duplicating PENDING in apply calls.  Fixed.
	(dired-do-shell-command, dired-run-shell-command):
	Delete arg IN-BACKGROUND; rely on including & at end of command.
	(dired-run-shell-command): Return nil.
	(dired-do-shell-command): Accept COMMAND as arg; use minibuf
	within `interactive'.
	(dired-create-files, dired-handle-overwrite):
	Rename overwrite-confirmed to dired-overwrite-confirmed.
	(dired-do-kill-lines): Handle prefix arg as number of lines to kill.
	(dired-kill-line-or-subdir): Deleted.

1992-08-01  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mailabbrev.el [from jwz] (mail-interactive-insert-alias): Do
	mail-aliases-setup if necessary before completing for interactive.
	(build-mail-aliases): Changed parsing regexp.

	* compile.el (compilation-parse-errors): Take 2nd arg FIND-AT-LEAST.
	If non-nil, stop after parsing that many new errors.
	(compilation-parse-errors-function): Document 2nd arg.
	(compile-reinitialize-errors): Take optional 3rd arg; pass to parser.
	(next-error): Pass repeat count to compile-reinitialize-errors.
	* diff.el (diff-parse-differences): Take same new arg.

	* reposition.el (C-l): Fix typo.

1992-08-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el: ring-* functions deleted--get them from ring.el.

	* ring.el (ring-mod): Renamed from comint-mod.
	Provide `ring', not history'.
	(make-ring, ring-p): Add autoloads.
	* history.el: Link deleted.

	* c-mode.el (c-up-conditional): New function.

	* add-log.el (add-log-current-defun): In C and Lisp, verify the defun
	really starts at or before the original point.

1992-08-01  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* mailalias.el: Provide 'mailalias.
	* mailpost.el: Require 'mailalias and 'sendmail, since we use
	expand-mail-aliases and mail-do-fcc.

	* mail-extr.el (mail-extract-address-components, variant-method):
	Use buffer-disable-undo instead of buffer-flush-undo; the latter
	is obsolete.

	* lpr.el (print-region-new-buffer): Added arguments START and END;
	this used to use dynamic scope, but it makes things less readable.
	(print-region-1): Always call this with two arguments, not
	sometimes two and sometimes none.

	* lint.el: Require 'compile.
	(compilation-convert-lint): Call set-buffer with only one argument.

	* life.el: Move the definitions of the macros out of the require
	clause; the new compiler seems to handle the macros correctly.
	(life): Add an autoload cookie for this.
	(life-display-generation): If the sit-for returns before the
	timeout has elapsed, exit the life loop.

	* ledit.el (ledit-setup): Use shared-lisp-mode-map, instead of
	lisp-mode-commands.

	* kermit.el (kermit-send-input-cr): comint-send-input doesn't
	accept any arguments.  Instead of applying comint-send-input to
	"\r", call comint-send-input on no arguments, and then use
	comint-send-string to send the carriage return.
	(kermit-clean-filter): Call re-search-backward, not
	re-search-backward.
	(kermit-clean-on): Remove extra quote from doc string.

	* informat.el (batch-info-validate): Don't pass any arguments to
	Info-tagify; it doesn't want any.

	* hideif.el (hif-endif-to-ifdef): Fix munged comment which was
	interfering with parsing.

	* hexl.el (hexl-next-line): Fixed up malformed let binding.

	* bytecomp.el (byte-compile-file): Catch errors that occur during
	compilation, and record them in the compilation log.  This allows
	us to find the name of the guilty file when we get a "invalid read
	syntax" error or some such.

	* gud.el: Require `etags', not `tags'.
	(sdb): Move interactive spec to top of function, just under doc string.
	(gud-read-address, send-gud-command): Use the point and point-max
	function instead of dot and dot-max; the latter two are obsolete.

	* gnus.el (gnus-Group-mode, gnus-Subject-mode)
	(gnus-Subject-rmail-digest, gnus-Article-mode, gnus-output-to-rmail)
	(gnus-output-to-file): Use buffer-disable-undo, instead of
	buffer-flush-undo; the latter is an obsolete name.

	* simple.el: Bind the `next' and `prior' function keys to
	next-history-element and previous-history-element in the
	minibuffer maps.  Clean up binding code.

	* two-column.el: Doc fixes.

	* loaddefs.el (function-keymap): Definition deleted; this has been
	superseded by function-key-map.

	* gomoku.el (gomoku-mode-map): Use function key symbols, instead
	of the keypad.el facilities.

	* edt.el: Converted to use the new function key events instead of
	keypad.el.  Don't require keypad.  Change global key bindings.
	(advance-direction, backup-direction): Bind the function key
	symbols directly in the global map, not in function-keymap.
	(edt-emulation-on): Doc fix.  This function will now work when
	called simply from .emacs; it doesn't need to be run after the
	terminal-dependent file has been loaded.

	* cl.el (byte-compile-named-list-accessors, byte-compile-ca*d*r):
	Change these to work correctly with the Zawinski-Furuseth byte
	compiler.

1992-07-31  Robert J. Chassell  (bob@churchy.gnu.ai.mit.edu)

	* loaddefs.el: New keybinding, `C-x r y', for `yank-rectangle'.

1992-07-31  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-string-spread): New function.
	(calendar-mode-line-format): Redefine it.
	(calendar-set-mode-line): Rewrite using new function.
	(update-calendar-mode-line): Rewrite using new function.

1992-07-31  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line-1): Mention info in startup message.

1992-07-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* byte-opt.el (byte-optimize-plus): Don't entirely eliminate the call.
	(byte-optimize-minus): Likewise.
	(byte-optimize-multiply, byte-optimize-divide): Likewise.

1992-07-30  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-goto-error): Set compilation-error-list to
	the one we want, not the one before it.
	(next-error): Use the ARGP-1th, not ARGPth cdr of
	compilation-error-list.

1992-07-30  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* bytecomp.el (byte-compile-warnings): By default, do not display
	warnings about references free variables.

1992-07-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail): Get rid of the multiple mail buffer feature.

1992-07-29  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (general-holidays, hebrew-holidays, local-holidays)
	(christian-holidays, islamic-holidays, solar-holidays, other-holidays):
	New variables.
	(calendar-holidays): Use them to define the default value.

1992-07-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* comint.el (comint-mode-map): comint-previous-similar-input now M-r.
	(comint-previous-similar-input):
	Initialize comint-input-ring-index if nil.
	(comint-previous-input-matching): Report ordinary error if fail.
	Initialize comint-input-ring-index if nil.
	(comint-next-similar-input): New command, on M-s.
	(comint-previous-input): Always delete what was already given
	for the next input.  Initialize comint-input-ring-index if nil.
	(comint-send-input): Set comint-input-ring-index to nil.

	* field.el, cmushell.el: Files deleted.

	* co-isearch.el: File deleted; comint should have M-r and M-s
	like the minibuffer, instead.

1992-07-29  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* diff.el: Everything but diff and diff-backup removed.
	(diff-regexp-alist): New defvar.
	(diff-parse-differences): New defun.
	(diff): Use compile-internal.
	Take optional arg SWITCHES; interactively, prompt if prefix arg.
	(diff-backup): Take same new arg.
	Make this autoload.

	* compile.el (compilation-parse-errors): No message when we stop
	at LIMIT-SEARCH.
	(compile-reinitialize-errors): Don't short-circuit if passed
	a non-nil LIMIT-SEARCH.
	(compilation-next-error): New; bound to M-n.
	(compilation-previous-error): New; bound to M-p.

1992-07-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-mode-map): Bind SPC, DEL, M-n, M-p.

1992-07-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* texinfo.el (texinfo-mode-map): Move M-} and M-{ to C-c prefix.

	* simple.el (delete-indentation): Delete fill prefix from after join.

1992-07-28  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p-help): Remove.
	(map-y-or-n-p): Take new arg ACTION-ALIST.
	Compute help string fully instead of using map-y-or-n-p-help.
	* files.el (save-some-buffers): Pass new arg to map-y-or-n-p, so
	`v' displays the buffer.  Change save-excursion to
	save-window-excursion; it was only there to restore the current
	buffer, and now display-buffer might change windows.

	* compile.el (compilation-parse-errors): Fix M-t-o on `found-desired'.
	(compilation-error-list): Doc fix.
	(compile-internal): Document to return the buffer.
	(next-error): Simplify code to set NEXT-ERRORS from
	compilation-error-list and ARGP.
	(compile-goto-error): Rewrote searching so it finds the error that
	point is in or after; the error need not start at bol.
	Restore current buffer after calling other-window.

1992-07-28  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* holidays.el (calendar-holiday-function-sexp): New function.
	* calendar.el (calendar-holidays): Describe it and use it for daylight
	saving.

	* calendar.el, cal-mayan.el, cal-french.el: Change names of all
	calendar-goto-next- or calendar-goto-previous- commands to
	eliminate the word "goto".

	Change names of all cursor-to-***-calendar-date commands to
	calendar-print-***-date.

	* diary.el (sort-diary-entries): New function.

1992-07-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (backup-extract-version): Copied from Emacs 18.
	(find-backup-file-name): Use that.

	* dired-aux.el (dired-clean-directory): Moved here.
	(dired-map-dired-file-lines, dired-collect-file-versions)
	(dired-trample-file-versions): Likewise.
	* dired.el: Moved from here.
	(dired-clean-directory): Auto load added.

	* add-log.el (add-change-log-entry): Chase symlinks.

1992-07-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gud.el (gdb, dbx, sdb): Change C-c LETTER commands to C-c C-LETTER.

	* add-log.el (add-log-current-defun): Handle C macros.
	Handle the DEFUN macro used in Emacs C sources.

1992-07-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-parse-errors): Take arg LIMIT-SEARCH;
	if non-nil stop parsing when we pass that location.
	(compilation-parse-errors-function): Document arg.
	(compile-reinitialize-errors): Take optional 2nd arg; pass to parser.
	(compile-goto-error): Pass (point) to compile-reinitialize-errors.

	* compile.el (compile-goto-error): Doc fix.

	* etags.el (find-tag): Fixed prompt.
	(tag-exact-match-p): Rewritten (again).

	* startup.el (command-line): Load site-start here.
	(normal-top-level): Not here.

	* etags.el: Remove M-? binding; move M-TAB binding to after defun.

1992-07-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* completion.el: Moved to external-lisp.

	* diff.el (diff-rcs, diff-sccs): Deleted.

1992-07-27  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* tar-mode.el (tar-subfile-save-buffer): Whoever changed
	current-time forgot to check for breakage.  Added code to print
	the seconds parts of a (current-time) value as 11 octal digits
	(yes, this is nontrivial).

1992-07-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (next-history-element): Fix error messages.
	(previous-matching-history-element): Likewise.

	* help.el (describe-function): Don't give the file name
	in the case of an autoloaded function.

	* lisp-mode.el (emacs-lisp-mode-map, lisp-interaction-mode-map):
	Add M-TAB as lisp-complete-symbol.
	* loaddefs.el: Delete binding of M-TAB.
	* etags.el: Add binding of M-TAB.

1992-07-26  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (tags-exact-match-p): Rewritten.
	(tags-with-syntax): New macro.

1992-07-26  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-cursor-to-date): Change `current-day' to
	`starred-day'.
	(calendar-star-date): Create and set buffer local var `starred-day'.
	(calendar-mode): Don't create buffer local vars current-month,
	current-day, current-year.
	(regenerate-calendar-window, calendar-current-date): Don't set
	buffer local vars current-month, current-day, current-year.
	(calendar, redraw-calendar, scroll-calendar-left)
	(calendar-other-month, calendar-goto-date, calendar-goto-hebrew-date)
	(calendar-goto-julian-date, calendar-goto-islamic-date)
	(calendar-goto-iso-date): Use `calendar-current-date' instead of
	buffer local vars current-month, current-day, current-year.

1992-07-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* diff.el (diff-backup): New function.
	(diff-last-backup-file): Renamed from dired-last-backup-file.
	* dired-aux.el (dired-backup-diff): Use diff-backup.
	(dired-last-backup-file): Moved and renamed.
	* dired.el, dired-aux.el (dired-diff, dired-backup-diff): Doc fixes.

	* help.el (command-apropos): Fix call to apropos for new arg.

	* finder.el (finder-by-keyword): Rewrite to read args in `interactive'
	and use with-output-to-temp-buffer.

	* startup.el (normal-top-level): Load site-start if it exists.

	* add-log.el (add-log-current-defun): In C, when moving back over arg
	decls, stop at beg of buffer.
	(add-change-log-entry): Likewise for blank lines at end of buffer.

	* picture.el (picture-mode-old-major-mode): Declared.
	(picture-mode-old-mode-name, picture-mode-old-local-map): Likewise.
	(picture-mode-map): Don't use aset directly; use define-key.

	* saveconf.el: File deleted.

	* rmail.el (rmail-search): Accept repeat count.
	(rmail-search-backwards): New command, on M-r.

	* simple.el (previous-matching-history-element): New command.  On M-r.
	(next-matching-history-element): New command.  On M-s.

1992-07-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (c-beginning-of-statement): If in string or comment,
	move by sentences.

	* compile.el (compile-history): New variable.
	(compile): Specify history list compile-history, with
	compile-command as initial contents.
	(grep): Specify constant "grep -n" as initial input,
	and history list grep-history.
	(grep-command): Variable deleted.

	* replace.el (query-replace-read-args): New function.
	It reads two args using query-replace-history.
	(query-replace, query-replace-regexp, replace-string)
	(replace-regexp): Use query-replace-read-args.
	(map-query-replace-regexp): Read args using query-replace-history.
	(perform-replace): Add local binding for `char'.

	* dired.el: Don't check for version 18.
	(dired-file-version-alist): New defvar.
	Use this instead of file-version-assoc-list.
	(dired-shrink-to-fit): Default is always t.
	(dired-internal-do-deletions): remove-directory => delete-directory.

	* abbrev.el (define-abbrevs): Bind name, hook, exp, count.

	* replace.el (perform-replace): Fix typo: match-after => match-again.
	(map-query-replace-regexp): Delete duplicate definition.

	* subr.el (defun-inline): Commented out.

	* comint.el (comint-input-ring*): Renamed from input-ring*.
	(ring-remove, ring-rotate): Use setcar, not set-car.
	* co-isearch.el: input-ring* renamed to comint-input-ring*.

	* tex-mode.el: Don't require comint.
	* comint.el (make-comint): Make this autoload.

	* case-table.el (describe-buffer-case-table): Move the describe-vector
	inside the let.

	* c++-mode.el (indent-c++-exp): Fix typo "innerloop-done".
	Make last-depth local.

1992-07-23  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* flow-ctrl.el: Fixed set-input-mode call broken by new third
	arg for meta control.

1992-07-23  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (cursor-to-islamic-calendar-date)
	(cursor-to-hebrew-calendar-date): Add phrase "until sunset" to message.

	* calendar.el (calendar-goto-astro-day-number)
	(calendar-print-astro-day-number): New functions.
	(calendar-mode): Put them on keys and describe them.
	* diary.el (diary-astro-day-number): New function.

	* diary.el (diary-julian-date): New function.

1992-07-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (current-kill): Ignore the interprogram paste feature;
	it is wedged.

	* paths.el (mh-lib, mh-prog): Add more alternatives.

1992-07-22  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* emerge.el (emerge-startup-hook, emerge-quit-hook):
	Renamed from ...-hooks.

	* dired.el (dired-display-file): New command, on C-o.

	* files.el (ctl-x-4-map): display-buffer is now C-x 4 C-o.

1992-07-22  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer): Look for a tags table
	containing buffer-file-name's tags.

1992-07-22  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (last-tag): New defvar.
	(find-tag-noselect): Set and use it.

1992-07-22  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* edebug.el, gnus.el, gnusmail.el, gnusmisc.el, gnuspost.el,
	* hideif.el, isearch-mode.el, mh-e.el, mhspool.el, netunam.el,
	* nnspool.el, nntp.el, scheme.el, xscheme.el: Removed RCS "$Header"
	and "$Log" files; K. Richard Pixley <rich@cygnus.com> says they
	cause trouble with patches.

1992-07-22  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (find-tag-noselect): Properly return
	find-tag-in-order's value.

1992-07-22  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* bytecomp.el: Removed relative jump instructions.
	(byte-rel-goto-ops): Variable deleted.
	(byte-compile-lapcode): Code to recognize potential relative jumps
	and patch the PC into relative jumps removed.
	* byte-opt.el (disassemble-offset, byte-decompile-bytecode-1):
	Support for relative jumps removed.

1992-07-22  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Removed all Last-Modified headers.

1992-07-21  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* files.el (trim-versions-without-asking): Non-nil, non-t value
	suppresses all trimming of excess backups.  This is so we can make
	the @!%$@ question at save time go away....

1992-07-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (kill-ring-save): Display only if interactive-p.

	* c-mode.el (c-backslash-region): New command.
	(c-append-backslash, c-delete-backslash): New functions.
	* c++-mode.el (c++-macroize-region, backslashify-current-line):
	Deleted.
	(c++-comment-region, c++-uncomment-region): Deleted.
	comment-region works just fine.
	(c++-beginning-of-defun, c++-end-defun, c++-indent-defun): Deleted.
	(c++-point-bol): Renamed from point-bol.
	(c++-within-string-p): Renamed from within-string-p.
	(c++-count-char-in-string): Renamed from count-char-in-string.
	(fill-c++-comment): Renamed from fill-C-comment.
	(c++-insert-header): Deleted.

1992-07-21  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* inf-lisp.el: When creating inferior-lisp-mode-map, use
	shared-lisp-mode-map, instead of calling the function
	lisp-mode-commands; that doesn't exist any more.
	(inferior-lisp-args-to-list): Recurse, rather than
	calling tea-args-to-list, which doesn't exist.
	(inferior-lisp-mode): Always call lisp-mode-variables with one
	argument; there's no longer any need to adapt to different
	versions of Emacs.

1992-07-21  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-set-mode-line): New function.
	(list-yahrzeit-dates): Use it for mode line.
	* diary.el (simple-diary-display, fancy-diary-display): Use it for
	mode line.
	* diary.el (show-all-diary-entries): Use default mode line.
	* lunar.el (calendar-phases-of-moon): Use it for mode line.
	* holiday.el (list-calendar-holidays, calendar-cursor-holidays):
	Use it for mode line.

1992-07-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-remember-hidden): Fix typo in `following-char'.

	* add-log.el (add-change-log-entry): Avoid spurious whitespace
	when making new entry.  Delete excess blank lines.
	Really don't use "ChangeLog" as the file name in the entry.
	Always put a space after the colon.
	(add-log-current-defun): Verify the defun actually contains point.
	Handle the lines of a C function before the open brace.

	* rmail.el (rmail-undelete-previous-message): Don't catch errors.

	* simple.el (end-of-buffer): If buffer end is on screen, don't scroll.

	* c-mode.el (set-c-style): Deleted the first version of this function.
	It was badly written.
	Modified the remaining version by adding new argument GLOBAL
	and setting the parameters locally if GLOBAL is nil.

1992-07-21  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Turfed r2bibtex.el.  Refbib.el turns out to be a newer version
	of the same package.

	* Installed co-isearch.el, new gud.el (1.19)

1992-07-21  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* frame.el (get-frame): Renamed to get-other-frame; get-frame
	sounds like a parallel to get-buffer or get-process.

	* c-mode.el (set-c-style): Remove the extraneous copy of this
	function.

	* c++-mode.el (within-string-p): Use `%', not `mod', as the name
	of the modulus function.

	* frame.el (frame-height, frame-width): Fixed several confusions
	here.

	* blackbox.el: When building blackbox-mode-map, locally rebind all
	keys to which the movement commands are bound to blackbox's
	movement functions.  Define the insert and kp-enter keys.

1992-07-20  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* blackbox.el (blackbox): Doc fix.
	(bb-outside-box): For some reason, this function was replaced by
	the comment ";; blackbox.el ends here"

	* dired.el (dired): Doc fix.

1992-07-20  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-send-and-exit): Just switch windows
	if the next window is in Rmail mode.

1992-07-20  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el (set-variable): If VAR has a `variable-interactive'
	property, use it as an interactive spec to prompt for VAL.
	* etags.el (tags-file-name): Give it a variable-interactive property.

	* etags.el (tags-table-format-hooks): Remove ctags-recognize-tags-table
	* ctags.el: Removed.
	(visit-tags-table): Don't call abbreviate-file-name.
	(visit-tags-file): If find-file-noselect changed the file name,
	propagate the change to tags-file-name and tags-table-list.

	* startup.el (command-line): Fixed typo in comment.

1992-07-20  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-warnings): Include the full
	documentation given in the comments at the top of the file in this
	variable's docstring.

1992-07-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* dired.el (dired-mark): Use prefix-numeric-value.

	* simple.el (kill-ring-save): Say "saved", not "killed", in messages.
	Let message do the formatting.

	* fill.el (fill-individual-paragraphs): If MAILP, skip indented headers
	and blank lines.

	* register.el (window-configuration-to-register): New function.
	(frame-configuration-to-register): New function.
	* loaddefs.el: Put them on C-x r w, C-x r f.
	* window.el (window-config-to-register, register-to-window-config):
	Deleted, along with keybindings C-x 6 and C-x 7.

1992-07-19  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* cal-mayan.el: New file.  The only functions visible to the
	outside world are calendar-goto-mayan-date,
	calendar-next-haab-date, calendar-previous-haab-date,
	calendar-next-tzolkin-date, calendar-previous-tzolkin-date,
	calendar-next-calendar-round-date,
	calendar-previous-calendar-round-date,
	diary-mayan-date, and cursor-to-mayan-calendar-date.
	* diary.el: Autoload diary-mayan-date.
	* calendar.el: Autoload the 7 "goto" functions.
	(calendar-mode-map): Put them on keys.
	(calendar-mode): Describe them.

	* cal-french.el (french-calendar-month-name-array): Add accents to
	month names.
	(cursor-to-french-calendar-date): Add accents.

	* cal-french.el (calendar-goto-french-date): New function.
	* calendar.el: Autoload it.
	(calendar-mode-map): Put it on a key.
	(calendar-mode): Describe it.

	* cal-french.el (diary-french-date): Moved from diary.el and fixed
	accent.
	* diary.el: Move dairy-french-date to cal-french.el and autoload it.

	* diary-insert.el: Move all diary inserting commands from diary.el.
	* diary.el: Move all diary inserting commands to diary-insert.el.
	* calendar.el: Change autoloads for all diary inserting commands
	from diary.el to diary-insert.el.

	* calendar.el: Put ";;;###autoload" before calendar function and
	before list-yahrzeit-dates function.
	* holiday.el: Put ";;;###autoload" before holiday function.
	* diary.el: Put ";;;###autoload" before diary function.

	* cal-french.el: New file. All French Revolutionary calendar
	code from calendar.el has been moved here.

	* calendar.el: All French Revolutionary calendar code moved to a
	new file, cal-french.el.  Autoload cursor-to-french-calendar-date.

	* diary.el (list-sexp-diary-entries): Add mention of
	diary-sunrise-sunset, diary-lunar-phase, and diary-sabbath-candles
	to doc string.

	* calendar.el (list-yahrzeit-dates): Prompt for date of death if
	not called from the calendar window.  This function should now be
	known to the outside world.

	* calendar.el (diary-file): Add mention of diary-sunrise-sunset,
	diary-lunar-phase, and diary-sabbath-candles to doc string.

1992-07-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (compile-defun): Use displaying-byte-compile-warnings.
	(byte-compile-warn): Don't display the warning now, just log it.

	* files.el (auto-mode-alist): Recognize .texi.

	* rmail.el (rmail-delete-forward): Removed the feature
	of moving back if there's nowhere to go forward.

1992-07-17  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* etags.el (visit-tags-table-buffer): Call abbreviate-file-name on
	the argument before setting tags-file-name.

	* files.el (automount-dir-prefix): New variable.
	(abbreviate-file-name): Remove the automount prefix here, rather
	than in find-file-noselect.  Use automount-dir-prefix.
	(find-file-noselect): Don't remove the automount prefix here; let
	abbreviate-file-name take care of it.

1992-07-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Keywords added for [n-z]*.el.  Finder now under construction.

1992-07-17  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* rmail.el (rmail-insert-inbox-text): Generate an alternate name
	to use for tofile by appending a `+' to file, not a `~'; files
	ending with the latter may be deleted accidentally when space is
	low.

1992-07-17  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Keywords added for [a-m]*.el.  The keyword categories will
	probably need some tuning, but at least this will suffice
	for testing the finder code.

	* makefile.el, two-column.el, sgml-mode.el, resume.el,
	* mail-extr.el: Installed.

1992-07-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* Changed all copying notices to GPL version 2.

1992-07-16  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Finished decorating the library files with new standard headers.

1992-07-16  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* disass.el: Require `byte-compile', not 'bytecomp'.

	* bytecomp.el (byte-compile-file): Correct parens in interactive
	form so that it returns a list containing the filename and the
	prefix argument, not just the prefix argument by itself.

	* bytecomp.el (byte-compile-file): Changed reference to
	byte-compile-report-call-tree to use display-call-tree.

	* bytecomp.el (byte-recompile-directory, byte-compile-file)
	(batch-byte-compile, byte-compile, compile-defun)
	(display-call-tree): Added autoload cookies for these functions.

1992-07-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el: Major rewrite with many new features.
	* ctags.el: New file; goes with new etags.el.

1992-07-16  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* byte-run.el (defsubst): Removed extra closing paren at the end
	of this function.

1992-07-16  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* At RMS's request, all occurrences of `elisp' changed to `Emacs Lisp'.

	* New library headers for [fghijklmn]*.el.  First steps towards
	keyword-based code finder via Keywords header.

1992-07-15  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* New library headers for [opqrst]*.el.  Ghod, this is boring.

1992-07-15  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* lunar.el: New file.  The only functions known to outside world
	are calendar-phases-of-moon, diary-phases-of-moon, and phases-of-moon.

	* calendar.el (calendar-mode): Put calendar-phases-of-moon on a key
	and describe it.

	* diary.el: Autoload diary-lunar-phase.

1992-07-15  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loaddefs.el: Added C-x a, C-x r and C-x n as prefixes.
	Removed old C-x a, C-x g, C-x j, C-x n, C-x p, C-x r, C-x x, C-x w.
	Also C-x /, C-x C-a, C-x C-h, C-x +, C-x -.
	Added bindings for function keys insert-line, delete-line, delete-char.

	* bytecomp.el: Deleted support for running compiler in Emacs 18.
	Spell "Emacs 18" properly.
	(byte-compile-version): FSF 2.1.
	(byte-compiler-valid-options): Deleted.
	(byte-compile-single-version): Always return nil.
	(byte-compiler-version-cond): Always return the argument.

	* loaddefs.el: Key bindings moved here.
	* simple.el: From here.

1992-07-14  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* byte-opt.el (byte-boolean-vars): Rebuilt for Emacs 19.

	* screen.el: Renamed to frame.el.  The term is no longer `screen',
	but `frame'.  All variables and functions renamed.
	* x-menu.el, window.el, sup-mouse.el, sun-mouse.el, subr.el,
	* startup.el, sendmail.el, register.el, prompt.el, mlconvert.el,
	* loadup.el, ispell.el, isearch.el, holidays.el, fortran.el,
	* files.el, etags.el, emerge.el, electric.el, edebug.el, dired.el,
	* diary.el, csharp.el, compile.el, comint.el, calendar.el,
	* buff-menu.el, bg-mouse.el, appt.el, abbrevlist.el, term/x-win.el,
	* term/wyse50.el, term/vt200.el, term/vt100.el: All uses changed.
	* screen.el (screen-height, screen-width, set-screen-height)
	(set-screen-width): Defined as aliases for frame-height,
	frame-width, set-frame-height, and set-frame-width.
	(set-frame-height, set-frame-width): Functions deleted; they are
	defined in frame.c.

1992-07-14  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* [uvwxy]*.el: Added headers for new Emacs Lisp documentation
	conventions.

1992-07-14  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-mode): Change key bindings for all
	functions to make them consistent with Version 19 requirements.

1992-07-13  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* comint.el: Minor changes to comments to reflect the fact that
	comint has won its war and replaced shell mode.

1992-07-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailsort.el: Change copyright to FSF; update permission notice.

	* byte-run.el: Delete compatibility definition of make-byte-code.
	(byte-compiler-options): Commented out.
	(proclaim-inline, proclaim-notinline): Commented out.

	* byte-opt.el: Change several doc strings to comments.
	They had the wrong format anyway.
	Delete the `require' and the test for wrong compiler version.

	* disass.el: Require just bytecomp, not byte-opt.

	* bytecomp.el (emacs-lisp-file-regexp):
	Renamed from elisp-source-file-re.  All uses changed.
	(byte-compile-dest-file): Don't use that var.
	(compile-defun): Renamed from elisp-compile-defun.
	(byte-compile-report-ops): Define unconditionally.
	It's a bad idea to make function definitions of moderate size
	conditional on anything.
	(byte-compile-and-load-file): Commented out.
	(byte-compiler-valid-options):
	Renamed from byte-compiler-legal-options.
	(byte-compile-overwrite-file): Variable deleted.
	(byte-compile-file): Don't use that var.
	(byte-compile-compatibility):
	Renamed from byte-compile-emacs18-compatibility.
	(byte-compile-generate-emacs19-bytecodes): Variable deleted.
	Use byte-compile-compatibility instead.
	(byte-compiler-options-handler): Deleted.
	(byte-compile-body-do-effect, byte-compile-form-do-effect):
	Use defsubst, not proclaim-inline.

	* byte-opt.el: Renamed from byte-optimize.el.
	* byte-run.el: Renamed from bytecomp-runtime.el.
	* bytecomp.el, loadup.el: References to those files fixed.

	* bytecomp.el: Style corrected in calls to error.
	Many doc strings corrected in style.

	Repeated the following changes:
	* bytecomp.el (byte-compile-file): Don't put file name in minibuffer.
	(byte-compile-buffer): Function commented out.

1992-07-13  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* loaddefs.el (completion-ignored-extensions): nconc together
	list of common extensions and list of unix or vms-specific ones.

1992-07-13  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* simple.el (kill-region): The variable `undo-high-threshold' has
	been renamed to `undo-strong-limit'.  Change its use here.

1992-07-13  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (exit-calendar): Bury buffers instead of killing them.

	(european-calendar-display-form, american-calendar-display-form):
	Make comma after day name conditional so it's available for more
	general use.
	(calendar-date-string): Make dayname nil instead of the empty string.
	(cursor-to-julian-calendar-date, cursor-to-islamic-calendar-date)
	(cursor-to-hebrew-calendar-date, list-yahrzeit-dates): Use nodayname
	form of display.

	* diary.el (diary-islamic-date, diary-hebrew-date, insert-diary-entry)
	(insert-anniversary-diary-entry, insert-block-diary-entry)
	(insert-cyclic-diary-entry, insert-hebrew-diary-entry)
	(insert-islamic-diary-entry): Use nodayname form of display.

1992-07-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* c-mode.el (calculate-c-indent): Don't indent as argdecl
	after apparent function decl inside a comment.

1992-07-10  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* bytecomp.el: Replaced with Jamie Zawinksi's byte compiler.
	* byte-optimize.el, bytecomp-runtime.el: New files, supporting
	bytecomp.el.
	* loadup.el: Load bytecomp-runtime into the dumped Emacs.
	* disass.el: New version of the disassembler, to fit with the new
	compiler.

	* mouse.el (mouse-select-buffer-line): Removed extraneous setting
	of the variable `the-buffer'; it's never used elsewhere.

	* mouse.el (mouse-kill): Don't set the mark; pass point and the
	click's position to kill-region directly.

1992-07-09  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* abbrev.el (write-abbrev-file): Removed extraneous interactive spec.

	* screen.el (current-screen-configuration,
	set-screen-configuration): New functions.

	* buff-menu.el (buffer-menu): Make ARG an optional argument.

	* screen.el (iconify): Call the function `make-screen-visible'
	instead of `deiconify-screen'; the latter no longer exists.

	* files.el (find-backup-file-name): Replace the reference to
	`backup-extract-version' with a literal `function' form.  This
	eliminates the use of dynamic binding, and allows us to remove
	backup-extract-version, which doesn't really want to be its own
	function.
	(backup-extract-version): Function removed.

	* help.el (help-with-tutorial): Zap the value of
	`buffer-auto-save-file-name', not `auto-save-file-name'.

	* loadup.el: Don't forget to garbage-collect after loading each
	file.  Yes, some of the files are small enough that it won't make
	much of a difference, but there's no reason not to garbage collect
	here (other parts of the build process are much slower), and these
	files might grow.

	* startup.el (command-line): Comment out the code which chooses a
	default value for split-window-keep-point; let's see if we can live
	without this option.

1992-07-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* terminal.el (te-set-escape-char): Improve messages.

1992-07-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* etags.el (find-tag): Don't set tags-loop-form.

1992-07-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-do-fcc): Call rmail-set-message-counters.

1992-07-06  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* etags.el (visit-tags-table): Remove automounter prefixes before
	setting tags-file-name.

1992-07-06  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* Moved gdb.el to =gdb.el.  The autoload generation for
	loaddefs.el was getting screwed up by the conflicting autoloads
	generated from gdb.el and gud.el.  In any case gdb.el is obsolete;
	we're using the gdb entry point of gud.el now.

	* Installed tq.el.

1992-07-06  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* tex-mode.el (tex-file): Fix reference to tex-offer-save.

1992-07-05  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* tex-mode.el: Require comint instead of oshell.
	(tex-start-shell): Use comint, not oshell.
	(tex-filter): Deleted function; no filter is now longer needed.

	* tex-mode.el (tex-run-command, latex-run-command, slitex-run-command)
	(tex-bibtex-run-command, tex-dvi-print-command)
	(tex-alt-dvi-print-command, tex-dvi-view-command): Change doc strings
	to reflect the fact that `*' will be replaced by the file name.
	(tex-send-command): New function to interact with comint subshell and
	replace `*' by the file name.
	(tex-file, tex-region, tex-print, tex-view, tex-bibtex-file)
	(tex-show-print-queue): Use tex-send-command to send commands.

	* tex-mode.el (tex-offer-save): New variable.
	(tex-file): Offer to save buffers if tex-offer-save is t (default).

	* tex-mode.el (latex-block-names, standard-latex-block-names):
	New variables.
	(tex-latex-block): Use them to do completing-read for block name.

	* tex-mode.el (tex-last-temp-file): New variable to remember file
	name for clean up.
	(tex-shell-sentinel): New function--clean up when tex process dies.
	(tex-delete-last-temp-files): New function to do the cleanup.
	Add this function to kill-emacs-hook.
	(tex-region): Do clean up of files from last invocation.

	* tex-mode.el (tex-insert-quote): Make it barf on read-only buffers.

	* tex-mode.el (tex-terminate-paragraph): Make it barf on read-only
	buffers.

	* tex-mode.el (tex-insert-braces): Make it barf on read-only buffers.

	* tex-mode.el (tex-close-latex-block): Change void var `ERR' to `nil'.

	* tex-mode.el (tex-print): Use alternative printer when given prefix
	arg.

	* tex-mode.el (tex-mode-load-hook): New variable.
	Run-hooks on it.

1992-07-04  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-in-progress): New variable.
	Add it to minor-mode-alist.
	(compile-internal): Cons the new process onto it.
	(compilation-sentinel): Remove the dead process from it.

1992-07-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* tex-mode.el: New version from reingold.

	* files.el (save-buffers-kill-emacs): Consider open net connections
	as possibly requiring a query.

1992-07-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (recover-file): Pass -L option to ls, if file is link.

1992-07-01  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (ctl-x-4-map): Bind `C-x 4 o' to display-buffer.

	* buff-menu.el (Buffer-menu-switch-other-window): New function,
	bound to C-o in Buffer-menu-mode-map.

1992-07-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cmutex.el: Deleted, following recommendation of reingold.

1992-06-30  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* startup.el (command-line-1): Signal an error if the argument to
	the `-insert' option isn't a string.

1992-06-28  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* completion.el (completion-separator-self-insert-autofilling):
	Changed references to `auto-fill-hook' to `auto-fill-function'.
	* mh-e.el (mh-letter-mode): Same thing.
	* texinfo-upd.el (texinfo-update-node,
	texinfo-sequential-node-update): Same thing.

1992-06-28  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* solar.el: New file.
	The only functions known to outside world are calendar-sunrise-sunset,
	diary-sunrise-sunset, diary-sabbath-candles, sunrise-sunset, and
	calendar-holiday-function-solar-equinoxes-solstices.

	* calendar.el (calendar-holidays): Add equinoxes and solstices.
	(calendar-mode-map): Add key for sunrise/sunset.
	Add a new variables calendar-time-display-form, calendar-latitude,
	calendar-longitude, calendar-location-name, calendar-time-zone,
	calendar-standard-time-zone-name, calendar-daylight-time-zone-name,
	calendar-daylight-savings-starts, calendar-daylight-savings-ends.
	Add autoload of calendar-sunrise-sunset.
	(calendar-mode): Add description of sunrise/sunset capability.
	(calendar-version): Changed to 5.

	* diary.el: Autoload diary-sunrise-sunset and diary-sabbath-candles.

	* holidays.el: Autoload
	calendar-holiday-function-solar-equinoxes-solstices.

1992-06-27  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* info.el: Bindings for Info-goto-emacs-command-node and
	Info-goto-emacs-key-command-node in help-map moved from here...
	* help.el: to here.

	* compile.el (compile-internal): Make the buffer read-only, to
	remind people that they probably don't want to mess with it.
	(compilation-sentinel): Make the buffer temporarily writable, so
	we can insert the termination message.

	* help.el, indent.el, paragraphs.el, isearch.el, replace.el:
	Deleted autoload cookies from these files; they are all loaded
	into Emacs by loadup.el.
	* loaddefs.el: Removed autoload sections for the above files.

	* loaddefs.el: Put autoload sections in alphabetical order by file
	name.

	* replace.el (perform-replace): Remember the match data from the
	real occurrence found, and restore it before executing the
	command.  This preserves the match data across various other
	matching we do, and protects it from mungement while we're waiting
	for input.

	* loaddefs.el: Bind [M-right], [M-left], [M-up], and [M-down] to
	backward-sexp, forward-sexp, backward-list, and forward-list.

1992-06-26  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* holidays.el (calendar-holiday-list): Protect holiday evaluation from
	bogus holidays on list.

1992-06-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* outline.el (outline-flag-region): Bind buffer-read-only to nil.

1992-06-25  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* calendar.el, diary.el, holidays.el: Merged new versions from Ed
	Reingold.
	* calendar.el (mark-holidays-in-calendar, all-hebrew-calendar-holidays)
	(all-christian-calendar-holidays, all-islamic-calendar-holidays)
	(list-diary-entries-hook, diary-display-hook)
	(nongregorian-diary-listing-hook, nongregorian-diary-marking-hook)
	(diary-list-include-blanks): Added autoload cookie for these;
	Reingold's distribution suggests that these variables are ones
	that you are especially likely to want to customize.
	* holiday.el (holidays): Added autoload cookie for this.

1992-06-25  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* diary.el (diary-rosh-hodesh): Change mod to % in two places.

1992-06-24  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* holidays.el (calendar-holiday-function-fixed)
	(calendar-holiday-function-float, calendar-holiday-function-julian)
	(calendar-holiday-function-islamic, calendar-holiday-function-hebrew):
	Correct documentation strings.

	* holidays.el (calendar-holiday-function-greek-orthodox-easter):
	New function.

	* calendar.el (calendar-holidays): Add Greek Orthodox Easter to
	all Christian holidays list.

	* calendar.el (calendar-load-hook): New variable; use it with run-hooks.
	(calendar): Describe use of calendar-load-hook.

1992-06-23  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* autoload.el: The docstring is the third element of a `defun'
	form, not the second.

1992-06-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-region-as-paragraph): Don't assume any indentation
	for a one-line paragraph.

	* dired.el: Complete rewrite, mostly by sk@thp.uni-koeln.de.
	* dired-aux.el: Other parts of dired.

	* files.el (enable-local-eval): Renamed from `ignore-local-eval';
	now has values like `enable-local-variables'.
	(hack-local-variables): Test `enable-local-eval' properly.

1992-06-22  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* autoload.el (generate-file-autoloads): Do attach a
	`doc-string-elt' property to `defun', `defvar', `defconst', and
	`defmacro'; since the files with ";;;autoload" cookies in them are
	never loaded into the dumped Emacs - otherwise, why would you be
	autoloading them?.

1992-06-21  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-region-as-paragraph):
	Handle fill-prefix wider than fill-column.
	Ensure we keep at least one word on each line.
	Also don't break after a period followed by just one space.

1992-06-21  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* screen.el (ctl-x-5-map): Removed declaration and initialization
	of this here; it's done in subr.el, alongside ctl-x-4-map.

	* autoload.el (generate-file-autoloads): If FILE is in the same
	directory as the current buffer's file, or a subdirectory thereof,
	change FILE to be a path relative to the current buffer's file.
	This will allow `update-autoloads-here' to find a section's file
	even if the Emacs tree has been moved, as it would be when
	installed on a different system.

1992-06-19  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Grok abbreviated years.

1992-06-19  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* lisp-mode.el (indent-sexp): The local variable `last-point' was
	being asked to do double-duty - `calculate-lisp-indent' needs to
	be given a location guaranteed to be outside of the current
	s-expression, but the outer loop (according to the change made Dec
	21 1989) needs to know where point was at the top of the loop.
	Added variable `starting-point' for `calculate-lisp-indent' to
	use.

	* lisp-mode.el (indent-sexp): Change the `while' loop to an `if',
	using `make-list' and `-' instead of `(list nil)' and `1+'.

1992-06-18  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* edebug.el (edebug-debug): Added autoload cookie for this.

	* etags.el (find-tag-other-frame): New function.  Bind it to
	`C-x 5 .'.

1992-06-17  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* compile.el (compilation-error-regexp-alist): Tightened up the
	regular expressions designed to match lint pass 2 and lint pass 3
	error messages.  These were too loose; they were matching the
	"grep exited 00:06:20" messages at the end of the buffer.

1992-06-16  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Do nothing if
	inhibit-update-copyright is non-nil.  If the user answers "no", set
	that to t locally.
	(inhibit-update-copyright): New defvar.

1992-06-15  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mailabbrev.el: New version from jwz.

1992-06-15  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* compile.el (compilation-enter-directory-regexp,
	compilation-leave-directory-regexp): In strings, replace uses of
	"\\\(" or "\\\)" with "\\(" or "\\)".
	(compilation-error-regexp-alist): Remember to include newlines in
	all the complemented character sets; none of these should match
	across a newline.

1992-06-14  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* isearch-mode.el (isearch-forward): Remove sentence from doc
	string claiming that the key bindings are controlled by variables
	named `search-FOO-char'.  That was true of the old isearch.el, but
	now the keymap `isearch-mode-map' controls special characters in
	isearch-mode.

	* blackbox.el (blackbox): Added ;;;###autoload cookie.

	* add-log.el (change-log-mode): Integrated some code from the
	`change-log-mode' function in `text-mode.el'.  Docstring now
	mentions that it prevents numeric backups, and sets `left-margin'
	and `fill-column'.  Code now actually sets `left-margin' and
	`fill-column', as advertised.
	* text-mode.el (change-log-mode): Function deleted, since it's
	been superseded by the one in add-log.el.

1992-06-14  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnus.el (gnus-start-news-server): Criterion for using the local
	news spool is now that gnus-nntp-server is "::".

1992-06-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* gnus.el (gnus-nntp-server): Eval gnus-default-nntp-server only
	if bound.

1992-06-12  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* isearch-mode.el: New package, which will probably supersede
	isearch.el.
	(isearch-mode-map, isearch-mode-meta-map): When initializing
	these, remember that vectors are no longer keymaps.
	(isearch-update): unread-command-char is no longer -1 when
	there is no unread character - it's nil.

	* simple.el (interprogram-paste-function): Add the stipulation
	that the function this points to should return nil if Emacs sent
	the most recent string for interprogram pasting; the function
	should never return the same string Emacs posted with
	`interprogram-cut-function'.
	* term/x-win.el (x-last-selected-text): New variable.
	(x-select-text): Set it, so we can check later against returning
	it.
	(x-cut-buffer-or-selection-value): Check it, to make sure we don't
	return our own text.

1992-06-12  Joseph Arceneaux  (jla@churchy.gnu.ai.mit.edu)

	* simple.el (current-kill): Fixed misnamed parameter and
	reorganized code slightly.

1992-06-11  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmailout.el (rmail-output): Get date using mail-fetch-field.

1992-06-10  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compile-internal): Do buffer-disable-undo here.
	(compilation-mode): Not here.

1992-06-10  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* simple.el (rotate-yank-pointer): Move the guts of this to
	current-kill, and get rid of the optional DO-NOT-MOVE argument.
	(current-kill): Rotate the yank pointer here.

1992-06-09  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* subr.el (one-window-p): Rename argument ARG to NOMINI, so
	that the docstring will agree with the argument list generated
	by make-docfile.c.

	* simple.el (kill-region): Undo May 20th change - add back
	Roland McGrath's hack of June 17, 1991, which allows
	kill-region to work on read-only buffers - in read-only
	buffers, it acts just like copy-region-as-kill.

1992-06-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* electric.el (Electric-command-loop): Set last-command after each cmd.

	* server.el (server-buffer-clients): Add permanent-local property.

1992-06-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* csharp.el (c-find-nesting): Renamed from csharp-find-nesting.
	Add autoload.
	All other functions in this file renamed to start with c-find-nesting.

1992-06-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* window.el (split-window-keep-point): Make it t by default.

1992-06-06  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (delete-blank-lines): Handle special case near eob.

1992-06-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (universal-argument): Don't call describe-arg.
	Pass t as 2nd arg to read-key-sequence.
	(prefix-arg-internal): Likewise.

1992-06-04  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* startup.el (command-line): Run after-init-hook.
	Renamed pre-init-hook to before-init-hook for consistency with
	e.g., before-change-function.
	(after-init-hook): New defvar.
	* screen.el: Use before-init-hook instead of pre-init-hook.

1992-06-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Doc fix.

1992-06-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* info.el (Info-enable-edit): Now a user option.

1992-06-03  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-signature): Suppress move to end of buffer if
	we gave a prefix argument (requested by Bob Chassell).

1992-06-03  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): Match the file name followed
	by a colon in an existing entry.
	To find a blank line, search for one containing only whitespace,
	not two consecutive newlines.
	When adding to an existing entry, open a line and indent.

1992-06-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* add-log.el (change-log-mode): Set version-control to 'never
	locally.  Set adaptive-fill-regexp.  Make paragraph-separate
	match date lines.

	* bytecomp.el (byte-compile-file): Don't put file name in minibuffer.
	(byte-compile-buffer): Function commented out.

	* lisp-mode.el (lisp-indent-line): Keep point unchanged in ;;;
	line.

1992-06-02  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el (add-change-log-entry): If the visited file is in
	the directory tree under the directory containing the change
	log file, insert the path to it from there, rather than just
	the file name.  Also removed setq of random variable
	`formatted-revision'.

1992-06-02  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* yow.el: Somehow, the semicolons introducing the comment on the
	first line disappeared.  Put them back.

1992-06-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (eval-current-buffer): Add as alias for eval-buffer.

	* calendar.el (calendar): Add an autoload.
	* cal.el: File deleted.

1992-06-02  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* add-log.el: Fixed copyright years to not use a range.
	(change-log-mode): Added docstring.
	(add-change-log-entry): Put a space between the file name and
	"(function name):".  Put a colon after the file name if we have
	found no function name.

1992-06-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* edebug.el (edebug-eval-buffer): New function.
	Install it in place of eval-buffer if eval-buffer is defined.
	(edebug-eval-current-buffer): Define this, not eval-current-buffer.
	Use fset to install it in place of eval-current-buffer.
	??? mlconvert.el needs fixing too.

	* ispell.el: Add some autoloads.
	(ispell-word): Accept prefix arg, meaning do ispell-next.

1992-06-01  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* simple.el (current-kill): Name the variable which holds the
	value from other programs to be pasted interprogram-paste, not
	interprogram-cut.

	* files.el: Bind find-file-other-screen to C-x 5 C-f as well as
	C-x 5 f, for symmetry with C-x C-f.

1992-06-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* asm-mode.el (asm-mode-map): Don't override RET.

	* teco.el: Rename `teco:' to `teco-' in all symbols.
	(teco-command): Make it autoload.

	* edebug.el (edebug-defun): Make it autoload.

	* hexl.el (hexl-save-buffer): Return t.
	(hexl-mode): Put hexl-save-buffer in write-contents-hooks.
	(hexl-mode-map): Put the 1k page commands on C-x [ and C-x ].

	* diff.el: Doc fix.

	* fill.el (fill-region-as-paragraph): Treat } like closeparen.
	If a fill prefix is specified globally, always use that one.

	* flow-ctrl.el (evade-flow-control-memstr=): Renamed from memstr=.

1992-05-31  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* bibtex.el: Merged in alarson's changes.

	* simula.el: Replaced Björn Hessen's version with Hans Henrik
	Eriksen's improved version (both of them wanted it this way).

1992-05-31  Noah Friedman  (friedman@splode.com)

	* subr.el (lambda): Added docstring.

1992-05-31  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* gdb.el: Nuked --- subsumed by gdb entry point of gud.el.

	* dbx.el: Nuked --- subsumed by dbx entry point of gud.el.

	* session.el: Nuked --- saveconf.el is better.

	* add-log.el: Now contains the add-log-new.el changes which merge
	consecutive entries by the same user on the same day and try to
	auto-generate both the file key and function changed fields --- the
	old version still exists in the ~n~ files if this loses, but
	the code looks good.

1992-05-30  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* profile.el: Installed.

	* cus-print.el: Installed.

1992-05-30  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* startup.el (normal-top-level): Call abbreviate-file-name instead
	of writing out its code.

	* comint.el: Merged with Olin Shivers' comint version 2.03.
	(comint-version): Changed accordingly.
	(comint-previous-input-matching): Bind this to c-m-r, rather
	than c-c c-r.
	(comint-exec-hook): Make this variable buffer-local.
	(comint-exec): Put the code which feeds the startfile to the
	inferior inside the let which binds ``proc'', as suggested by
	the indentation.
	(comint-read-noecho): New optional argument STARS, which
	causes input to be echoed with '*' characters on the prompt
	line.
	(send-invisible): Change prompt from "Enter non-echoed text: "
	to "Non-echoed text: ".  This conforms with the convention
	used by existing prompts, and gives more room to type stuff.

	* comint.el (comint-last-input-start): New varible.  In
	particular, this helps support subprocesses that insist on echoing
	their input.  Added comments to porting guide indicating that
	this should probably not be used for implementing history stuff.
	(comint-mode): Create and initialize comint-last-input-start as a
	buffer-local var.
	(comint-send-input): Set comint-last-input-start when we send the
	input.
	Porting documentation at end of file adjusted to describe the
	differences between the old shell mode's last-input-start variable
	and comint-last-input-start.
	* telnet.el (telnet-send-input): If telnet-remote-echos is
	non-nil, use comint-last-input-start and comint-last-input-end to
	delete the input we just sent.

1992-05-29  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* simple.el (append-to-buffer): When called interactively, default
	to (other-buffer nil t).  This way, it will offer to insert into
	the buffer in the other window.

1992-05-27  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* term/x-win.el (x-cut-buffer-or-selection-value): New function.
	Set interprogram-paste-function to use it.
	(x-select-text): For backwards compatibility, set cut buffer 0 as
	well as claiming ownership of the other selections.

1992-05-27  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (indent-new-comment-line): Change handling of
	comment-multi-line (which is effectively obsolete now).

1992-05-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (set-selective-display): Keep vpos of point constant.

1992-05-24  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (list-yahrzeit-dates): New function.
	(hebrew-calendar-yahrzeit): Moved from diary.el.

	* diary.el (hebrew-calendar-yahrzeit): Moved to calendar.el.
	(diary-ordinal-suffix): Give correct suffix for 111, 112, 113, 211,
	212, 213, etc.

1992-05-21  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* mouse.el: Emulate the Emacs 18 mouse button bindings for now.
	(mouse-yank-at-click): New function.

	* term/x-win.el (x-select-text): Don't bother to check if the
	window system is X; if it isn't, then this function would never
	have been defined, let alone called.  Is this right, Joe?

	* simple.el (interprogram-paste-function): New hook, for getting
	the current pasting text from the window system.
	(kill-ring): Doc fix, encouraging people to use the functions
	below instead of manipulating the kill ring directly, since the
	functions correctly deal with interprogram cutting and pasting.
	(kill-new): New function.
	(kill-append): Added doc string.  Be sure to call the
	interprogram-cut-function on the new string.
	(current-kill): New function.
	(rotate-yank-pointer): New optional argument do-not-move, to
	support vi.el and vip.el's style of ring access.
	(kill-region, copy-region-as-kill): Call kill-new, instead of
	writing out all the logic.
	(yank-pop): Use current-kill, rather than assuming that
	kill-ring-yank-pointer points to the text you should use.
	(yank): Use current-kill, instead of calling rotate-yank-pointer
	and then fetching through the kill-ring-yank-pointer.
	* vi.el (vi-put-before): Instead of figuring out the index into
	the kill-ring and fetching directly, call current-kill.
	* vip.el (vip-put-back, vip-Put-back, ex-copy): Use current-kill,
	don't access the kill ring directly.
	* term/x-win.el: Set interprogram-paste-function to
	'x-selection-value.
	* sun-fns.el (mouse-yank-at-point): Instead of rotating the yank
	pointer one spot and then accessing the kill ring directly, just
	call the function current-kill with an argument of one.

	* simple.el (kill-ring-save): Blink to the other end of the saved
	region, if it's on the screen, or print out the text if it's not,
	instead of printing the number of characters saved.  Nobody cares
	how many characters were saved, and it's hard to interpret
	intuitively.

	* screen.el (ctl-x-3-map): Renamed to ctl-x-5-map, and now bound
	to C-x 5, not C-x 3.  This makes a nicer analogy with C-x 4.
	Moving split-window-horizontally to C-x 3 also makes a nicer
	analogy with C-x 2.
	* files.el, sendmail.el, subr.el: Uses of ctl-x-3-map here
	renamed.
	* window.el: Binding of split-window-horizontally moved from C-x 5
	to C-x 3.

1992-05-20  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* simple.el (kill-region): This used to forgo actually deleting
	the region if the buffer was read-only, meaning that the command
	would silently copy the region to the kill ring, but leave the
	buffer unmodified.  Now it tries to delete the region, even if the
	buffer is read-only; go ahead and get the error.

1992-05-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* subr.el (one-window-p): If arg is t, completely avoid minibuffer.

1992-05-19  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* version.el (version): New alias for emacs-version.

1992-05-19  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* startup.el (normal-top-level): Typo: s/getev/getenv/.

1992-05-13  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* subr.el (lambda): Define this as a macro which wraps the lambda
	expression in a (function ...) quoter.  This means that you don't
	need to write out the cursed ``function'' any more.  It might be
	cleaner to simply change the way the interpreter and compiler
	treat lambda.

	* loadup.el: Disable undo recording in scratch while we load all
	the files; re-enable them before we dump.

1992-05-12  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* startup.el (normal-top-level): If (getenv "PWD") or (getenv
	"HOME") refer to the same directory as default-directory, change
	default-directory to the shortest of the three.

	* disass.el (disassemble-internal): Use indirect-function instead
	of just looping.

1992-05-12  Joseph Arceneaux  (jla@churchy.gnu.ai.mit.edu)

	* simple.el (kill-region): Call the interprogram-cut-function if
	it's non-nil.

	* term/x-win.el (x-select-text): New function for selecting text,
	asserts both PRIMARY and CLIPBOARD selections.

1992-05-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ftp.el (ftp-command): Correctly ignore lines without status codes.

	* fill.el (fill-individual-paragraphs): Choice of two modes,
	controlled by fill-individual-varying-indent.

1992-05-05  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* files.el (save-some-buffers): Use save-excursion around whole
	fn, rather than several inside.

1992-05-05  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* terminal.el (terminal-emulator): Use process-environment, not env.
	Get rid of code that used start-subprocess.

1992-05-03  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* mailabbrev.el (mail-abbrevs-v18-munge-map): Use define-key
	instead of making up an extra alist and nconcing it onto the keymap.

1992-05-02  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (generate-calendar-month): Center heading over each
	month.

1992-04-30  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* loaddefs.el: Moved (put 'narrow-to-page 'disabled t)...
	* page.el: To here.

1992-04-28  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* mh-e.el (mh-signature-file-name): New variable.
	(mh-insert-signature): Use it.

1992-04-27  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* mailabbrev.el: New version from jwz.

1992-04-26  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* loaddefs.el: Removed (put 'narrow-to-region 'disabled t).
	It is done in simple.el.

1992-04-25  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* dired.el (dired-mode): Make the modeline display the entire path
	of the directory, not just the buffer name.

1992-04-24  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* flame.el: Add "flame-" prefix to internal functions, to conform
	with the naming conventions of the rest of Emacs.

1992-04-21  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* doctor.el (doctor-svo): Deleted second expression from top let
	binding; it used to read "(let ((foo <exp> sent)) ...)"; let
	bindings can only have one expression.

	* flame.el: We might as well (provide 'flame).

1992-04-18  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* startup.el (normal-top-level): Don't change default-directory
	to (getenv "PWD") unless they actually refer to the same directory.

	* rmail.el (rmail-unix-mail-delimiter): Doc fix.

1992-04-17  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* rmail.el (rmail-unix-mail-delimiter): Don't bother giving this a
	docstring; move it to a comment.

1992-04-17  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cmacexp.el: Doc fix.

1992-04-15  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* simple.el (reindent-then-newline-and-indent,
	newline-and-indent): Call the newline function instead of saying
	(insert ?\n), so that auto fill mode will break lines correctly.

	* upd-copyr.el (update-copyright): Used to not change the
	copyright version when user elected to update the copyright year,
	but would change it when user decided not to update.  Now doesn't
	do anything unless user gives permission, and when the user does
	give permission, does everything.

	* rmail.el (rmail-unix-mail-delimiter): New variable.
	(rmail-convert-to-babyl-format): Use it to recognize the start of
	an mbox message.
	(rmail-nuke-pinhead-header): Same.

1992-04-15  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-find-buffer): Optional non-nil arg says
	to try to find some buffer other than the current one.

1992-04-10  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* holidays.el (calendar-cursor-holidays): Signal error when cursor
	is not on a date.

1992-04-08  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* doctex.el, gdb.el, mh-e.el, vip.el: Use point{,-min,-max,-marker}
	functions instead of dot{,-min,-max,-marker}.

1992-04-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* mailabbrev.el (mail-abbrev-expand-hook): Rewritten so it won't
	loop if a single address doesn't fit within fill-column.

1992-04-05  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* mailabbrev.el (sendmail-v18-self-insert-command): Just pass arg
	to sendmail-pre-abbrev-expand-hook.
	(sendmail-pre-abbrev-expand-hook): Take optional arg; if non-nil,
	call self-insert-command with it, and don't do expand-abbrev; just

1992-04-06  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* lpr.el (lpr-command): Make this variable settable.

1992-04-03  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* files.el (revert-buffer): Reverse the sense of the prefix
	argument; by default, do not offer to revert from the auto-save
	file.

1992-04-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* files.el (write-contents-hooks): New variable.
	(basic-save-buffer): Use write-contents-hooks like write-file-hooks.

1992-03-31  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* bytecomp.el (byte-compile-let, byte-compile-let*): Signal an
	error message if a binding has more than one value form.

	* sendmail.el (mail-position-on-field): Search for the mail header
	separator only occurring at the beginning of a line.  Insert new
	headers correctly even if there are no other headers.

	* loadup.el: When finding pointers to doc strings, place the doc
	file in ../etc, not ../share-lib.  It's been renamed.

1992-03-24  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* mailabbrev.el: New version from jwz.

	* mailabbrev.el (mail-abbrev-expand-hook): If an address in the
	expansion begins with a /, turn it into an FCC header.

	* mailabbrev.el: Major rehacking.  Should work in 18 and 19.

1992-03-23  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* simple.el (copy-region-as-kill): Doc fix.

1992-03-16  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* Moved provide clauses to bottom of every elisp file that
	contains one.

	* simple.el (undo): Don't print the "Undo!" message if we're in
	the minibuffer.

1992-03-16  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Don't update the GPL version or
	replace the notice if the user said not to update the copyright.

1992-03-11  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* sendmail.el (mail-fcc): New function.
	(mail-mode-map): Bind C-c C-f C-f to mail-fcc.

	* sendmail.el (mail-position-on-field): Recognize the
	mail-header-separator string, even when it's at the beginning of
	the buffer.

1992-03-11  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Doc fix.

1992-03-07  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Take two new optional args, to
	ask the user whether to update, and whether to replace the year.
	When asking the user, narrow it down to things that look like GPL
	notices.
	(ask-to-update-copyright): New function, meant to be put on
	write-file-hooks.

1992-03-05  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-mode-hook): New variable.
	(compilation-mode): Run it.
	(compilation-search-path): Made user variable, added autoload cookie.
	(compilation-window-height): Added autoload cookie.

1992-02-27  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* files.el (hack-local-variables): Don't take a FORCE argument;
	it's as easy to bind enable-local-variables to t for a while as it
	is to pass an extra argument, and it's cleaner.
	(normal-mode): Instead of passing the FORCE argument, bind
	enable-local-variables.
	(set-auto-mode): Don't check for the -*- mode tag if
	enable-local-variables is nil.

	* loaddefs.el (auto-mode-alist): There's no reason for this
	definition and initialization to be here; moved it to...
	* files.el: Here.

1992-02-21  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* telnet.el (read-password): Let the quit character terminate
	password entry.

1992-02-07  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* info.el: Doc fix.

1992-01-27  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* simple.el (universal-argument): Read key sequences, not single
	keys.  Renamed `c-u' to `factor'.  Describe the argument in the
	minibuffer as it is read.
	(prefix-arg-internal): Same changes here.  Renamed CHAR argument
	KEY, to reflect the fact that it can now be an event sequence.
	(describe-arg): New function (actually, uncommented).
	(digit-argument, negative): Call prefix-arg-internal with a
	string for KEY argument, not a character.

	* simple.el (digit-argument): Strip off high bit of
	last-command-char.

1992-01-17  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* term/tvi970.el: New file.

1992-01-16  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* screen.el: Don't automatically bind C-z to iconify; this is
	inappropriate on terminals.
	* term/x-win.el: Bind C-z to iconify here.

1992-01-15  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* term/wyse50.el: Rewritten to use function-key-map.

	* simple.el: Include bindings for [up], [down], [left], and [right].

1992-01-13  Jim Blandy  (jimb@pogo.cs.oberlin.edu)

	* setenv.el: New file.

	* simple.el (x-select-kill): Variable removed.
	(interprogram-cut-function): New variable.
	(copy-region-as-kill): Use it.

	* term/new-at386.el: Rewritten to use function-key-map.

1992-01-10  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* flow-ctrl.el: Installed.

1992-01-08  Jim Blandy  (jimb@occs.cs.oberlin.edu)

	* simple.el (temporary-goal-column): Added missing closing paren.

1991-12-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mail-utils.el (mail-strip-quoted-names): Return nil if given nil.

1991-12-23  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* debug.el (cancel-debug-on-entry): Complete over debugged functions.

1991-12-21  Jim Blandy  (jimb@occs.cs.oberlin.edu)

	* at386.el: Moved to term/at386.el, changed to use
	function-key-map.

1991-12-20  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* term/news.el, term/vt100.el: Converted to use function-key-map
	instead of old keypad.el.
	* term/sun.el: Console key sequences converted to use
	function-key-map; emacstool bindings left alone.

1991-12-16  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailabbrev.el: New file.
	* sendmail.el (mail-setup): Delete code for mail-aliases.
	Call mail-aliases-setup instead.
	(sendmail-send-it): Delete code for mail-aliases.
	(build-mail-aliases, expand-mail-aliases): Autoloads deleted.

1991-12-14  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* etags.el (find-tag-noselect): Fixed subtle bug due to
	save-excursion.

	(tags-tag-match): New function, made smarter about exact matches.

1991-12-13  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* perl-mode.el: Installed.

1991-12-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* sendmail.el (mail-default-headers): New user variable.
	(mail-setup): Insert value of that variable.

1991-12-11  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* c-mode.el: Added C++ style to c-style-alist.

	* at386.el: Installed.

1991-12-09  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* man.el (nuke-nroff-bs): Simplify o^H+.  Delete "reformatting" msg.

1991-12-08  Eric S. Raymond  (eric@mole.gnu.ai.mit.edu)

	* blackbox.el: Applied doc patch.  No functions affected.

	* etags.el: Support new (find-tag-noselect) entry point.

	* info.el: Patched to restore point on `up' to previously
	visited buffer.

	* sccs.el: Installed 3.5.

1991-12-08  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* simple.el (universal-argument): If there is already an argument
	specified, don't toss it and read a new one; instead, end argument
	processing and read the next key literally.
	(digit-argument, negative-argument): Doc fix.

	* tar-mode.el (tar-subfile-save-buffer): Use the new current-time
	subr to generate real timestamps.
	(tar-update-datestamp): Remove docstring paragraph that claims the
	feature is not implemented.  Remove similar paragraph from TO DO
	list at top of file.

1991-12-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* diff.el (diff-internal-diff): New subroutine.
	(diff): Removed from here.
	(diff-sccs, diff-rcs): New commands using diff-internal-diff.
	(diff-rcs-extension): New variable.

1991-12-05  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* apropos.el, doctex.el, help.el, paths.el, spook.el, yow.el:
	These files expected to find their data in exec-directory, but
	their data is now located under data-directory.  Changed to use
	data-directory as appropriate.
	* loadup.el: Changed to use the appropriate path names.

1991-12-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* mailalias.el (define-mail-alias): Handle quoted aliases.

1991-11-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (prefix-arg-internal): Make C-u end the arg.
	Doc fixes on the argument commands.

1991-11-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* emacsbug.el (report-emacs-bug): Now autoloaded.

1991-11-24  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el: Doc fix.

1991-11-15  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* startup.el (command-line): Don't bother catching errors that
	occur while the window system file is loading; cmd_error can now
	properly handle errors that occur before screens are set up
	properly.

	* startup.el (command-line): baud-rate is a variable, not a
	function.

1991-11-14  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* info.el (Info-mode): Mention Info-directory in the list of
	commands in the docstring.
	(Info-follow-nearest-node): Rebalance parens.

1991-11-11  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* find-dired.el: New version munged by sk for tree dired.

1991-11-06  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* screen.el (screen-initialize, screen-notice-user-settings):
	Renamed global-minibuffer-screen to default-minibuffer-screen.

1991-11-05  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* diary.el (diary-rosh-hodesh): Add Erev Rosh Hodesh to the diary,
	as needed.

1991-10-31  Richard Mlynarik  (mly@peduncle)

	* ebuff-menu.el (electric-buffer-menu-mode-map): Define
	< and > to scroll-left and scroll-right per user suggestion.

1991-10-31  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* files.el (cd): Don't bother calling pwd after changing the
	directory.

	* shell.el (shell-mode): Doc fix.

	* screen.el (screen-notice-user-settings): When replacing the
	initial screen with a minibuffer-only screen, append the original
	screen's parameters to initial-screen-parameters, so that moves
	and resizes may take place if appropriate.

	* cmushell.el: This is now the real shell.el.  Removed the "cmu"
	prefix from names.
	(shell): Marked this to be autoloaded.

1991-10-29  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* files.el (find-file-noselect): Extract filename abbreviation
	code into separate function.
	(abbreviate-file-name): This is that.

	* files.el (after-find-file): If the directory containing the file
	doesn't exist, offer to create it.
	(make-directory-path): New function to support this offer.

1991-10-28  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* macros.el (apply-macro-to-region-lines): Use a marker to keep
	track of the next line to operate on, so the macro can delete or
	add lines.

1991-10-26  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* disass.el (disassemble): Correctly distinguish functions with no
	interactive spec and functions that are (interactive).  Correctly
	extract components of explicit calls to byte-code (old-style
	compiled functions).  Correctly pass byte code of function to
	disassemble-1.
	(disassemble-1): Use nth to extract components of explicit call to
	byte-code, not car and cdr.

1991-10-25  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* lisp-mode.el (eval-print-last-sexp): Saying (terpri (current-buffer))
	after evaluating the expression does bad things if the expression
	changes the current buffer, so bind standard-input to the buffer that
	is current before evaluation.

1991-10-21  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* compile.el (compilation-buffer-name-function)
	(compilation-finish-function): Add autoload cookie for these.

1991-10-15  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* info.el (Info-follow-nearest-node): Adjusted for new return
	value format from coordinates-in-window-p.

1991-10-08  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* add-log.el (change-log-name): New fn.
	(add-change-log-entry, add-change-log-entry-other-window): All
	args optional.  FILE-NAME defaults to new var
	`change-log-default-name'.  Give this var a local value in the
	buffer we were run from, pointing to the file we found.

1991-10-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* compile.el (compilation-buffer-p): New fn.
	(compilation-find-buffer, compile-goto-error): Use it.

1991-10-05  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* compile.el (compile-internal): Don't make state vars local.
	(compilation-mode): Do it here.
	(compilation-parse-errors-function, compilation-error-message):
	Give initial values.
	(compile-goto-error): Look for compilation-error-list rather than
	compilation-parse-errors-function in the buffer-local variables
	to see if this is a compilation buffer, because the latter might
	not be local.

1991-10-04  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* files.el (revert-buffer): Call verify-visited-file-modtime with
	one arg (the current buffer), instead of none.

1991-10-04  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* rmail.el: Changed two regexps not to look specifically for 19yy
	for years; look for yyyy instead.  Planning for the millenium.

1991-10-03  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* version.el (emacs-version): (From Bob:) Take optional arg
	(prefix arg) to insert version text at point.

1991-09-26  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* info.el (Info-default-directory-list): defvar this instead of
	defconsting it, so paths.el can set it.

1991-09-26  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Fixed for lists containing nil.

1991-09-10  Roland McGrath  (roland@wookumz.gnu.ai.mit.edu)

	* autoload.el (batch-update-autoloads): Use catch and throw to
	give up on a file altogether if it gets an error.

	* autoload.el (update-file-autoloads): Always check the old section.
	If the file has no cookies, it will be deleted and not replaced.

1991-09-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (line-move): After C-e, do consider eol of blank line.
	Don't treat start of blank line as eol.

1991-09-07  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* fill.el (fill-individual-paragraphs):
	Find a fill-prefix that works for the whole paragraph.

	* simple.el (line-move): Don't treat start of blank line as eol.

1991-09-03  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* debug.el (debugger-step-through): Fix message typo.

1991-09-02  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* server.el (server-start): Delete old socket in /tmp as well as in ~.

1991-08-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* abbrev.el, chistory.el: Remove periods from error messages.

1991-08-25  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* help.el (describe-function, describe-variable):
	Return the same text as was displayed.

	* files.el: Doc fix.

	* files.el: Don't require map-ynp.
	* map-ynp.el: No need for provide.
	* loadup.el: Load map-ynp.

1991-08-23  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (calendar-last-day-of-month, calendar-leap-year-p)
	(calendar-day-number, calendar-absolute-from-gregorian):
	Change from functions to macros for speed.

1991-08-22  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* files.el (find-backup-file-name):
	(apply fun (cons first rest)) => (apply fun first rest).
	Come on, guys.

1991-08-20  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* rmail.el (rmail-convert-to-babyl-format): Roland added the
	missing paren in the wrong place; fixed.

	* screen.el (screen-initialize): Added missing `function' around
	lambda expression.

1991-08-20  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* files.el (switch-to-buffer-other-screen,
	find-file-read-only-other-screen): Remove extra parens.

	* rmail.el (rmail-convert-to-babyl-format): Add missing paren.

1991-08-19  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* calendar.el (redraw-calendar): Preserve cursor location in
	redrawing.
	(extract-calendar-month, extract-calendar-day, extract-calendar-year):
	Change from functions to macros to speed up computation.

	* holiday.el (calendar-holiday-function-rosh-hashanah-etc):
	Correct date of Selichot.

1991-08-18  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* rmail.el (rmail-convert-to-babyl-format):
	If can't find end of babyl header or babyl message,
	try to resync with next ordinary message.

1991-08-17  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* doctor.el (doctor-strangelove): New fn.
	(doctor-member): Removed.
	(doctor-doc): Use member instead of doctor-member.
	(doctor-rms): Restored.

1991-08-16  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* term/x-win.el: Removed obsolete definitions for function keys.

1991-08-15  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* screen.el (screen-create-initial-screen): Renamed to
	screen-initialize.  Arrange to cause errors if people try to
	create screens when no window system is running.

	* loadup.el: Load screen.el into the dumped emacs.

	* subr.el (add-hook): Cons FUNCTION onto the value of the symbol
	HOOK, not the symbol itself.

	* loaddefs.el (ctl-x-4-map): Move definition from here...
	* subr.el (ctl-x-4-map): To here.
	(ctl-x-3-map): New prefix.
	(mouse-map): Deleted.

	* screen.el (new-screen-x-delta, new-screen-y-delta)
	(new-screen-position): Removed.
	(new-screen): Simplified.
	(split-to-other-screen): Removed.
	(switch-to-buffer-other-screen, find-file-other-screen)
	(find-file-read-only-other-screen, mail-other-screen): Moved, along
	with their keybindings, to...
	* files.el (switch-to-buffer-other-screen, find-file-other-screen)
	(find-file-read-only-other-screen): Here...
	* sendmail.el (mail-other-screen): And here.

1991-08-14  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* files.el (generate-new-buffer): Function moved here from
	src/buffer.c.
	(set-visited-file-name): Use the new argument to rename-buffer.

	* macros.el (apply-macro-to-region-lines): Don't complain if there
	is no defined keyboard macro if one was passed as an argument.
	Don't test if macro is null inside the loop; set it to
	last-kbd-macro outside the loop.

1991-08-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* info.el: Removed bindings and help reference to nonexistent
	mouse commands.
	(Info-default-directory-list): New defconst, list to initialize
	Info-directory-list with by default.
	(info): Initialize Info-directory-list to
	Info-default-directory-list if there is no INFODIR envariable.
	* paths.el (Info-default-directory-list): Define instead of
	Info-directory-list.

1991-08-13  Ken Raeburn  (raeburn@watch.com)

	* time.el (display-time-24hr-format): New variable.
	(display-time-filter): If display-time-24hr-format is non-nil,
	display time in 24-hour format, rather than using AM/PM suffix.
	Also, don't blow up in substring if load average is unavailable.

1991-08-13  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* screen.el: Incorporated other-screen functions and key bindings.

	* screen.el: Iconification code reworked; this code will require
	a mapping hook of some sort to work correctly.

	* screen.el, term/x-win.el: Renamed screen-default-alist to
	default-screen-alist.
	(default-screen-alist): Moved declaration to screen.c; the
	screen creation subrs should consult this transparently.

	* term/x-win.el (x-get-resources, x-pop-initial-window): Functions
	deleted.  Don't call them at the bottom of the file anymore.

1991-08-12  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* simple.el (undo-start): Doc fix: undo-pointer -> pending-undo-list.

	* files.el (save-some-buffers): Add missing `(and' and matching
	`)' so that buffer-offer-save is actually tested.

1991-08-12  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* window.el (split-window-keep-point): New user option.
	(split-window-vertically): Modified to support it.
	* startup.el (command-line): Choose a default value for
	split-window-keep-point according to the baud rate.
	* term/x-win.el: Set split-window-keep-point.

1991-08-10  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* term/x-win.el (x-daemon-mode, x-establish-daemon-mode): Removed
	these functions; we do this differently now.

1991-08-07  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* autoload.el (batch-update-autoloads): Do (save-some-buffers t)
	before killing emacs, so loaddefs.el will be saved.

1991-08-05  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* screen.el (screen-creation-func): Renamed to
	screen-creation-function, as per the convention.

	* screen.el (screen-creation-func): Do not initialize this
	according to the window system name; let the window
	system-specific file initialize it however it wants.
	* term/x-win.el: Set screen-creation-function to x-create-screen.

	* screen.el: All of the screen startup code reworked.

1991-08-01  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* startup.el (pre-init-hook): New variable.
	(window-setup-hook): Doc fix.
	(command-line): Call pre-init-hook.
	(command-line-1): Updated copyright date.

1991-07-31  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* rmailedit.el: When initializing rmail-edit-map, take the cdr of
	text-mode-map before nconcing it, to omit the keymap header.

1991-07-31  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* screen.el (auto-new-screen-function): Renamed to
	pop-up-screen-function.
	(buffer-in-other-screen): Use pop-up-screens, not auto-new-screen.

1991-07-30  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* apropos.el (apropos, super-apropos): Don't make window for no syms.

1991-07-29  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* loaddefs.el: Don't make backup versions of this file.

1991-07-28  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* autoload.el (generate-autoload-cookie): Doc fix.

1991-07-28  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* etags.el: Renamed new-etags.el, copied Emacs 18's tags package
	into its place - the new version seemed to have half-completed
	major changes.  Added autoload marks and changed it to (provide
	'etags) instead of tags.

	* help.el: Autoload the (defvar help-map ...) so that info.el
	can define keys in it.
	* loaddefs.el: Updated.

1991-07-27  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* info.el (Info-find-emacs-command-node): New fn.
	(Info-goto-emacs-command-node, Info-goto-emacs-key-command-node):
	New fns, bound to C-h C-f and C-h C-k, to pop to the info node for
	an Emacs command or keystroke.

1991-07-26  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* terminal.el (te-stty-string): Delete `new' since loses on SYSV.

1991-07-25  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* edebug.el: Version 2.5 from LaLiberte.

1991-07-25  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* view.el: (define-key "C-xv" 'view-file).
	(view-file-other-window, view-buffer-other-window): New functions.
	(view-prev-buffer): Renamed to view-return-here.
	(view-exit): If view-return-here is a buffer, switch to it;
	if it is a window configuration, apply it.

	* subr.el (search-forward-regexp, search-backward-regexp): Added
	alternate names.

1991-07-24  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* diff.el (diff): Turn off read-only flag to insert "no
	differences" message.

1991-07-23  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* isearch.el (isearch): If the user switches to a different
	screen, exit the isearch.

	* isearch.el (isearch): Changed reference to `cmds' to use
	variable's new name `history'.

1991-07-23  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* rmail.el (rmail-first-unseen-message): Make loop looking for
	unseen msgs not skip the first one.

	* rmail.el (rmail-widen-to-current-msgbeg): Added missing close paren.

1991-07-21  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* isearch.el (isearch): Don't assume that we're repeating a search
	that found an empty string; check history to make sure we're
	repeating a search and not starting one up with a pattern from the
	ring.

	* view.el: When initializing view-mode-map, use the new-style key
	maps.

	* screen.el (auto-new-screen-function): Set this to a lambda which
	calls the screen-creation-func.

1991-07-19  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* backquote.el (bq-make-maker):
	Don't replace quoted shared structure by copies.

1991-07-19  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* files.el (save-some-buffers): Added save-excursions around code
	that does set-buffer.

1991-07-15  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* etags.el (visit-tags-table): Don't make tags-completion-alist.
	(tags-completion-alist): If tags-completion-alist is non-nil,
	return it; else build it and then return it.
	(find-tag-tag): Pass 'tags-completion-alist as TABLE to
	completing-read, so the table is built on demand.

	* sendmail.el (mail-do-fcc): Added missing close paren.

1991-07-15  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* term/x-win.el: Enable interrupt-driven input after opening the X
	connection, so that the fcntls on file descriptor 0 apply to the
	socket, not the terminal.

	* screen.el: Don't bind `C-x o' to next-multiscreen-window or
	displace other-window to `M-o'.

1991-07-15  Stephen A. Wood  (saw@hallc1)

	* fortran.el version 1.28.3
	Now works in either mode when `tab-width' is not 8.

	(fortran-electric-line-number, fortran-indent-to-column): Use
	`fortran-minimum-statement-indent' instead of 8.

	(fortran-current-line-indentation): Now skips over line number
	and whitespace correctly when tab-width is not 8.

	(fortran-setup-tab-format-style): Set `fortran-comment-line-column' and
	`fortran-minimum-statement-indent' to (max tab-width 6) instead of 8.
	The minimum 6 insures legal indenting for lines with line numbers.

1991-07-13  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* info.el (Info-find-node): Call buffer-flush-undo with one arg,
	instead of none.  Change call to get-buffer-c>reate to
	get-buffer-create.

	* startup.el (command-line): Remove the arguments from
	command-line-args as we process them.
	(command-line-1): Removed code to ignore the arguments processed
	in command-line, because they're all deleted now.

	* replace.el (occur): Set tem to the location of the match before
	adding it to occur-pos-list, so we don't end up with an
	occur-pos-list of nulls.  And allocate the final-context-start
	marker once, so we don't allocate jillions of markers in the

1991-07-11  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* term/x-win.el (x-handle-args): Re-written to take the command
	line switch as an argument, instead of just assuming it's in ARGS,
	and return the modified list.  Changed caller to pass and set
	command-line-args.

	* startup.el (command-line): Re-balance parens.
	Pass command-line-args to command-line-1, not args.

1991-07-09  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Fixed lossage on ? or random char.

1991-07-08  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ftp.el (ftp-command): Skip multiline messages.

1991-07-08  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* ispell.el (ispell-buffer): fset to 'ispell.

	* map-ynp.el (map-y-or-n-p): Don't quote a form inside quasiquote.

1991-07-04  Stephen A. Wood  (saw@hallc1.cebaf.gov)

	* fortran.el: Added ;;;###autoload definition for
	fortran-tab-mode-default variable.

	* fortran.el (fortran-numerical-continuation-char): Replace
	(backward-line 1) with (forward-line -1) since backward-line is
	defined only in edt.
	(fortran-previous-statement): Fix error in parens.
	(fortran-indent-to-column): Likewise.

1991-07-04  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* files.el (save-some-buffers): Use map-y-or-n-p return value.

	* map-ynp.el (map-y-or-n-p): Fixed bug that caused first elt on !
	hit not get acted on.

1991-07-04  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* cmacexp.el (c-macro-expand): Use new variables
	c-macro-preprocessor and c-macro-options.

	* teco.el: New file.

1991-07-01  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Fixed misplaced paren.
	Fixed list-eating bug.

1991-07-01  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* ws-mode.el: New file.

	* forms.el: New version from Vromans.

1991-06-29  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): LISTS may also be an iterator fn.
	PROMPTER may also be a format string.

1991-06-29  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* simple.el (shell-command-on-region):
	Handle case where input is from *Shell Command Output*.

1991-06-28  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* startup.el (command-line): Let init file change command-line-args.
	Don't fail to advance args past -debug-init.
	(command-line-1): Ignore here options processed at earlier stages.

1991-06-26  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* term/x-win.el (x-read-resources): When a resource is not
	available, use (nth 2 key-resname-default) to get the default,
	not (nth 3 key-resname-default), which is nil.
	Open the connection to the server *before* trying to read the
	resources, silly.

1991-06-20  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* subr.el (ignore): Added docstring for this; it appears as a key
	binding, so it ought to be described.

1991-06-19  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* find-dired.el (find-dired-sentinel): Don't twiddle a killed buffer.

1991-06-17  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* simple.el (kill-region): Allow read-only buffers.

	* find-dired.el (find-dired-filter): If the buffer has been
	killed, delete the process.

	* find-dired.el (find-ls-option): Made a defvar rather than defconst.

1991-06-12  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* upd-copyr.el (update-copyright): Fixed typo in help text.

1991-05-26  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* disass.el (disassemble-internal): Fixed typo string? -> stringp.

1991-05-26  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* holiday.el (calendar-holiday-function-passover-etc): Correct
	date and spelling of Yom HaAtzma'ut.

1991-05-23  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* mail-utils.el: Require lisp-mode, because we use
	lisp-mode-syntax-table.  Lisp-mode is usually in the dumped emacs,
	but dumping should always be a convenience, not an unstated
	expectation.
	* lisp-mode.el: Do a (provide 'lisp-mode).
	Initialize lisp-mode-syntax-table outside of all functions, so
	that we don't have to hope that lisp-mode-variables has been
	called before using mail-strip-quoted-name.  Odd dependencies.

	* sendmail.el (mail-archive-file-name): Make this a defvar, not a
	defconst.  There seems to be no entry saying why this was made a
	defconst.

	* text-mode.el (indented-text-mode-map): When redefining TAB,
	don't clobber the definition in text-mode-map, but DO share the
	rest of text-mode-map.

1991-05-23  Michael I Bushnell  (mib@geech.gnu.ai.mit.edu)

	* startup.el (command-line): Don't do anything if $VERSION_CONTROL
	is not set; move code to import environment var ahead of .emacs load.

1991-05-22  Brian Preble  (rassilon@mole.gnu.ai.mit.edu)

	* forms.el (scroll-up, scroll-down): Made argument &optional.

1991-05-22  Michael I Bushnell  (mib@churchy.gnu.ai.mit.edu)

	* rmail.el (rmail-variables): Rmail should not be a
	save-buffer-skip buffer.  If the user wants this confusing
	behavior, it can be personally customized.

1991-05-22  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* term/x-win.el (x-switches-specified): Variable deleted; the
	options given on the command line are placed in screen-default
	alist, so that all the screens created get them.
	(x-handle-switch, x-handle-numeric-switch): Put the values in
	screen-default alist instead of in x-switches-specified.
	(x-handle-geometry): Put the geometry in initial-screen-alist.
	(x-pop-initial-window): Build the arguments to
	pop-initial-screen from initial-screen-alist and
	screen-default-alist alone; don't use x-switches-specified.
	(x-read-resources): New function to read the X defaults and put
	them in screen-default-alist.  Call this function at the bottom.
	* screen.el (death-function): Removed, because this is now handled
	better in startup.el.
	(pop-initial-screen): Don't do a condition-case to call
	death-function.

1991-05-18  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* macros.el (apply-macro-to-region-lines): Added a save-excursion
	around the macro invocation, so that the macro doesn't need to
	stay on the same line.

	* gdb.el (gdb-call): Don't set gdb-delete-prompt-marker to an
	empty region when the process-mark was at the beginning of the
	line, because this will cause an infinite loop in
	gdb-maybe-delete-prompt.

	* startup.el (command-line): If an error occurs while initializing
	the window system, catch it and write the error message to
	external-debugging-output.

1991-05-17  Edward M. Reingold  (reingold@emr.cs.uiuc.edu)

	* holiday.el: Add Erev Shavuot to the full list of Jewish holidays.

1991-05-16  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* macros.el (apply-macro-to-region-lines): New function.

	* term/x-win.el (x-handle-switch): The newline at the end of the
	comment line at the top of this function was missing.

1991-05-16  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* autoload.el (batch-update-autoloads): New function to update
	autoloads with emacs -batch.

	* autoload.el (generate-file-autoloads): Don't put non-autoload
	forms in the (autoloads ...) list in the header.

1991-05-14  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* map-ynp.el (map-y-or-n-p): Put the cursor in the echo area while
	prompting.

1991-05-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* bytecomp.el (byte-compile-setq): Clean error if var not a symbol.

1991-05-13  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* autoload.el (update-file-autoloads): If the file is in a buffer
	and that buffer is modified, update the autoloads regardless of
	the file times.
	If the file was not in a buffer before, kill the buffer we create.
	update-directory-autoloads on /gd/gnu/emacs/lisp had a tendency to
	eat all available memory.

1991-05-13  Brian Preble  (rassilon@mole.gnu.ai.mit.edu)

	* abbrev.el, add-log.el, apropos.el, asm-mode.el, autoload.el:
	* awk-mode.el, backquote.el, bibtex.el, bytecomp.el, c++-mode.el:
	* cal.el, calc-ext.el, calc.el, chistory.el, cl-indent.el, etags.el:
	* compare-w.el, compile.el, dabbrev.el, debug.el, diary.el, diff.el:
	* dired.el, disass.el, dissociate.el, doctor.el, ebuff-menu.el, edt.el:
	* echistory.el, edebug.el, edmacro.el, emerge.el, find-dired.el:
	* fortran.el, ftp.el, gdb.el, gnus.el, gnuspost.el, gosmacs.el:
	* hanoi.el, helper.el, holidays.el, indent.el, info.el, informat.el:
	* isearch.el, ispell.el, ledit.el, loaddefs.el, rect.el, macros.el:
	* mail-utils.el, mailalias.el, makesum.el, man.el, map-ynp.el, mh-e.el:
	* mlconvert.el, modula2.el, novice.el, nroff-mode.el, options.el:
	* outline.el, paragraphs.el, picture.el, prolog.el, lpr.el, replace.el:
	* reposition.el, rmail.el, spell.el, scribe.el, sendmail.el, server.el:
	* shell.el, sort.el, scheme.el, tabify.el, telnet.el, terminal.el:
	* tex-mode.el, texinfmt.el, texinfo.el, time.el, timer.el:
	* underline.el, userlock.el, vi.el, view.el, vip.el, xscheme.el, yow.el:
	Fixed ;;;###autoload definitions.

1991-05-13  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* autoload.el (generate-file-autoloads): Don't do special
	doc-string hacking for defvar and defconst.  We in fact don't want
	loaddefs.el to have docstrings make-docfile can grok; it should be
	able to grok the originals, but not the copies, so there will be
	only one copy of each docstring in the DOC file.

1991-05-13  Jim Blandy  (jimb@pogo.gnu.ai.mit.edu)

	* isearch.el (search-exit-char): As per the opinion poll results,
	change this to RET.
	(isearch): Change miscellaneous internals so that newline is
	automatically quoted, and change the docstring and comments to say
	that RET exits the search.

1991-05-13  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* find-dired.el (find-ls-option): New defconst, string for "-ls".
	(find-dired): Use it.

1991-05-13  Richard Stallman  (rms@mole.gnu.ai.mit.edu)

	* loaddefs.el (auto-mode-alist): Recognize .emacs only at end.

1991-05-13  Jim Blandy  (jimb@wookumz.gnu.ai.mit.edu)

	* simple.el (blink-matching-open): Make this function interactive.

1991-05-12  Roland McGrath  (roland@geech.gnu.ai.mit.edu)

	* find-dired.el (find-name-dired): Simple-minded find-dired
	interface to do "find -name PATTERN".

	* find-dired.el (find-dired-filter): Don't search; use
	forward-line instead.
	(find-dired-filter, find-dired-sentinel): Changed docstrings to
	comments.

1991-05-11  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* loaddefs.el: Moved some defvars and defconsts to other files
	(with ;;;###autoload).

	* reposition.el: Bind reposition-window to M-C-l.

1991-05-09  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* autoload.el: New file, a package to maintain autoloads in
	loaddefs.el.
	* *.el: Make everything use it.  Comments in loaddefs.el explain
	what to do.

	* etags.el: (provide 'etags) inside of (provide 'tags).
	Why was the file renamed??

	* lisp-mode.el (eval-print-last-sexp): Use terpri instead of newline.

1991-05-09  Jim Blandy  (jimb@geech.gnu.ai.mit.edu)

	* disass.el (disassemble-internal): Rearranged to conveniently
	handle compiled-function objects.
	(disassemble-1): Extract bytes and constants correctly from both
	compiled-function objects and calls to the byte-code function.

	* simple.el (kill-region): Remove the second item from the
	interactive spec; this is a vestige from when this function took a
	"verbose" argument.

	* lisp-mode.el (eval-print-last-sexp): Insert newlines before and
	after evaluating the expression.

1991-05-08  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* map-ynp.el: New file defines new fn map-y-or-n-p.
	* files.el (save-some-buffers): Rewritten to use it.

1991-05-08  Brian Preble  (rassilon@mole.gnu.ai.mit.edu)

	* rmail.el: Doc fix.
	(rmail-first-message): New function; bound to "<".

1991-05-08  Jim Blandy  (jimb@churchy.gnu.ai.mit.edu)

	* screen.el: Removed temporary hack to set up auto-new-screen and
	auto-new-screen-function.

1991-05-07  Roland McGrath  (roland@albert.gnu.ai.mit.edu)

	* find-dired.el: New fn M-x find-dired lets you run a `find'
	command and do dired on the result.
	* loaddefs.el (find-dired): Autoload it.

1991-05-06  Stephen A. Wood  (saw@hallc1.cebaf.gov)

	* fortran.el version 1.28
	Major upgrade of previous version 1.21.  Cleaned up doc-strings, made
	all lines 80 or less characters and made the following changes.

	Added modify-syntax-entry's for ?\r and ?=.
	Bound LFD to fortran-reindent-then-newline-and-indent.
	Rebound \C-c\C-w to fortran-window-create-momentarily.
	Added numerous default abbreviations for keywords.

	(fortran-mode): Definition of `comment-line-start-skip' changed.
	`abbrev-mode' is set to t by default.  New local variables
	`fortran-tab-mode', `fortran-comment-line-column',
	`fortran-minimum-statement-indent', `fortran-column-ruler',
	and `fortran-tab-mode-string'.  Call fortran-analyze-file-format.

	(fortran-window-create, fortran-window-create-momentarily): Cleaned
	up first function, created second to create a window 72 characters
	wide until a key is struck.

	(fortran-electric-line-number): Distinguish digit as continuation
	character from digit as line number.

	(fortran-previous-statement, fortran-next-statement):
	Recognize tab-digit continuation lines as well as fixed format.

	(fortran-blink-matching-if): New command.
	(fortran-indent-line): Change indentation of comments.
	(fortran-reindent-then-newline-and-indent): New command.

	(calculate-fortran-indent): Now handles tab format style.
	If a previous END statement is found, the indentation is reset to the
	minimum.

	(fortran-current-line-indentation, fortran-indent-to-column)
